3.2.0 2013-05-12

2013-05-12  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/imageeditor/widgets/previewlist.cpp: polish icon size
	CCBUGS: 307885

2013-05-12  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt: fix release date

2013-05-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-05-12  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/imageeditor/widgets/previewlist.cpp: apply patch #79852
	from Pravesh Gupta BUGS: 307885 FIXED-IN: 3.2.0

2013-05-12  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/progressmanager/statusbarprogresswidget.cpp: Remove two
	timers of unknown purpose which create flicker after each database
	operation

2013-05-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-05-10  Ananta Palani <anantapalani@gmail.com>

	* digikam/album/albummanager.cpp, digikam/main/digikamapp.cpp,
	libs/database/collectionmanager.cpp,
	libs/imageproperties/imagepropertiestab.cpp,
	libs/widgets/common/databasewidget.cpp, showfoto/main/showfoto.cpp,
	utilities/imageeditor/editor/editorwindow.cpp,
	utilities/setup/setupcollectionview.cpp,
	utilities/setup/setupicc.cpp, utilities/setup/setupicc.h: Begin
	fixing display of file/directory paths for systems that use a native
	path separator that differs from the path separator '/' used
	internally by digikam

2013-05-10  Ananta Palani <anantapalani@gmail.com>

	* digikam/main/digikamapp.cpp, libs/database/collectionmanager.cpp,
	libs/widgets/common/databasewidget.cpp,
	utilities/importui/backend/umscamera.cpp: Fix path formatting
	problems from solid and user database path input on systems that use
	a native path separator different from '/' (the path separator used
	internally by digikam). Native paths from solid caused problems
	locating collections during version upgrade and with using UUIDs in
	windows. UUIDs supplied by windows via solid are now supported.

2013-05-10  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenamemanager.cpp: remove useless
	check

2013-05-10  Andi Clemens <andi.clemens@googlemail.com>

	* digikam/views/tableview_model.h,
	libs/widgets/common/dxmlguiwindow.h: fix compile warnings
	(-pedantic)

2013-05-10  Ömer Fadıl USTA <omerusta@gmail.com>

	* imageplugins/enhance/hotpixels/weights.cpp: Missing
	self-assignment check added In weights class the self-assignment protection has forgetten.  REVIEW: 110257

2013-05-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-05-09  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_treeview.cpp: Scroll to ensure that new
	columns are visible after insertion.

2013-05-09  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_treeview.cpp: Fix insertion order for new
	columns.

2013-05-09  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_treeview.cpp: Enable word-wrapping of
	column contents.

2013-05-08  Yuri Chornoivan <yurchor@ukr.net>

	* utilities/searchwindow/searchfields.cpp: Fix typo

2013-05-07  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-05-07  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/database/imagequerybuilder.cpp,
	utilities/searchwindow/searchfields.cpp,
	utilities/searchwindow/searchgroup.cpp,
	utilities/searchwindow/searchview.cpp: apply patch #79649 from Yiou
	Wang to support Video properties search in Advanced Search tool.
	BUGS: 164442 CCMAIL: geow812@gmail.com FIXED-IN: 3.2.0

2013-05-07  Gilles Caulier <caulier.gilles@gmail.com>

	* cmake/templates/gitscript.cmake.in_cmake: patch from Ananta to
	detect and handle git version properly

2013-05-06  Gilles Caulier <caulier.gilles@gmail.com>

	* showfoto/main/showfotoui.rc: missing to patch this file

2013-05-06  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/main/digikamui.rc,
	utilities/imageeditor/main/digikamimagewindowui.rc,
	utilities/importui/main/importui.rc,
	utilities/lighttable/lighttablewindowui.rc,
	utilities/queuemanager/main/queuemgrwindowui.rc: move all
	show-thumbbar action from main menu from View to Settings section,
	to be homogeneous with other show widget action (as menu, statusbar,
	etc...)

2013-05-06  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-05-06  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/dxmlguiwindow.h,
	utilities/importui/main/importui.cpp,
	utilities/setup/setupcamera.cpp, utilities/setup/setupcamera.h: Add
	fullscreen mode options to ImportUI : toolbars, thumbbar, and
	sidebars are managed.  BUGS: 214107 BUGS: 220739 BUGS: 289262 BUGS:
	236234 BUGS: 258180 BUGS: 293676 FIXED-IN: 3.2.0

2013-05-06  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/main/digikamapp.cpp, libs/widgets/common/dxmlguiwindow.h,
	utilities/setup/setupalbumview.cpp: Add fullscreen mode options to
	AlbumGUI : toolbars, thumbbar, and sidebars are managed.  CCBUGS:
	214107 CCBUGS: 220739 CCBUGS: 289262 CCBUGS: 236234 CCBUGS: 258180
	CCBUGS: 293676

2013-05-06  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/dxmlguiwindow.cpp,
	libs/widgets/common/dxmlguiwindow.h,
	libs/widgets/common/fullscreensettings.cpp,
	utilities/imageeditor/editor/editorwindow.cpp,
	utilities/lighttable/lighttablewindow.cpp,
	utilities/setup/setupeditor.cpp,
	utilities/setup/setuplighttable.cpp: Image Editor and Light Table
	windows now manage side-bars visibility in Full-Screen mode.
	CCBUGS: 214107 CCBUGS: 220739 CCBUGS: 289262 CCBUGS: 236234 CCBUGS:
	258180 CCBUGS: 293676

2013-05-06  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/main/digikamapp.cpp, digikam/main/digikamapp.h,
	libs/widgets/common/dxmlguiwindow.cpp,
	libs/widgets/common/dxmlguiwindow.h,
	libs/widgets/common/fullscreensettings.cpp,
	utilities/imageeditor/editor/editorwindow.cpp,
	utilities/imageeditor/editor/editorwindow.h,
	utilities/importui/main/importui.cpp,
	utilities/importui/main/importui.h,
	utilities/lighttable/lighttablewindow.cpp,
	utilities/lighttable/lighttablewindow.h,
	utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/main/queuemgrwindow.h,
	utilities/setup/setuplighttable.cpp: add new Full-screen option to
	hide side-bars CCBUGS: 214107 CCBUGS: 220739 CCBUGS: 289262 CCBUGS:
	236234 CCBUGS: 258180 CCBUGS: 293676

2013-05-06  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/fullscreensettings.cpp,
	utilities/setup/setuplighttable.cpp: polish

2013-05-06  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/fullscreensettings.cpp,
	libs/widgets/common/fullscreensettings.h,
	utilities/setup/setupeditor.cpp,
	utilities/setup/setuplighttable.cpp: FullScreenSettings is now a
	QGroupBox widget like

2013-05-06  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/main/digikamapp.cpp,
	libs/widgets/common/dxmlguiwindow.cpp,
	libs/widgets/common/dxmlguiwindow.h,
	utilities/imageeditor/editor/editorwindow.cpp,
	utilities/importui/main/importui.cpp,
	utilities/lighttable/lighttablewindow.cpp,
	utilities/queuemanager/main/queuemgrwindow.cpp: Do not save and
	restore fullscreen mode when window are closed. This can make
	dysfunction with Kdelibs GUI management (as main menu is not
	restored for ex).

2013-05-05  Michael Georg Hansen <mike@mghansen.de>

	* NEWS: Import PNGs fixed for libpng1.6 sent in by Evangelos
	Foutras.  CCBUG: 319350

2013-05-04  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/main/digikamapp.cpp, digikam/main/digikamapp_p.h,
	utilities/importui/main/importui.cpp,
	utilities/importui/main/importui.h,
	utilities/importui/main/importui_p.h: Manage FullScreen mode from
	ImportUI through DXmlGuiWindow Polish API CCBUGS: 214107 CCBUGS:
	220739 CCBUGS: 289262 CCBUGS: 236234 CCBUGS: 258180 CCBUGS: 293676

2013-05-04  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/main/digikamapp.cpp, digikam/main/digikamapp.h,
	libs/widgets/common/dxmlguiwindow.cpp,
	libs/widgets/common/dxmlguiwindow.h,
	utilities/imageeditor/editor/editorwindow.cpp,
	utilities/imageeditor/editor/editorwindow.h: Manage FullScreen mode
	from AlbumGUI through DXmlGuiWindow Polish API CCBUGS: 214107
	CCBUGS: 220739 CCBUGS: 289262 CCBUGS: 236234 CCBUGS: 258180 CCBUGS:
	293676

2013-05-04  Michael Georg Hansen <mike@mghansen.de>

	* NEWS: update FEATURE: 244422 FIXED-IN: 3.2

2013-05-04  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-05-04  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/digikamview.cpp: Fix behavior of zoom slider. Thanks
	to nurupo for the patch.  BUG: 319296

2013-05-04  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_thumbnail.cpp: Fix thumbnails
	disappearing when columns are too wide.  The idea here is that for landscape images, we adjust the height to
	to be as high as the row height as long as the width can stretch
	enough because the column is wider than the thumbnail size.
	However, digiKam limits the thumbnail size to 256, so we also do
	that here.  BUG: 319294

2013-05-04  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_model.cpp: Do not sort items on insertion
	if whole model has to be resorted.

2013-05-03  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 99601b3df7c7837069b90e1744c89b2070a7a832 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Fri May 3 23:03:32 2013
	+0200

2013-05-03  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_item.cpp: Fix sorting of items
	without aspect ratio.

2013-05-03  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_model.cpp: Remove re-sorting of complete
	model, items are sorted on insertion now.

2013-05-03  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_model.cpp: Use binary insertion instead of
	plain position search.

2013-05-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/dxmlguiwindow.cpp,
	libs/widgets/common/dxmlguiwindow.h,
	utilities/imageeditor/editor/editorwindow.cpp,
	utilities/imageeditor/editor/editorwindow.h: Check thumbbar
	visibility before FullScreen mode and restore it after.  CCBUGS:
	214107 CCBUGS: 220739 CCBUGS: 289262 CCBUGS: 236234 CCBUGS: 258180
	CCBUGS: 293676

2013-05-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/dxmlguiwindow.cpp: Check toolbars visibility
	before FullScreen mode and restore it after.  CCBUGS: 214107 CCBUGS:
	220739 CCBUGS: 289262 CCBUGS: 236234 CCBUGS: 258180 CCBUGS: 293676

2013-05-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/dxmlguiwindow.cpp,
	libs/widgets/common/dxmlguiwindow.h,
	utilities/imageeditor/editor/editorwindow.cpp: factoring and polish
	API

2013-05-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/dxmlguiwindow.cpp: polish

2013-05-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/dxmlguiwindow.cpp,
	libs/widgets/common/dxmlguiwindow.h,
	utilities/imageeditor/editor/editorwindow.cpp,
	utilities/imageeditor/editor/editorwindow.h: factoring

2013-05-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/dxmlguiwindow.cpp,
	libs/widgets/common/dxmlguiwindow.h: factoring

2013-05-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/dxmlguiwindow.cpp,
	libs/widgets/common/dxmlguiwindow.h: factoring

2013-05-03  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit d109c05e8f53d1cae224f6ef7347c58f17a21f4d Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Fri May 3 15:39:54 2013
	+0200

2013-05-03  Pino Toscano <pino@kde.org>

	* digikam/main/digikam.desktop, showfoto/main/showfoto.desktop: 
	Remove erroneous double-quotes around %c in Exec line

2013-05-03  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, digikam/utils/albumsettings.cpp,
	digikam/utils/albumsettings.h,
	libs/widgets/common/fullscreenmngr.cpp,
	libs/widgets/common/fullscreenmngr.h,
	libs/widgets/common/fullscreensettings.cpp,
	libs/widgets/common/fullscreensettings.h,
	utilities/imageeditor/editor/editorwindow.cpp,
	utilities/imageeditor/editor/editorwindow.h,
	utilities/imageeditor/editor/editorwindow_p.h,
	utilities/lighttable/lighttablewindow.cpp,
	utilities/lighttable/lighttablewindow.h,
	utilities/lighttable/lighttablewindow_p.h,
	utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/main/queuemgrwindow.h,
	utilities/queuemanager/main/queuemgrwindow_p.h,
	utilities/setup/setupeditor.cpp,
	utilities/setup/setuplighttable.cpp: For a better factoring and
	better management of all common features from digiKam KXmlGuiWindow
	based main windows a new class named DXmlGuiWindow have been
	created. All digiKam main windows will be based on. Currently IE,
	BQM, and LT are done.  AlbumGUI and ImportUI still TODO.  This class
	replace FullScreenMngr as well. FullScreen mode are no managed
	through DXmlGuiWindow. Later more factoring will be done in this
	class, as all Help digiKam dialogs (DB stats, Components info,
	etc...) CCBUGS: 214107 CCBUGS: 220739 CCBUGS: 289262 CCBUGS: 236234
	CCBUGS: 258180 CCBUGS: 293676

2013-05-02  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_item.cpp,
	digikam/views/tableview_model.cpp, digikam/views/tableview_model.h: 
	Sort new items on insertion instead of re-sorting the whole model.

2013-05-02  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_item.cpp: Remove stray kdebug.

2013-05-02  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_item.cpp: Fix sorting by aspect
	ratio, convert to qreal.

2013-05-02  Michael Georg Hansen <mike@mghansen.de>

	* digikam/utils/tooltipfiller.cpp, digikam/utils/tooltipfiller.h,
	digikam/views/tableview_column_item.cpp,
	digikam/views/tableview_column_item.h,
	digikam/views/tableview_columnfactory.cpp: Add an aspect ratio
	column.

2013-05-02  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_columnfactory.cpp,
	digikam/views/tableview_columnfactory.h: Convert default columns to
	new id system.

2013-05-02  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/fullscreenmngr.cpp,
	libs/widgets/common/fullscreenmngr.h: polish API

2013-05-02  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/fullscreenmngr.cpp: polish

2013-05-02  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/fullscreenmngr.cpp,
	libs/widgets/common/fullscreenmngr.h,
	utilities/imageeditor/editor/editorwindow.cpp,
	utilities/lighttable/lighttablewindow.cpp,
	utilities/queuemanager/main/queuemgrwindow.cpp: As under OSX, if
	toolbar is hidden during fullscreen mode, we display fullscreen
	switch button on top-right corner of active sceen when mouse is
	moved on this corner by end user.  Mouse move envent is handle by an
	event filter plug over managed window. FullScreenMngr is now a
	QObject class based.  CCBUGS: 214107 CCBUGS: 220739 CCBUGS: 289262
	CCBUGS: 236234 CCBUGS: 258180 CCBUGS: 293676

2013-05-01  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/stackedview.cpp, digikam/views/tableview.cpp,
	digikam/views/tableview.h, digikam/views/tableview_model.cpp,
	digikam/views/tableview_model.h,
	digikam/views/tableview_selection_model_syncer.cpp,
	digikam/views/tableview_selection_model_syncer.h,
	digikam/views/tableview_shared.h: Turn off TableView when it is
	invisible.

2013-05-01  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-05-01  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-05-01  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/dimg/filters/curves/curvescontainer.cpp,
	libs/dimg/filters/curves/imagecurves.cpp: Properly initialize a
	smooth curve to be linear. Last point was set as first point.  The
	bug only appeared in BQM's B&W conversion which only uses the
	luminosity channel, taking the default constructed CurvesContainer
	for the other colors.  CCBUG: 281095

2013-05-01  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/dimg/filters/curves/imagecurves.cpp: Fix curve conversion in
	FREE mode from 16 to 8 bit BUG: 281095 FIXED-IN: 3.2.0

2013-05-01  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/dimg/filters/curves/curvescontainer.cpp,
	libs/dimg/filters/curves/imagecurves.cpp,
	libs/dimg/filters/curves/imagecurves.h: Small API change in Curves,
	return raw binary serialization, toBase64 can be called in code
	using this.  Silence debug messages.

2013-05-01  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/widgets/graphicsview/dimgpreviewitem.cpp: Apply patch by
	Gerry Patterson <thedeepvoice1@yahoo.co.uk> Use qBounds to be more
	concise.  BUG: 296651 FIXED-IN: 3.2.0

2013-04-29  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* utilities/kipiiface/kipiinterface.cpp,
	utilities/kipiiface/kipiinterface.h: KIPI edit hints: add
	optimization to reuse thumbnail and skip rescan if metadata only
	writes out changes already transported by KIPI attributes (GPS,
	date/time)

2013-05-01  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/fullscreenmngr.h,
	utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/main/queuemgrwindow.h,
	utilities/queuemanager/main/queuemgrwindow_p.h: Port fullscreen mode
	from Batch Queue Manager to FullScreenMngr.  CCBUGS: 214107 CCBUGS:
	220739 CCBUGS: 289262 CCBUGS: 236234 CCBUGS: 258180 CCBUGS: 293676

2013-05-01  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/lighttable/lighttablewindow.cpp,
	utilities/lighttable/lighttablewindow.h,
	utilities/lighttable/lighttablewindow_p.h,
	utilities/setup/setuplighttable.cpp,
	utilities/setup/setuplighttable.h: Port fullscreen mode from Light
	Table to FullScreenMngr.  CCBUGS: 214107 CCBUGS: 220739 CCBUGS:
	289262 CCBUGS: 236234 CCBUGS: 258180 CCBUGS: 293676

2013-05-01  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-30  Script Kiddy <scripty@kde.org>

	* digikam/main/digikam.notifyrc,
	imageplugins/color/digikamimageplugin_color.desktop,
	imageplugins/decorate/digikamimageplugin_decorate.desktop,
	imageplugins/enhance/digikamimageplugin_enhance.desktop,
	imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	imageplugins/transform/digikamimageplugin_transform.desktop,
	kioslave/digikammapimages.protocol: SVN_SILENT made messages
	(.desktop file)

2013-04-30  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/fullscreenmngr.cpp,
	libs/widgets/common/fullscreenmngr.h,
	utilities/imageeditor/editor/editorwindow.cpp,
	utilities/imageeditor/editor/editorwindow_p.h,
	utilities/setup/setupeditor.cpp: polish API

2013-04-30  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/fullscreenmngr.cpp,
	libs/widgets/common/fullscreenmngr.h,
	utilities/imageeditor/editor/editorwindow.cpp,
	utilities/setup/setupeditor.cpp, utilities/setup/setupeditor.h: 
	introduce common FullScreenSettings widget Use it in setup Image
	Editor FullScreenMngr now manage FullScreen QAction creation to plug
	into KXMLGuiWindow

2013-04-30  Nicolas Lécureuil <neoclust.kde@free.fr>

	* CMakeLists.txt, NEWS: Open for final 3.2.0

2013-04-30  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, libs/widgets/common/fullscreenmngr.cpp,
	libs/widgets/common/fullscreenmngr.h,
	utilities/imageeditor/editor/editorwindow.cpp,
	utilities/imageeditor/editor/editorwindow.h,
	utilities/imageeditor/editor/editorwindow_p.h,
	utilities/setup/setupeditor.cpp: Add new FullScreenMngr class
	dedicated manage full-screen action to digiKam KXMLGuiWindow
	instances.  This class factorize a lots of code when window is
	turned on/off to full-screen mode.  This fix problem about
	visibility restoring with status-bar, menu-bar, and thumb-bar.
	First managed digiKam main window is Image Editor.  TODO : - manage full-screen mode of main windows AlbumGUI, BQM, ImportUI,
	and LT, through FullScreenMngr.  - manage visibility of side-bars.  - provide a common settings widget to control visibility management
	in Configuration dialog.  - patch Configuration dialog to provide a fine control of visibility
	management in full-screen mode for each digiKam main window.  CCBUGS: 214107 CCBUGS: 220739 CCBUGS: 289262 CCBUGS: 236234 CCBUGS:
	258180 CCBUGS: 293676

2013-04-30  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/color/imageplugin_color.cpp: fix confilct between
	CTRL+M from Curves tool and CTRL+M from std KDE View/Show Menu-bar

2013-04-29  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-29  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/views/welcomepageview.cpp: update features list

2013-04-29  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: typo

2013-04-29  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: typo

2013-04-28  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-28  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_columnfactory.cpp,
	digikam/views/tableview_columnfactory.h: Make
	TableViewColumn::getTitle a pure virtual.

2013-04-28  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_file.cpp,
	digikam/views/tableview_column_file.h,
	digikam/views/tableview_column_geo.cpp,
	digikam/views/tableview_column_geo.h,
	digikam/views/tableview_column_item.cpp,
	digikam/views/tableview_column_item.h,
	digikam/views/tableview_columnfactory.cpp,
	digikam/views/tableview_columnfactory.h: Simplify file, geo and item
	columns.

2013-04-28  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_digikam.cpp,
	digikam/views/tableview_column_digikam.h,
	digikam/views/tableview_column_photo.cpp,
	digikam/views/tableview_column_photo.h,
	digikam/views/tableview_columnfactory.cpp,
	digikam/views/tableview_columnfactory.h: Move detection of subcolumn
	into a template function.  Also convert the photo column to the simpler system.

2013-04-28  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_digikam.cpp,
	digikam/views/tableview_column_digikam.h,
	digikam/views/tableview_column_thumbnail.cpp,
	digikam/views/tableview_column_thumbnail.h,
	digikam/views/tableview_columnfactory.cpp,
	digikam/views/tableview_columnfactory.h: Start work on putting
	column ids into a single string.  This will later make it easier to move columns around.

2013-04-28  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-28  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/imageeditor/main/imagewindow.cpp: apply modified patch
	#79505 from Pravesh Gupta BUGS: 318834

2013-04-27  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/database/scancontroller.cpp: fix CR SCAN #1011529

2013-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/database/collectionscannerhints.cpp: fix CR SCAN #1011530

2013-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/database/collectionscannerhints.h: polish

2013-04-26  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_item.cpp,
	digikam/views/tableview_column_item.h: Add a digitization date/time
	column.

2013-04-25  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/views/tableview_columns.cpp: there is no moc file to
	process here

2013-04-22  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* digikam/database/scancontroller.cpp,
	digikam/database/scancontroller.h: Use new hint container.  Make use
	of metadata adjustment hint from MetadataWriteScope (already used by
	FileWorkerIface) => no more thumbnail regeneration when editing
	metadata.

2013-04-22  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/database/collectionscanner.cpp,
	libs/database/collectionscanner.h,
	libs/database/collectionscannerhints.cpp,
	libs/database/collectionscannerhints.h,
	libs/database/imagescanner.cpp: Implement reuse of thumbnails by
	hint, and optimize loading of hints.  1) By giving a hint prior to and after editing a file where the edit
	   only involved the metadata, with no scan needed, the scan is reduced
	   accordingly.  The thumbnail in the thumb db (which would usually be
	   regenerated due to new hash, file size, mod time) is reused for the
	new parameters.  2) CollectionScanner objects are created on the stack, hints are
	   kept for a longer time by ScanController. Recording the hints by a
	   scanner is not a shallow copy.  Optimize this by providing a
	   long-living and thread-safe container object which performs all
	processing of hints internally while being reused for all scanners.

2013-04-22  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/database/core/thumbnaildb.cpp,
	libs/database/core/thumbnaildb.h: Add SQL to update the modification
	date in the ThumbnailData table.  Used for the special case of
	reusing the thumbnail.

2013-04-25  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/imageeditor/editor/editorwindow.h: polish

2013-04-25  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-23  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-22  Pankaj Kumar <me@panks.me>

	* : commit 5dea615d490da8d1ada92acfbd0164028ab882ed Author: Pankaj
	Kumar <me@panks.me> Date:   Mon Apr 22 17:44:10 2013 +0530

2013-04-22  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/filters/textfilter.cpp: fix CR SCAN #1005998

2013-04-21  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-21  Pankaj Kumar <me@panks.me>

	* digikam/filters/textfilter.cpp,
	digikam/items/digikamimagedelegate.cpp,
	digikam/items/imagedelegate.cpp, digikam/items/imagedelegatepriv.h,
	digikam/main/digikamapp.cpp, digikam/utils/albumsettings.cpp,
	digikam/utils/albumsettings.h, digikam/utils/tooltipfiller.cpp,
	digikam/utils/tooltipfiller.h, libs/database/imageinfo.cpp,
	libs/database/imageinfo.h, libs/database/imagequerybuilder.cpp,
	libs/models/imagefiltersettings.cpp,
	libs/models/imagefiltersettings.h,
	libs/models/imagesortsettings.cpp, libs/models/imagesortsettings.h,
	libs/widgets/itemview/itemviewimagedelegate.cpp,
	libs/widgets/itemview/itemviewimagedelegate.h,
	utilities/searchwindow/searchfields.cpp,
	utilities/searchwindow/searchgroup.cpp,
	utilities/setup/setupalbumview.cpp,
	utilities/setup/setuptooltip.cpp: Add Pixel size and Aspect ratio
	filters to Text filter and Advanced Search dialog.  BUGS: 121313
	BUGS: 224549 REVIEW: 108574 FIXED-IN: 3.2.0

2013-04-20  Michael Georg Hansen <mike@mghansen.de>

	* CMakeLists.txt, digikam/views/tableview_model.cpp: Make modeltest
	optional.  Specify -DDIGIKAM_ENABLE_MODELTEST=on to cmake to enable it.

2013-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/dimgscale.cpp: fix cppcheck warnings

2013-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/loaders/dimgloader.cpp: fix cppcheck warning

2013-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/database/searchxml.cpp: fix cppcheck warnings

2013-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/dcolor.cpp, libs/dimg/dcolor.h: polish

2013-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/dcolor.cpp: fix cppcheck warnings

2013-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/fx/raindropfilter.cpp: fix cppcheck warnings

2013-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/fx/distortionfxfilter.cpp: fix cppcheck warnings

2013-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/enhance/hotpixels/weights.cpp,
	imageplugins/enhance/hotpixels/weights.h: fix ccpcheck warnings
	constify

2013-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/curves/imagecurves.cpp,
	libs/dimg/loaders/pgfloader.cpp: fix cppcheck warnings

2013-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/loaders/dimgloader.cpp: fix cppcheck warnings

2013-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/levels/imagelevels.cpp: fix cppcheck warnings

2013-04-18  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* NEWS, libs/threadimageio/thumbnailcreator.cpp,
	libs/threadimageio/thumbnailcreator.h,
	libs/threadimageio/thumbnailloadthread.cpp: Do not exif-rotate face
	thumbnails twice.  Clean up an unused parameter in ThumbnailCreator.  BUG: 313190 FIXED-IN: 3.2.0

2013-04-17  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/itemview/digikamkcategorizedview_p.h: polish cppcheck
	warnings

2013-04-16  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-15  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_file.cpp,
	digikam/views/tableview_column_file.h,
	digikam/views/tableview_column_item.cpp: Create a column for the
	file modification date.

2013-04-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-11  Smit Mehta <smit.meh@gmail.com>

	* kioslave/digikamalbums.cpp, kioslave/digikamdates.cpp,
	kioslave/digikammapimages.cpp, kioslave/digikamsearch.cpp,
	kioslave/digikamtags.cpp: Compilation error fixed. Proper
	typecasting done to support explicit declaration of
	Digikam::DatabaseParameters.

2013-04-10  Michael Georg Hansen <mike@mghansen.de>

	* libs/database/imagetagpair.h,
	libs/dimg/filters/film/filmfilter_p.h,
	libs/widgets/imagehistory/imagefiltershistorytreeitem.h,
	tests/advancedrenametest.h, tests/dimagefilteractiontest.h: Fix
	krazy2 warnings.

2013-04-10  Michael Georg Hansen <mike@mghansen.de>

	* CMakeLists.txt: Fix krazy2 warnings.

2013-04-10  Michael Georg Hansen <mike@mghansen.de>

	* data/database/CMakeLists.txt, libs/dimg/loaders/dimgloader.h,
	tests/CMakeLists.txt,
	utilities/queuemanager/views/queuesettingsview.cpp: Fix krazy2
	warnings.

2013-04-10  Michael Georg Hansen <mike@mghansen.de>

	* digikam/date/monthwidget.cpp,
	utilities/importui/main/importui.cpp,
	utilities/importui/main/importui.h,
	utilities/importui/main/importui_p.h,
	utilities/importui/models/camitemsortsettings.cpp,
	utilities/importui/models/importmodel.cpp,
	utilities/importui/models/importthumbnailmodel.cpp,
	utilities/queuemanager/manager/batchtool.h,
	utilities/queuemanager/views/queuelist.cpp,
	utilities/setup/setupraw.h: Fix krazy2 warnings.

2013-04-10  Michael Georg Hansen <mike@mghansen.de>

	* libs/database/core/databasecorebackend.h,
	libs/database/core/databaseparameters.h,
	libs/dimg/filters/transform/autocrop.cpp,
	utilities/facemanagement/facepipeline.h,
	utilities/facemanagement/facepipeline_p.h,
	utilities/imageeditor/core/editorcore_p.h: Fix krazy2 warnings.

2013-04-10  Michael Georg Hansen <mike@mghansen.de>

	* utilities/importui/views/importstackedview.h,
	utilities/maintenance/duplicatesfinder.cpp,
	utilities/maintenance/duplicatesfinder.h,
	utilities/maintenance/fingerprintsgenerator.cpp,
	utilities/maintenance/fingerprintsgenerator.h,
	utilities/maintenance/maintenancetool.h,
	utilities/maintenance/metadatasynchronizer.h,
	utilities/maintenance/newitemsfinder.cpp,
	utilities/maintenance/newitemsfinder.h: Fix krazy2 warnings.

2013-04-10  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/digikamview.cpp, libs/database/imageinfo.h,
	libs/database/imageinfolist.h, libs/dmetadata/geodetictools.h,
	libs/imageproperties/versionsoverlays.cpp,
	libs/models/imagefiltersettings.h,
	libs/widgets/common/dfontselect.h,
	libs/widgets/common/ditemtooltip.h: Fix krazy2 warnings.

2013-04-10  Michael Georg Hansen <mike@mghansen.de>

	* utilities/importui/items/importcategorydrawer.cpp,
	utilities/importui/items/itemviewimportdelegate.cpp,
	utilities/importui/main/importui.cpp,
	utilities/importui/views/importpreviewview.cpp,
	utilities/importui/views/importstackedview.cpp: Fix krazy2 warnings.

2013-04-09  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, NEWS: bump to 3.2.0 beta2

2013-04-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-07  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_item.cpp,
	digikam/views/tableview_column_item.h: Add a creation date/time
	column.

2013-04-04  Michael Georg Hansen <mike@mghansen.de>

	* libs/widgets/itemview/ditemdelegate.cpp,
	libs/widgets/metadata/metadatapanel.cpp,
	utilities/imageeditor/main/imagewindow.cpp: Fix some cppcheck
	warnings.

2013-04-06  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/transform/autocrop.cpp: Fix CR # 997521

2013-04-06  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-04  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-04  Michael Georg Hansen <mike@mghansen.de>

	* digikam/items/digikamimageview.cpp,
	digikam/items/digikamimageview.h, digikam/views/digikamview.cpp: 
	More tableview awareness in digikamview.

2013-04-04  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/digikamview.cpp, digikam/views/tableview.cpp,
	digikam/views/tableview.h: Make selection functions tableview aware.

2013-04-03  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/digikamview.cpp: Do not quit map or table view on
	escape press.

2013-04-03  Michael Georg Hansen <mike@mghansen.de>

	* digikam/items/digikamimageview.cpp,
	digikam/items/digikamimageview.h,
	digikam/items/imageviewutilities.cpp,
	digikam/items/imageviewutilities.h, digikam/views/digikamview.cpp,
	digikam/views/digikamview.h, digikam/views/tableview.cpp,
	digikam/views/tableview.h, digikam/views/tableview_model.cpp,
	digikam/views/tableview_model.h: Make deletion work in TableView.

2013-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/transform/autocrop.cpp: apply new patch from
	Sayantan to pass all pano test images with autocrop algorithm

2013-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/loaders/pngloader.cpp: fix duplicate if/else sections
	reported by cppcheck

2013-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/databasewidget.cpp,
	libs/widgets/common/databasewidget.h: polish

2013-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/loaders/pngloader.cpp, libs/dimg/loaders/pngloader.h: 
	fix duplicate branches for if and else

2013-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/task.cpp: fix order to cancel
	operation. In first tool, after internal flag

2013-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/task.cpp,
	utilities/queuemanager/manager/task.h: No need a break after a
	return.  fix memory leak

2013-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/fx/distortionfxfilter.cpp,
	libs/dimg/filters/fx/distortionfxfilter.h: cppcheck fix :
	[libs/dimg/filters/fx/distortionfxfilter.h:113] ->
	[libs/dimg/filters/fx/distortionfxfilter.h:90]: (style) Variable
	'Twirl' hides enumerator with same name

2013-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/database/imagescanner.cpp, libs/database/imagescanner.h: 
	cppcheck report duplicate test branch into
	ImageScanner::commitImageInformation() code polish

2013-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/sharp/matrix.cpp,
	libs/dimg/filters/sharp/matrix.h: constify and polish

2013-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/sharp/refocusfilter.cpp,
	libs/dimg/filters/sharp/refocusfilter.h: polish

2013-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/transform/autocrop.cpp,
	libs/dimg/filters/transform/autocrop.h: use const ref code polish

2013-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, NEWS,
	utilities/queuemanager/basetools/transform/crop.cpp,
	utilities/queuemanager/basetools/transform/crop.h: add new BQM tool
	to auto-crop images

2013-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/nr/nrsettings.cpp: add option tooltip

2013-04-02  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/transform/autocrop.cpp,
	libs/dimg/filters/transform/autocrop.h: patch from Sayantan Datta to
	fix auto cropping with test images panorama collection. Now cropping
	work in all cases.

2013-04-02  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-02  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/digikamview.cpp, digikam/views/digikamview.h,
	digikam/views/tableview.cpp, digikam/views/tableview.h: Make more
	DigikamView functions available of TableView.

2013-04-01  Michael Georg Hansen <mike@mghansen.de>

	* digikam/main/digikamapp.cpp, digikam/main/digikamapp.h,
	digikam/views/digikamview.cpp, digikam/views/tableview.cpp,
	digikam/views/tableview.h, digikam/views/tableview_model.cpp: Fix
	availability of "Image Preview" button in TableView.

2013-04-01  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/digikamview.cpp: Fix navigation buttons in movie
	mode.

2013-04-01  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-01  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-01  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/importui/backend/gpcamera.cpp: Apply patch #78541 from
	Marcus Meissner about to find devices by usb vendor and product id,
	also if libgphoto2 just finds them by interface class.  BUGS: 311393
	FIXED-IN: 3.2.0

2013-04-01  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-01  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-03-31  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_model.cpp,
	digikam/views/tableview_model.h,
	digikam/views/tableview_treeview.cpp,
	digikam/views/tableview_treeview.h: Set root item decoration based
	on grouping mode.

2013-03-31  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/views/tableview_treeview.cpp,
	digikam/views/tableview_treeview.h: we don't need root decorated in
	listview.  Code polish

2013-03-31  Pino Toscano <pino@kde.org>

	* libs/dimg/filters/nr/nrestimate.cpp,
	utilities/importui/items/importcategorydrawer.cpp,
	utilities/setup/setupmetadata.cpp: fix typos (and add missing i18n)

2013-03-31  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit b53ca584361daf1a134d698bfcaedf9021975b84 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Sun Mar 31 15:22:56 2013
	+0200

2013-03-31  Pino Toscano <pino@kde.org>

	* CMakeLists.txt, digikam/utils/config-digikam.h.cmake,
	libs/dialogs/libsinfodlg.cpp: store the eigen3 version string in
	config-digikam.h this avoids the lack of stringification that happens currently as
	passed directly as compiler define

2013-03-30  Gilles Caulier <caulier.gilles@gmail.com>

	* showfoto/main/showfotoui.rc,
	utilities/imageeditor/editor/editorwindow.cpp,
	utilities/imageeditor/editor/editorwindow_p.h,
	utilities/imageeditor/main/digikamimagewindowui.rc,
	utilities/imageeditor/q3support/canvas.cpp,
	utilities/imageeditor/q3support/canvas.h: new Image Editor tool to
	perform autocrop by black hole margin detection around an image.

2013-03-30  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-03-30  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, NEWS, README, cmake/modules/FindCLAPACK.cmake,
	cmake/modules/FindEigen3.cmake, digikam/CMakeLists.txt,
	digikam/utils/config-digikam.h.cmake,
	imageplugins/enhance/sharpentool.cpp,
	libs/3rdparty/clapack/LICENCE, libs/3rdparty/clapack/README,
	libs/3rdparty/clapack/abort_.c, libs/3rdparty/clapack/blaswrap.h,
	libs/3rdparty/clapack/clapack.h, libs/3rdparty/clapack/close.c,
	libs/3rdparty/clapack/dgemm.c, libs/3rdparty/clapack/dger.c,
	libs/3rdparty/clapack/dgesv.c, libs/3rdparty/clapack/dgetf2.c,
	libs/3rdparty/clapack/dgetrf.c, libs/3rdparty/clapack/dgetrs.c,
	libs/3rdparty/clapack/dlaswp.c, libs/3rdparty/clapack/dscal.c,
	libs/3rdparty/clapack/dswap.c, libs/3rdparty/clapack/dtrsm.c,
	libs/3rdparty/clapack/endfile.c, libs/3rdparty/clapack/err.c,
	libs/3rdparty/clapack/f2c.h, libs/3rdparty/clapack/fio.h,
	libs/3rdparty/clapack/fmt.c, libs/3rdparty/clapack/fmt.h,
	libs/3rdparty/clapack/fmtlib.c, libs/3rdparty/clapack/fp.h,
	libs/3rdparty/clapack/idamax.c, libs/3rdparty/clapack/ieeeck.c,
	libs/3rdparty/clapack/ilaenv.c, libs/3rdparty/clapack/lsame.c,
	libs/3rdparty/clapack/open.c, libs/3rdparty/clapack/s_cmp.c,
	libs/3rdparty/clapack/s_copy.c, libs/3rdparty/clapack/s_stop.c,
	libs/3rdparty/clapack/sfe.c, libs/3rdparty/clapack/sig_die.c,
	libs/3rdparty/clapack/util.c, libs/3rdparty/clapack/wref.c,
	libs/3rdparty/clapack/wrtfmt.c, libs/3rdparty/clapack/wsfe.c,
	libs/3rdparty/clapack/xerbla.c, libs/dialogs/libsinfodlg.cpp,
	libs/dimg/filters/dimgfiltermanager.cpp,
	libs/dimg/filters/sharp/matrix.cpp,
	libs/dimg/filters/sharp/matrix.h,
	libs/dimg/filters/sharp/sharpsettings.cpp,
	libs/dimg/filters/sharp/sharpsettings.h,
	utilities/queuemanager/basetools/enhance/sharpen.cpp: Remove clapack
	library from digiKam core used by Refocus tool.  Add new optional
	dependency to Eigen3 library to replace clapack REVIEW: 109692 BUGS:
	251563 FIXED-IN: 3.2.0

2013-03-30  Michael Georg Hansen <mike@mghansen.de>

	* digikam/main/digikamapp.cpp, digikam/views/digikamview.cpp,
	digikam/views/digikamview.h, digikam/views/tableview.cpp,
	digikam/views/tableview.h, digikam/views/tableview_model.cpp,
	digikam/views/tableview_model.h: Make the status bar navigation work
	with TableView.

2013-03-29  Michael Georg Hansen <mike@mghansen.de>

	* digikam/items/digikamimageview.cpp,
	digikam/items/digikamimageview.h, digikam/views/digikamview.cpp,
	digikam/views/tableview.cpp, digikam/views/tableview.h: More work to
	make DigikamView aware of TableView.

2013-03-29  Michael Georg Hansen <mike@mghansen.de>

	* digikam/items/digikamimageview.cpp,
	digikam/items/imageviewutilities.cpp,
	digikam/items/imageviewutilities.h,
	digikam/utils/contextmenuhelper.cpp,
	digikam/utils/contextmenuhelper.h, digikam/views/tableview.cpp,
	digikam/views/tableview.h, digikam/views/tableview_model.cpp,
	digikam/views/tableview_model.h: Add grouping action to the context
	menu.

2013-03-29  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview.cpp: Use selectedRows instead of
	selectedIndexes.

2013-03-29  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview.cpp, digikam/views/tableview.h,
	digikam/views/tableview_model.cpp, digikam/views/tableview_model.h: 
	Implement item deletion and "open with".

2013-03-29  Michael Georg Hansen <mike@mghansen.de>

	* digikam/items/digikamimageview.cpp,
	digikam/items/digikamimageview.h, digikam/views/digikamview.cpp: 
	Adapt more functions to DigikamView to work in all view modes.

2013-03-29  Michael Georg Hansen <mike@mghansen.de>

	* digikam/items/digikamimageview.cpp,
	digikam/items/digikamimageview.h, digikam/views/digikamview.cpp,
	digikam/views/digikamview.h, digikam/views/tableview.cpp,
	digikam/views/tableview.h, digikam/views/tableview_model.cpp,
	digikam/views/tableview_model.h: Move
	DigikamImageView::setOnLightTable to DigikamView.

2013-03-29  Michael Georg Hansen <mike@mghansen.de>

	* digikam/items/digikamimageview.cpp,
	digikam/items/digikamimageview.h: Remove obsolete functions.

2013-03-29  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/digikamview.cpp: Refactor code for add images to
	queue manager and light table.

2013-03-29  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/digikamview.cpp, digikam/views/digikamview.h,
	digikam/views/stackedview.cpp, digikam/views/stackedview.h: Make the
	difference between preview and view clearer.

2013-03-29  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/digikamview.cpp, digikam/views/tableview.cpp,
	digikam/views/tableview.h, digikam/views/tableview_model.cpp,
	digikam/views/tableview_model.h: Add more actions to the context
	menu.  Code for adding to queue manager does not work yet, code path for
	light table has been fixed.  The next step is to refactor the light
	table and queue manager code such that there is more shared code.

2013-03-28  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_model.cpp: Fix selectability of child
	items.

2013-03-28  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview.cpp, digikam/views/tableview_shared.h: 
	Make the TableViewTreeView accessible throug the shared object.

2013-03-27  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_model.cpp: Fix notifications when
	re-populating the model.

2013-03-27  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_model.cpp,
	digikam/views/tableview_model.h: Implement display of grouped item
	which are not in ImageModel.

2013-03-26  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_model.cpp,
	digikam/views/tableview_model.h,
	digikam/views/tableview_selection_model_syncer.cpp,
	digikam/views/tableview_treeview.cpp: Show grouped items as child
	items.  There is still a problem with selection of child items.  Grouped
	items only work if all items of the group are in the ImageModel.
	This needs to be fixed.

2013-03-26  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_model.cpp,
	digikam/views/tableview_model.h: Prepare some model functions for
	sub-items.

2013-03-26  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_model.cpp,
	digikam/views/tableview_model.h: Fix notifications about new items.

2013-03-26  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_model.cpp: Fix handling of needs-resorting
	flag.

2013-03-26  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/transform/autocrop.cpp: Code polish

2013-03-26  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/transform/autocrop.cpp,
	libs/dimg/filters/transform/autocrop.h, tests/testautocrop.cpp: add
	reference to "finding the largest axis aligned rectangle in a
	polygon" paper.  Remove fimg container Remove unused loadImage()

2013-03-25  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, libs/dimg/filters/transform/autocrop.cpp,
	libs/dimg/filters/transform/autocrop.h, tests/CMakeLists.txt,
	tests/testautocrop.cpp: new algorithm from Sayantan Datta to auto
	crop image by black hole border detection.  typical use case : crop
	automatically assembled panorama to the most largest suitable image
	size CCMAIL: kenzo.zombie@gmail.com CCBUGS: 267436 CCBUGS: 204135

2013-03-25  Michael Georg Hansen <mike@mghansen.de>

	* CMakeLists.txt, digikam/views/tableview.cpp,
	digikam/views/tableview.h, digikam/views/tableview_model.cpp,
	digikam/views/tableview_model.h, digikam/views/tableview_shared.h,
	digikam/views/tableview_sortfilterproxymodel.cpp,
	digikam/views/tableview_sortfilterproxymodel.h,
	digikam/views/tableview_treeview.cpp,
	digikam/views/tableview_treeview_delegate.cpp,
	digikam/views/tableview_treeview_delegate.h: Implement sorting in
	the TableViewModel.  This gets rid of one additional layer. Right now, the entire model
	is resorted on any change. This needs to be optimized.

2013-03-25  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/queuepool.cpp,
	utilities/queuemanager/views/queuepool.h: more paranoid null
	pointers check

2013-03-24  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_model.cpp: Remove unneeded includes.

2013-03-24  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_thumbnail.cpp,
	digikam/views/tableview_columnfactory.h,
	digikam/views/tableview_model.cpp, digikam/views/tableview_model.h: 
	Populate TableViewModel from ImageModel instead of ImageFilterModel.  Filtering is now done in TableViewModel, but is not yet in an extra
	thread.

2013-03-24  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_sortfilterproxymodel.cpp,
	digikam/views/tableview_treeview.cpp,
	digikam/views/tableview_treeview_delegate.cpp: Use TableViewModel
	and remove unneeded headers.

2013-03-24  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview.cpp, digikam/views/tableview_model.cpp,
	digikam/views/tableview_model.h: Get data from TableViewModel
	instead of ImageFilterModel.

2013-03-23  Michael Georg Hansen <mike@mghansen.de>

	* libs/dmetadata/dmetadata.cpp,
	utilities/imageeditor/core/undostate.h: Fix krazy2 warnings.

2013-03-23  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp: consfify

2013-03-23  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-03-23  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 5673a4b729c25d919571b62066459a30c383ddaa Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Thu Mar 21 22:35:51 2013
	+0100

2013-03-21  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* utilities/maintenance/newitemsfinder.cpp: The
	completeCollectionScan calls are synchronous and lock the database.
	This means a global wait cursor is appropriate.  To shorten the
	synchronous time, the big workload can be done asynchronously by
	deferring the scan.

2013-03-21  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* utilities/searchwindow/searchfields.cpp: Extend limits on
	searchfields so that we do not introduce artificial limits CCBUG: 309638

2013-03-21  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-19  Teemu Rytilahti <tpr@iki.fi>

	* libs/dimg/filters/lens/lensfuniface.cpp: Add FocusDistance from
	Olympus' MakerNote data. Also return 10000 to the UI when the value
	is invalid.

2013-02-18  Teemu Rytilahti <tpr@iki.fi>

	* libs/dmetadata/dmetadata.cpp: Search Olympus' LensModel from
	Lensfun database, probably fixes #311295.  BUG:311295

2013-03-21  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/workflowmanager.cpp: Fix wrong
	QVaviant cast when Workflow is restaured from settings XML file
	CCBUGS: 313938

2013-03-21  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/manager/batchtoolutils.cpp,
	utilities/queuemanager/manager/batchtoolutils.h: add debug

2013-03-21  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/workflowmanager.cpp,
	utilities/queuemanager/manager/workflowmanager.h: add debug messages

2013-03-19  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/utils/libopencv.h: polish

2013-03-19  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/utils/libopencv.h, libs/dimg/filters/nr/libopencv.h: move
	this header in a common place

2013-03-19  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/nr/nrestimate.cpp,
	libs/dimg/filters/nr/nrestimate.h, tests/testnrestimate.cpp: code
	polish

2013-03-18  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_digikam.cpp,
	digikam/views/tableview_column_file.cpp,
	digikam/views/tableview_column_geo.cpp,
	digikam/views/tableview_column_item.cpp,
	digikam/views/tableview_column_photo.cpp,
	digikam/views/tableview_column_thumbnail.cpp: Remove dependencies on
	ImageFilterModel.

2013-03-18  Michael Georg Hansen <mike@mghansen.de>

	* digikam/album/albumselectcombobox.cpp, digikam/database/dio.cpp,
	digikam/database/syncjob.cpp,
	digikam/fileaction/fileactionmngr.cpp,
	digikam/fileaction/fileactionmngr_p.cpp,
	digikam/views/digikamview.cpp, digikam/views/welcomepageview.cpp,
	imageplugins/color/filmtool.cpp,
	imageplugins/filters/colorfxtool.cpp,
	libs/3rdparty/kinotify/kinotify.cpp, libs/dialogs/deletedialog.cpp,
	libs/imageproperties/imagedescedittab.cpp,
	libs/progressmanager/progressmanager.cpp,
	libs/progressmanager/progressview.cpp,
	libs/progressmanager/statusbarprogresswidget.cpp,
	tests/loadsavethreadtest.cpp,
	utilities/fuzzysearch/fuzzysearchview.cpp,
	utilities/imageeditor/core/editorcore.cpp,
	utilities/imageeditor/q3support/canvas.cpp,
	utilities/importui/dialogs/cameramessagebox.cpp,
	utilities/importui/main/importui.cpp,
	utilities/importui/models/importfiltermodel.cpp,
	utilities/importui/models/importimagemodel.cpp,
	utilities/importui/views/importview.cpp,
	utilities/kipiiface/kipiimagecollectionselector.cpp,
	utilities/kipiiface/kipiinterface.cpp,
	utilities/maintenance/duplicatesfinder.cpp,
	utilities/maintenance/maintenancedlg.cpp,
	utilities/maintenance/maintenancemngr.cpp,
	utilities/maintenance/thumbsgenerator.cpp,
	utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/searchwindow/searchtabheader.cpp: Normalize signal/slot
	connections.

2013-03-18  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_photo.cpp: Request multiple
	database fields in one call.

2013-03-18  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/database/haar/haar.cpp, libs/database/haar/haar.h,
	libs/database/haar/haariface.cpp, libs/database/haar/haariface.h: 
	polish

2013-03-18  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dmetadata/metadatasettings.cpp,
	libs/dmetadata/metadatasettings.h,
	libs/dmetadata/metadatasettingscontainer.cpp,
	libs/dmetadata/metadatasettingscontainer.h: constify and polish

2013-03-18  Gilles Caulier <caulier.gilles@gmail.com>

	* showfoto/main/showfoto.cpp: use MetadataSettings to set property
	of Showfoto Slideshow

2013-03-18  Gilles Caulier <caulier.gilles@gmail.com>

	* showfoto/setup/setupmetadata.cpp: polish

2013-03-18  Gilles Caulier <caulier.gilles@gmail.com>

	* showfoto/setup/setupmetadata.cpp, showfoto/setup/setupmetadata.h: 
	use MetadataSettings to handle rotation attribute from applicaiton
	settings file.

2013-03-18  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/setup/setupmetadata.cpp,
	utilities/setup/setupmetadata.h: constify and polish

2013-03-18  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-03-18  Gilles Caulier <caulier.gilles@gmail.com>

	* showfoto/main/showfoto.cpp: Handle whole current dir contents to
	load into thumbbar if only one item url is passed as argument to
	Showfoto.  BUGS: 316752 FIXED-IN: 3.2.0

2013-03-18  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-03-18  Gilles Caulier <caulier.gilles@gmail.com>

	* showfoto/main/main.cpp, showfoto/main/showfoto.cpp,
	showfoto/main/showfoto.h,
	utilities/imageeditor/editor/editorwindow.cpp,
	utilities/imageeditor/editor/editorwindow.h,
	utilities/imageeditor/main/imagewindow.cpp: Initialize
	MetadataSettings at showfoto startup Move canvas Exif autorotate
	handing in applyStandardSettings() BUGS: 312549 FIXED-IN : 3.2.0

2013-03-18  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/utils/albumsettings.cpp: these settings have been moved to
	MetadataSettingsContainer

2013-03-17  Pino Toscano <pino@kde.org>

	* digikam/views/tableview_column_photo.cpp: properly handle &
	translate the unit strings instead of translating just the unit strings, create proper
	KLocalizedString objects with the unit and the proper placeholder
	for the value; this avoids creating later a string puzzle also solve a small TODO: add the unicode character for "micro",
	making sure the source file is saved as UTF-8

2013-03-17  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 12bf61126e5920b5fc3db162a183e1c4bde0b28f Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Sun Mar 17 23:12:28 2013
	+0100

2013-03-17  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_photo.cpp,
	digikam/views/tableview_column_photo.h: Make the display of the
	exposure time configurable.

2013-03-17  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_photo.cpp,
	digikam/views/tableview_model.cpp, digikam/views/tableview_model.h: 
	Generate all photo column values from the cache.

2013-03-17  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_model.cpp,
	digikam/views/tableview_model.h, libs/database/databasefields.h: 
	Turn on caching of database fields in the items.  The cache is cleared when the data changes. However, right now when
	any item changes, the ImageFilterModel changes its layout and all
	caches are cleared.

2013-03-17  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/album/albumselectdialog.cpp,
	digikam/album/albumselectdialog.h,
	digikam/album/albumselectwidget.cpp,
	digikam/album/albumselectwidget.h,
	digikam/album/albumthumbnailloader.cpp,
	digikam/album/albumthumbnailloader.h,
	digikam/album/albumtreeview.cpp, digikam/album/albumtreeview.h: 
	constify and polish

2013-03-17  Gilles Caulier <caulier.gilles@gmail.com>

	* HACKING: update

2013-03-16  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-03-16  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_model.cpp: Only the root item has columns.

2013-03-16  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_photo.cpp,
	digikam/views/tableview_model.cpp, digikam/views/tableview_model.h: 
	Introduce direct access to the database fields.  This is used for sorting. Later, the data can also be cached.

2013-03-16  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/album/albumselectcombobox.cpp,
	digikam/album/albumselectcombobox.h: constify and polish

2013-03-16  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/album/albummodificationhelper.cpp,
	digikam/album/albummodificationhelper.h: constify and polish

2013-03-16  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/album/albumhistory.cpp, digikam/album/albumhistory.h: 
	constify and polish

2013-03-16  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/models/digikammodelcollection.cpp,
	digikam/models/digikammodelcollection.h: polish source code

2013-03-16  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_digikam.cpp,
	digikam/views/tableview_column_digikam.h,
	digikam/views/tableview_column_file.cpp,
	digikam/views/tableview_column_file.h,
	digikam/views/tableview_column_geo.cpp,
	digikam/views/tableview_column_geo.h,
	digikam/views/tableview_column_item.cpp,
	digikam/views/tableview_column_item.h,
	digikam/views/tableview_column_photo.cpp,
	digikam/views/tableview_column_photo.h,
	digikam/views/tableview_column_thumbnail.cpp,
	digikam/views/tableview_column_thumbnail.h,
	digikam/views/tableview_columnfactory.cpp,
	digikam/views/tableview_columnfactory.h,
	digikam/views/tableview_model.cpp,
	digikam/views/tableview_sortfilterproxymodel.cpp,
	digikam/views/tableview_treeview_delegate.cpp: Column objects now
	operate on TableViewModel::Item instead of QModelIndex.

2013-03-16  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_model.cpp,
	digikam/views/tableview_model.h: Introduce a function to get
	ImageInfo from the TableViewModel.

2013-03-16  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_model.cpp,
	digikam/views/tableview_model.h: Make TableViewModel::Item a public
	class.

2013-03-15  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_selection_model_syncer.cpp,
	digikam/views/tableview_selection_model_syncer.h: Select new columns
	in already selected rows.

2013-03-15  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/date/ddatetimeedit.cpp, digikam/date/ddatetimeedit.h: 
	constify and polish

2013-03-15  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/date/datefolderview.cpp, digikam/date/datefolderview.h,
	digikam/date/ddateedit.cpp, digikam/date/ddateedit.h: constify and
	polish

2013-03-15  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/dragdrop/albumdragdrop.cpp,
	digikam/dragdrop/albumdragdrop.h,
	digikam/dragdrop/ddragobjects.cpp, digikam/dragdrop/ddragobjects.h,
	digikam/dragdrop/tagdragdrop.cpp, digikam/dragdrop/tagdragdrop.h: 
	constify and polish

2013-03-15  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-03-14  Albert Astals Cid <aacid@kde.org>

	* ChangeLog: Fix my email address

2013-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/dragdrop/imagedragdrop.cpp,
	digikam/dragdrop/imagedragdrop.h: constify and polish

2013-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 93b9a03bc683f2e875b520825e0f5a06db545392 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Thu Mar 14 22:52:34 2013
	+0100

2013-03-14  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_thumbnail.cpp,
	digikam/views/tableview_columnfactory.cpp,
	digikam/views/tableview_selection_model_syncer.cpp,
	digikam/views/tableview_sortfilterproxymodel.cpp: Mark some function
	parameters as unused.  The ones that still generate warnings may still have to be used.

2013-03-14  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_file.cpp,
	digikam/views/tableview_column_file.h,
	digikam/views/tableview_column_geo.cpp,
	digikam/views/tableview_column_geo.h: Fix krazy2 warnings.

2013-03-14  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_photo.cpp: Fix icon.

2013-03-14  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_configuration_dialog.cpp,
	digikam/views/tableview_column_thumbnail.cpp,
	digikam/views/tableview_model.cpp,
	digikam/views/tableview_selection_model_syncer.h,
	digikam/views/tableview_sortfilterproxymodel.cpp,
	digikam/views/tableview_sortfilterproxymodel.h: Fix krazy2 warnings.

2013-03-14  Michael Georg Hansen <mike@mghansen.de>

	* CMakeLists.txt, digikam/views/tableview_column_photo.cpp,
	digikam/views/tableview_column_photo.h,
	digikam/views/tableview_columnfactory.cpp,
	digikam/views/tableview_columns.h: Add a column for photo
	properties.

2013-03-14  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_item.cpp,
	digikam/views/tableview_column_item.h: Add more item property
	columns.

2013-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/views/tableview_column_configuration_dialog.cpp,
	digikam/views/tableview_column_configuration_dialog.h: fix CR Scan
	#989128

2013-03-13  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_model.cpp,
	digikam/views/tableview_treeview_delegate.cpp: Add debug output to
	find out more about the crash on OSX.  Gilles, please run digikam on OSX again so we can see which column
	is accessed.  CCBUG: 244422

2013-03-13  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview.cpp,
	digikam/views/tableview_columnfactory.cpp: Fix memory leaks -
	missing parents for objects.

2013-03-13  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_model.cpp: Make new/delete operations more
	consistent.

2013-03-13  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_columnfactory.cpp,
	digikam/views/tableview_columnfactory.h: Fix cppcheck warning.

2013-03-13  Michael Georg Hansen <mike@mghansen.de>

	* digikam/main/digikamapp.cpp, digikam/main/digikamui.rc,
	digikam/views/tableview_column_digikam.cpp: Polish the UI.  Digikam->digiKam Replace table view icon with oxygen icon Add table
	view action to digikamui.rc

2013-03-13  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/paniconwidget.cpp,
	libs/widgets/common/paniconwidget.h,
	libs/widgets/graphicsview/graphicsdimgitem.h: constify and polish

2013-03-13  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/graphicsview/graphicsdimgview.cpp,
	utilities/imageeditor/q3support/canvas.cpp,
	utilities/imageeditor/q3support/canvas.h,
	utilities/imageeditor/q3support/previewwidget.cpp,
	utilities/imageeditor/q3support/previewwidget.h: Fix typo in
	signals/slots : hiden => hidden

2013-03-13  Gilles Caulier <caulier.gilles@gmail.com>

	* project/NEWS.2.5.0, project/NEWS.2.7.0, project/NEWS.2.9.0: polish

2013-03-12  Gilles Caulier <caulier.gilles@gmail.com>

	* project/NEWS.3.0.0, project/NEWS.3.1.0: polish

2013-03-12  Gilles Caulier <caulier.gilles@gmail.com>

	* AUTHORS: new Showfoto 3.2.0 splashscreen from Mohamed Malik
	CCMAIL: i@mohamedmalik.com

2013-03-12  Gilles Caulier <caulier.gilles@gmail.com>

	* AUTHORS: new digiKam 3.2.0 splashscreen from Dmitri Popov CCMAIL:
	dmpop@linux.com

2013-03-11  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_columnfactory.cpp: Set useful default
	columns for the table view.

2013-03-11  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_sortfilterproxymodel.cpp,
	digikam/views/tableview_sortfilterproxymodel.h: Add missing files.

2013-03-11  Michael Georg Hansen <mike@mghansen.de>

	* : commit 795cefe01818723e7a1f2c12ff4158bc14c123e5 Author: Michael
	Georg Hansen <mike@mghansen.de> Date:   Mon Mar 11 22:07:58 2013
	+0100

2013-03-11  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview.cpp, digikam/views/tableview.h,
	digikam/views/tableview_column_configuration_dialog.cpp,
	digikam/views/tableview_column_configuration_dialog.h,
	digikam/views/tableview_column_geo.h,
	digikam/views/tableview_column_thumbnail.h,
	digikam/views/tableview_model.cpp, digikam/views/tableview_model.h,
	digikam/views/tableview_selection_model_syncer.cpp,
	digikam/views/tableview_selection_model_syncer.h,
	digikam/views/tableview_treeview.cpp,
	digikam/views/tableview_treeview.h,
	digikam/views/tableview_treeview_delegate.cpp,
	digikam/views/tableview_treeview_delegate.h: Sort include
	directives.

2013-03-11  Michael Georg Hansen <mike@mghansen.de>

	* CMakeLists.txt, digikam/views/tableview.cpp,
	digikam/views/tableview_model.cpp, digikam/views/tableview_model.h,
	digikam/views/tableview_treeview.cpp,
	digikam/views/tableview_treeview_delegate.cpp: Split the sort filter
	proxy model into its own file.

2013-03-11  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_model.cpp,
	digikam/views/tableview_model.h,
	digikam/views/tableview_selection_model_syncer.cpp: Adapt selection
	syncer code to new model internals.

2013-03-11  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, NEWS: update

2013-03-11  Nicolas Lécureuil <neoclust.kde@free.fr>

	* CMakeLists.txt, NEWS: Open for 3.2.0

2013-03-11  Nicolas Lécureuil <neoclust.kde@free.fr>

	* ChangeLog, project/NEWS.3.1.0: Version 3.1.0

2013-03-10  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_model.cpp,
	digikam/views/tableview_model.h: Start work on items in
	TableViewModel.  These will later be used to show grouped images as child-items.

2013-03-10  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview.cpp, digikam/views/tableview_model.cpp,
	digikam/views/tableview_shared.h,
	digikam/views/tableview_treeview.cpp: Put a pointer to ImageModel
	into the shared object.

2013-03-10  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview.cpp, digikam/views/tableview_model.cpp,
	digikam/views/tableview_model.h: Use the shared object in the model
	instead of individual pointers.

2013-03-09  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/digikamview.cpp: Fix changing to preview mode from
	table view.

2013-03-09  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_digikam.cpp,
	digikam/views/tableview_column_digikam.h: Add columns for title and
	caption.

2013-03-09  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_digikam.cpp,
	digikam/views/tableview_column_digikam.h: Add a color label column.

2013-03-09  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_digikam.cpp,
	digikam/views/tableview_column_digikam.h: Add a pick label column.  For now, it shows colored text but it would be nice to display the
	pick label icon as well.

2013-03-09  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_geo.cpp,
	digikam/views/tableview_column_geo.h: Implement configuration
	options for the altitude.

2013-03-09  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_file.cpp: Initialize members in
	constructor.

2013-03-09  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/tableview_column_file.cpp,
	digikam/views/tableview_columnfactory.h: Use getSubColumnIndex
	instead of manual search for the index.

3.1.0 2013-03-10

2013-03-08  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 5f1de321fab2715465aa94d9d23b85d782b01baa Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Fri Mar 8 09:08:57 2013
	+0100

2013-03-07  Pino Toscano <pino@kde.org>

	* tests/dimagehistorytest.cpp: DImageHistoryTest: make it kde-based,
	with GUI

2013-03-06  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-03-04  Veaceslav Munteanu <slavuttici@gmail.com>

	* libs/dmetadata/dmetadata.cpp: Fix dmetadata.cpp incompatibility
	with older libkexiv2

2013-03-03  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 39a489c54142b03477c0712d5f9d37170dd3a429 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Sun Mar 3 23:23:49 2013
	+0100

2013-03-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/thememanager/thememanager.cpp,
	libs/thememanager/thememanager.h: constify and polish

2013-03-03  Michael Georg Hansen <mike@mghansen.de>

	* libs/widgets/itemview/dcategorizedview.cpp: Polish.

2013-03-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/threadimageio/loadsavetask.cpp,
	libs/threadimageio/loadsavetask.h: fix MSVC warnings

2013-03-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/database/collectionscannerobserver.h: constify and polish :
	fix MSVC compilation warning

2013-03-02  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/dimgfiltermanager.cpp: polish

2013-03-02  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, libs/dimg/filters/dimgfiltermanager.cpp: isolate
	ContentAwareResizing and LensFun filter is shared libs are not
	present. This must fix linking under Windows

2013-03-01  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/threadimageio/thumbnailsize.h: simplify, remove strange check

2013-03-01  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/database/collectionmanager.cpp: coverity: return a proper
	user-readable string

2013-03-01  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* digikam/items/imageratingoverlay.cpp,
	digikam/tags/tagslineeditoverlay.cpp,
	utilities/importui/items/importoverlays.cpp: coverity: add null
	pointer check

2013-03-01  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* digikam/album/albummanager.cpp: coverity: add null pointer check

2013-03-01  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/icc/icctransform.cpp,
	libs/dimg/filters/icc/icctransform.h: polish

2013-02-28  Veaceslav Munteanu <slavuttici@gmail.com>

	* libs/dmetadata/dmetadata.cpp, libs/dmetadata/dmetadata.h: Prepare
	for storing Face Tags: Add tested methods setFacesMap and
	removeFaces to dmetadata. Not used yet and shouldn't affect digikam
	behaviour

2013-02-26  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/importui/backend/umscamera.cpp: Fix CR SCAN #981024 fix
	logic of stat() from #981025

2013-02-26  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/importui/backend/umscamera.cpp: Fix CR SCAN #981025

2013-02-26  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/fx/blurfxfilter.cpp: fix CR SCAN #981078

2013-02-26  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/fx/blurfxfilter.cpp,
	libs/dimg/filters/fx/blurfxfilter.h: Fix CR SCAN #981079 use d
	internal container

2013-02-26  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/fx/oilpaintfilter.cpp,
	libs/dimg/filters/fx/oilpaintfilter.h: Fix CR SCAN #981080 use d
	private internal container

2013-02-26  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/importui/widgets/freespacewidget.cpp: fix CR SCAN
	#981081

2013-02-26  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/imageeditor/core/editorcore.cpp,
	utilities/imageeditor/core/editorcore.h,
	utilities/imageeditor/core/editorcore_p.h: fix CR SCAN #981111

2013-02-26  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/date/monthwidget.cpp, digikam/date/monthwidget.h: Fix CR
	SCAN #981286

2013-02-26  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/utils/editablesearchtreeview.cpp,
	digikam/utils/editablesearchtreeview.h: Fix CR SCAN #981287 constify
	and polish

2013-02-26  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/hsl/hslfilter.cpp,
	libs/dimg/filters/hsl/hslsettings.cpp,
	libs/dimg/filters/hsl/hslsettings.h,
	libs/dimg/filters/hsl/hspreviewwidget.cpp,
	libs/dimg/filters/hsl/hspreviewwidget.h: fix CR SCAN #9812963
	constify and polish

2013-02-26  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/database/imagecomments.cpp, libs/database/imagecomments.h,
	libs/database/imagecopyright.cpp, libs/database/imagecopyright.h,
	libs/database/imageextendedproperties.cpp,
	libs/database/imageextendedproperties.h,
	libs/database/imageinfo.cpp, libs/database/imageinfo.h,
	libs/database/imageinfocache.cpp, libs/database/imageinfocache.h,
	libs/database/imageinfolist.cpp, libs/database/imageinfolist.h: 
	constify and polish

2013-02-26  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/database/imageinfo.cpp, libs/database/imageinfodata.h: 
	groupingFlags is never used in digiKam core.

2013-02-26  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/database/imageinfo.cpp, libs/database/imageinfo.h: Fix CR
	SCAN #981288

2013-02-25  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 773dfe2f2b593fcc3db060876f60af2536e0132d Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Mon Feb 25 23:35:08 2013
	+0100

2013-02-25  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/database/collectionmanager.cpp,
	libs/dimg/filters/icc/icctransform.cpp: Coverity: uninitialized
	fields

2013-02-25  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* imageplugins/enhance/hotpixels/weights.h: Coverity: delete ->
	delete[]

2013-02-25  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-25  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/importui/widgets/freespacewidget.cpp: CR: logical dead
	code, execution cannot reach this expression

2013-02-25  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/threadimageio/loadingdescription.cpp,
	libs/threadimageio/loadingdescription.h: Fix Coverity SCAN #981299

2013-02-25  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/threadimageio/thumbnailsize.h: fix Coverity SCAN #981300

2013-02-24  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/dimg.cpp, libs/dimg/dimg.h, libs/dimg/dimg_p.h,
	libs/dimg/dimgscale.cpp: CR : unchecked if file pointer value is
	null.  code polish

2013-02-24  Burkhard Lück <lueck@hube-lueck.de>

	* utilities/advancedrename/advancedrenamedialog.cpp: remove
	consecutive duplicate word >a<

2013-02-24  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/transform/imageplugin_transform.cpp: polish

2013-02-24  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/transform/imageplugin_transform.cpp,
	imageplugins/transform/imageplugin_transform.h: polish

2013-02-24  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, NEWS, cmake/modules/FindLqr-1.cmake,
	digikam/utils/config-digikam.h.cmake,
	imageplugins/enhance/imageplugin_enhance.cpp,
	imageplugins/transform/imageplugin_transform.cpp,
	libs/3rdparty/lqr/lqr.h, libs/3rdparty/lqr/lqr_all.h,
	libs/3rdparty/lqr/lqr_base.h, libs/3rdparty/lqr/lqr_carver.c,
	libs/3rdparty/lqr/lqr_carver.h,
	libs/3rdparty/lqr/lqr_carver_bias.c,
	libs/3rdparty/lqr/lqr_carver_bias.h,
	libs/3rdparty/lqr/lqr_carver_bias_priv.h,
	libs/3rdparty/lqr/lqr_carver_bias_pub.h,
	libs/3rdparty/lqr/lqr_carver_list.c,
	libs/3rdparty/lqr/lqr_carver_list.h,
	libs/3rdparty/lqr/lqr_carver_list_priv.h,
	libs/3rdparty/lqr/lqr_carver_list_pub.h,
	libs/3rdparty/lqr/lqr_carver_macros_priv.h,
	libs/3rdparty/lqr/lqr_carver_priv.h,
	libs/3rdparty/lqr/lqr_carver_pub.h,
	libs/3rdparty/lqr/lqr_carver_rigmask.c,
	libs/3rdparty/lqr/lqr_carver_rigmask.h,
	libs/3rdparty/lqr/lqr_carver_rigmask_priv.h,
	libs/3rdparty/lqr/lqr_carver_rigmask_pub.h,
	libs/3rdparty/lqr/lqr_cursor.c, libs/3rdparty/lqr/lqr_cursor.h,
	libs/3rdparty/lqr/lqr_cursor_priv.h,
	libs/3rdparty/lqr/lqr_cursor_pub.h, libs/3rdparty/lqr/lqr_energy.c,
	libs/3rdparty/lqr/lqr_energy.h,
	libs/3rdparty/lqr/lqr_energy_priv.h,
	libs/3rdparty/lqr/lqr_energy_pub.h,
	libs/3rdparty/lqr/lqr_gradient.c, libs/3rdparty/lqr/lqr_gradient.h,
	libs/3rdparty/lqr/lqr_gradient_priv.h,
	libs/3rdparty/lqr/lqr_gradient_pub.h,
	libs/3rdparty/lqr/lqr_progress.c, libs/3rdparty/lqr/lqr_progress.h,
	libs/3rdparty/lqr/lqr_progress_priv.h,
	libs/3rdparty/lqr/lqr_progress_pub.h,
	libs/3rdparty/lqr/lqr_rwindow.c, libs/3rdparty/lqr/lqr_rwindow.h,
	libs/3rdparty/lqr/lqr_rwindow_priv.h,
	libs/3rdparty/lqr/lqr_rwindow_pub.h, libs/3rdparty/lqr/lqr_vmap.c,
	libs/3rdparty/lqr/lqr_vmap.h, libs/3rdparty/lqr/lqr_vmap_list.c,
	libs/3rdparty/lqr/lqr_vmap_list.h,
	libs/3rdparty/lqr/lqr_vmap_list_priv.h,
	libs/3rdparty/lqr/lqr_vmap_list_pub.h,
	libs/3rdparty/lqr/lqr_vmap_priv.h,
	libs/3rdparty/lqr/lqr_vmap_pub.h, libs/dialogs/libsinfodlg.cpp,
	libs/dimg/filters/dimgfiltermanager.cpp,
	libs/dimg/filters/lens/lensfunfilter.h,
	libs/dimg/filters/transform/contentawarefilter.cpp,
	libs/dimg/filters/transform/contentawarefilter.h: remove internal
	liblqr-1 library.  Use only an optional extern dependency Fix Glib2
	compilation rules for lensfun and lqr tools. Do not check Glib but
	releavant libs.  Report lensfun and lqr dependencies and end of
	cmake configuration

2013-02-24  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-24  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-24  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/main/digikamapp.cpp, digikam/main/digikamapp.h,
	digikam/main/digikamapp_p.h,
	utilities/imageeditor/editor/editorwindow.cpp,
	utilities/imageeditor/editor/editorwindow.h,
	utilities/imageeditor/editor/editorwindow_p.h,
	utilities/imageeditor/main/imagewindow.cpp,
	utilities/imageeditor/main/imagewindow.h,
	utilities/imageeditor/main/imagewindow_p.h,
	utilities/importui/main/importui.cpp,
	utilities/importui/main/importui.h,
	utilities/importui/main/importui_p.h,
	utilities/lighttable/lighttablewindow.cpp,
	utilities/lighttable/lighttablewindow.h,
	utilities/lighttable/lighttablewindow_p.h,
	utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/main/queuemgrwindow.h,
	utilities/queuemanager/main/queuemgrwindow_p.h: AlbumGUI, Editor,
	BQM, ImportUI, LT: simplify fullscreen action handling to use
	KToggleFullScreenAction use toggled(bool) signal from action to
	prevent multiple fire to slotToggleFullScreen() use
	KToggleFullScreenAction::setFullScreen() instead to change QWidget
	properties to swith on/off to full screen.  Fix crash under MACOSX
	BUGS: 257773 FIXED-IN: 3.1.0

2013-02-23  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt: polish

2013-02-23  Gilles Caulier <caulier.gilles@gmail.com>

	* README: add libsqlite2 external dependency

2013-02-23  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-23  Pino Toscano <pino@kde.org>

	* libs/3rdparty/sqlite2/README, libs/3rdparty/sqlite2/attach.c,
	libs/3rdparty/sqlite2/auth.c, libs/3rdparty/sqlite2/btree.c,
	libs/3rdparty/sqlite2/btree.h, libs/3rdparty/sqlite2/btree_rb.c,
	libs/3rdparty/sqlite2/build.c, libs/3rdparty/sqlite2/copy.c,
	libs/3rdparty/sqlite2/date.c, libs/3rdparty/sqlite2/delete.c,
	libs/3rdparty/sqlite2/encode.c, libs/3rdparty/sqlite2/expr.c,
	libs/3rdparty/sqlite2/func.c, libs/3rdparty/sqlite2/hash.c,
	libs/3rdparty/sqlite2/hash.h, libs/3rdparty/sqlite2/insert.c,
	libs/3rdparty/sqlite2/main.c, libs/3rdparty/sqlite2/opcodes.c,
	libs/3rdparty/sqlite2/opcodes.h, libs/3rdparty/sqlite2/os.c,
	libs/3rdparty/sqlite2/os.h, libs/3rdparty/sqlite2/pager.c,
	libs/3rdparty/sqlite2/pager.h, libs/3rdparty/sqlite2/parse.c,
	libs/3rdparty/sqlite2/parse.h, libs/3rdparty/sqlite2/pragma.c,
	libs/3rdparty/sqlite2/printf.c, libs/3rdparty/sqlite2/random.c,
	libs/3rdparty/sqlite2/select.c, libs/3rdparty/sqlite2/shell.c,
	libs/3rdparty/sqlite2/sqlite.h, libs/3rdparty/sqlite2/sqliteInt.h,
	libs/3rdparty/sqlite2/table.c, libs/3rdparty/sqlite2/tokenize.c,
	libs/3rdparty/sqlite2/trigger.c, libs/3rdparty/sqlite2/update.c,
	libs/3rdparty/sqlite2/util.c, libs/3rdparty/sqlite2/vacuum.c,
	libs/3rdparty/sqlite2/vdbe.c, libs/3rdparty/sqlite2/vdbe.h,
	libs/3rdparty/sqlite2/vdbeInt.h, libs/3rdparty/sqlite2/vdbeaux.c,
	libs/3rdparty/sqlite2/where.c: remove the old copy of sqlite2 0addce7f2ebdccd76b3291a45e0019ed45069e7e stops using it in favour of
	an optional external sqlite2 library, so the internal copy can now
	be removed.

2013-02-23  Pino Toscano <pino@kde.org>

	* CMakeLists.txt, cmake/modules/FindSqlite2.cmake,
	digikam/CMakeLists.txt, digikam/utils/config-digikam.h.cmake,
	libs/database/schemaupdater.cpp: Find and external SQLite v2 for
	digiKam DB 0.7 conversion Instead of rely on an internal copy of SQLite v2, search for an
	external version of it; if not found, disable the import/conversion
	of old databases from v0.7, failing directly with an error message.  REVIEW: 109110 BUG: 237037

2013-02-23  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-22  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/3rdparty/regex/README, libs/3rdparty/regex/regcomp.c,
	libs/3rdparty/regex/regerror.c, libs/3rdparty/regex/regex.h,
	libs/3rdparty/regex/regexec.c, libs/3rdparty/regex/tre-ast.c,
	libs/3rdparty/regex/tre-ast.h, libs/3rdparty/regex/tre-compile.c,
	libs/3rdparty/regex/tre-compile.h,
	libs/3rdparty/regex/tre-internal.h,
	libs/3rdparty/regex/tre-match-approx.c,
	libs/3rdparty/regex/tre-match-backtrack.c,
	libs/3rdparty/regex/tre-match-parallel.c,
	libs/3rdparty/regex/tre-match-utils.h,
	libs/3rdparty/regex/tre-mem.c, libs/3rdparty/regex/tre-mem.h,
	libs/3rdparty/regex/tre-parse.c, libs/3rdparty/regex/tre-parse.h,
	libs/3rdparty/regex/tre-stack.c, libs/3rdparty/regex/tre-stack.h,
	libs/3rdparty/regex/xmalloc.c, libs/3rdparty/regex/xmalloc.h: not
	used

2013-02-22  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/3rdparty/kmemoryinfo/kmemoryinfo.cpp,
	libs/dimg/loaders/dimgloader.cpp, libs/dimg/loaders/dimgloader.h: 
	typo and polish

2013-02-22  Pino Toscano <pino@kde.org>

	* libs/3rdparty/kmemoryinfo/kmemoryinfo.cpp,
	libs/3rdparty/kmemoryinfo/kmemoryinfo.h: Revert "fix typo and
	header" The "fix" to the header also changes the license, which you can do
	only if you have the explicit permission of all the authors and
	contributors of this code.  (Also, the "foo@bar.org" -> "foo at bar dot org" email scrambling is
	totally useless.) CCMAIL: caulier.gilles@gmail.com This reverts commit 2fb9b2de748f1cbf58f8d448b03602239190c94c.

2013-02-22  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/3rdparty/kmemoryinfo/kmemoryinfo.cpp,
	libs/3rdparty/kmemoryinfo/kmemoryinfo.h: fix typo and header

2013-02-22  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/3rdparty/kmemoryinfo/kmemoryinfo.cpp: reset this member

2013-02-22  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/3rdparty/kmemoryinfo/kmemoryinfo.cpp,
	libs/3rdparty/kmemoryinfo/kmemoryinfo.h: wrong logic with value
	returned

2013-02-22  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/3rdparty/kmemoryinfo/kmemoryinfo.cpp,
	libs/3rdparty/kmemoryinfo/kmemoryinfo_backend.cpp: print debug
	statement about memory info platform detected

2013-02-22  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-22  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/3rdparty/kmemoryinfo/kmemoryinfo.cpp,
	libs/3rdparty/kmemoryinfo/kmemoryinfo.h,
	libs/3rdparty/kmemoryinfo/kmemoryinfo_backend.cpp,
	libs/dimg/loaders/dimgloader.cpp, libs/dimg/loaders/dimgloader.h: 
	new behavor about KMemoryInfo: Check if memory info from current
	platform is supported or not (for ex, MacOSX is not support) If not,
	-1 is returned from memory parser. In this case, digiKam will try to
	continue to allocate memory. An error message is printed to the
	console as debug statement.  If yes, we try to check memory info. If
	an error occur, 0 is returned, else 1.  This will solve multiple issues from bugzilla about non show large
	images in preview or editor, if memory allocation to store
	decompressed pixels data is more than 100Mb CCBUGS: 314260 BUGS: 303217

2013-02-22  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/3rdparty/kmemoryinfo/kmemoryinfo_backend.cpp: code polish and
	review

2013-02-22  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/3rdparty/kmemoryinfo/kmemoryinfo.cpp,
	libs/3rdparty/kmemoryinfo/kmemoryinfo.h,
	libs/3rdparty/kmemoryinfo/kmemoryinfo_backend.cpp: constify and
	polish

2013-02-21  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/3rdparty/kmemoryinfo/kmemoryinfo.cpp: more debug info

2013-02-21  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/loaders/dimgloader.cpp, libs/dimg/loaders/dimgloader.h: 
	more debug info to hack large file loading and memory allocation

2013-02-21  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/main/main.cpp: under MACOSX, first run assistant layout is
	completly broken due to a missing call of show() this do not appears
	under Linux and Windows. Sound like a missing stuff from KDELibs

2013-02-18  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, libs/widgets/common/filtershistorywidget.cpp,
	libs/widgets/common/filtershistorywidget.h,
	libs/widgets/common/imagefiltershistoryitemdelegate.cpp,
	libs/widgets/common/imagefiltershistoryitemdelegate.h,
	libs/widgets/common/imagefiltershistorymodel.cpp,
	libs/widgets/common/imagefiltershistorymodel.h,
	libs/widgets/common/imagefiltershistorytreeitem.cpp,
	libs/widgets/common/imagefiltershistorytreeitem.h,
	libs/widgets/common/versionswidget.cpp,
	libs/widgets/common/versionswidget.h,
	libs/widgets/imagehistory/filtershistorywidget.cpp,
	libs/widgets/imagehistory/filtershistorywidget.h,
	libs/widgets/imagehistory/imagefiltershistoryitemdelegate.cpp,
	libs/widgets/imagehistory/imagefiltershistoryitemdelegate.h,
	libs/widgets/imagehistory/imagefiltershistorymodel.cpp,
	libs/widgets/imagehistory/imagefiltershistorymodel.h,
	libs/widgets/imagehistory/imagefiltershistorytreeitem.cpp,
	libs/widgets/imagehistory/imagefiltershistorytreeitem.h,
	libs/widgets/imagehistory/versionswidget.cpp,
	libs/widgets/imagehistory/versionswidget.h: move imagehistory widget
	to a dedicated dir

2013-02-18  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/dhistoryview.cpp,
	libs/widgets/common/dhistoryview.h,
	libs/widgets/common/imagefiltershistorymodel.cpp,
	libs/widgets/common/imagefiltershistorymodel.h: constify and polish

2013-02-18  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/imagefiltershistoryitemdelegate.cpp,
	libs/widgets/common/imagefiltershistoryitemdelegate.h,
	libs/widgets/common/imagefiltershistorymodel.cpp,
	libs/widgets/common/imagefiltershistorymodel.h,
	libs/widgets/common/imagefiltershistorytreeitem.cpp,
	libs/widgets/common/imagefiltershistorytreeitem.h,
	libs/widgets/common/imagehistoryview.cpp,
	libs/widgets/common/imagehistoryview.h: CR : init members in ctor
	constify and polish

2013-02-18  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-17  Gilles Caulier <caulier.gilles@gmail.com>

	* tests/searchtextbartest.cpp, tests/searchtextbartest.h: polish

2013-02-17  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 006dab70ba5d85e69d53957d42e60aa6cf1d2835 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Sun Feb 17 18:48:00 2013
	+0100

2013-02-17  Michael Georg Hansen <mike@mghansen.de>

	* libs/imageproperties/imagepropertiessidebarcamgui.cpp,
	libs/imageproperties/imagepropertiessidebarcamgui.h: Add
	saving/loading of the state.

2013-02-16  Michael Georg Hansen <mike@mghansen.de>

	* utilities/gpssearch/gpsmarkertiler.cpp: Revert
	1fe432d0828e53c9820b1f27b9a81c8722d7e539 which caused a crash.  MyTile is only deleted by GPSMarkerTiler::tileDelete.  All
	subclasses of AbstractMarkerTiler have to reimplement tileDelete to
	delete their Tile subclasses.  This was done in order not to have
	any virtual functions in Tile and its subclasses in order to save
	memory, since there can be a lot of tiles in a MarkerTiler.

2013-02-15  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/imageeditor/editor/editortool.cpp,
	utilities/imageeditor/editor/editortool.h: CR : not init member in
	ctor

2013-02-15  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/batchtool.cpp,
	utilities/queuemanager/manager/batchtool.h: CR : not init member in
	ctor

2013-02-15  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/maintenance/maintenancesettings.h: CR : not init member
	in ctor

2013-02-15  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/enhance/hotpixels/weights.cpp,
	imageplugins/enhance/hotpixels/weights.h: CR : delete array instance
	in destructor.  code polish

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/threadimageio/managedloadsavethread.cpp,
	libs/threadimageio/managedloadsavethread.h: CR : loadingTask is not
	use if test from line 606 constify and polish

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/importui/models/importimagemodel.cpp: This is a very
	nice dysfunction discovered by Coverity Report:    CID 981482 (#1 of 1): Structurally dead code (UNREACHABLE)    unreachable: Since the loop increment "++it;" is unreachable, the
	   loop body will never execute more than once.  for (it =
	oldIds.find(info.id) ; (it != oldIds.end()) && (it.key() == info.id)
	; ++it) Islam, Please check if all if fine for you...  CCMAIL: wazery@ubuntu.com

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/views/digikamview.cpp, digikam/views/digikamview.h: 
	constify and polish

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/views/digikamview.cpp: Check dynamic_cast before use

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/transform/freerotationtool.cpp,
	imageplugins/transform/sheartool.cpp,
	imageplugins/transform/sheartool.h: CR : check dynamic_cast before
	use

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/enhance/noisereductiontool.cpp,
	imageplugins/enhance/noisereductiontool.h: CR : check dynamic_cast
	before to use

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/fuzzysearch/findduplicatesalbumitem.cpp,
	utilities/fuzzysearch/findduplicatesalbumitem.h,
	utilities/fuzzysearch/findduplicatesview.cpp,
	utilities/fuzzysearch/findduplicatesview.h,
	utilities/fuzzysearch/fuzzysearchview.cpp,
	utilities/fuzzysearch/fuzzysearchview.h,
	utilities/fuzzysearch/sketchwidget.cpp,
	utilities/fuzzysearch/sketchwidget.h: constify and polish

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/fuzzysearch/findduplicatesview.cpp,
	utilities/fuzzysearch/findduplicatesview.h: CR : check dynamic_cast
	value before use

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/album/albumselectiontreeview.cpp,
	libs/dimg/filters/nr/nrestimate.cpp: CR : check returned value.
	check dynamic_cast value before to use

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/importui/models/importfiltermodel.cpp: Nice Infinite
	loops discovered by Coverity Reports...  CCMAIL: wazery@ubuntu.com

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/icc/iccmanager.cpp,
	libs/dimg/filters/icc/iccmanager.h,
	libs/dimg/filters/icc/iccprofile.cpp,
	libs/dimg/filters/icc/iccprofile.h,
	libs/dimg/filters/icc/iccprofilesettings.cpp,
	libs/dimg/filters/icc/iccprofilesettings.h,
	libs/dimg/filters/icc/iccsettingscontainer.cpp,
	libs/dimg/filters/icc/iccsettingscontainer.h,
	libs/dimg/filters/icc/icctransform.cpp,
	libs/dimg/filters/icc/icctransform.h: constify and polish

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/icc/iccsettings.cpp: CR : fix unreachable code

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/jpegutils/jpegutils.cpp: CR : False error here. Add comment
	for the future

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/basetools/transform/crop.cpp,
	utilities/queuemanager/basetools/transform/crop.h: CR :
	m_settingsWidget = m_settingsWidget has no effect

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/auto/stretchfilter.cpp,
	libs/dimg/filters/auto/stretchfilter.h: CR : fix cast to prevent
	future warning

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/loaders/ppmloader.cpp, libs/dimg/loaders/ppmloader.h: CR
	: a cast need to be done here to prevent future warning

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/database/schemaupdater.cpp: CR : fix unreachable code. polish

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/greycstoration/greycstorationfilter.cpp: CR :
	delete this object in Private destructor, to prevent future warning
	in the future

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dmetadata/dmetadata.cpp, libs/dmetadata/dmetadata.h,
	utilities/kipiiface/kipiimagecollection.cpp: CR : check values
	     returned by dynamic_cast before to use it Fix unreached code warning      constify and polish

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/graphicsview/clickdragreleaseitem.cpp,
	libs/widgets/graphicsview/clickdragreleaseitem.h,
	libs/widgets/graphicsview/dimgchilditem.cpp,
	libs/widgets/graphicsview/dimgchilditem.h,
	libs/widgets/graphicsview/dimgpreviewitem.cpp,
	libs/widgets/graphicsview/dimgpreviewitem.h,
	libs/widgets/graphicsview/graphicsdimgitem.cpp,
	libs/widgets/graphicsview/graphicsdimgview.cpp,
	libs/widgets/graphicsview/graphicsdimgview.h,
	libs/widgets/graphicsview/itemvisibilitycontroller.cpp,
	libs/widgets/graphicsview/itemvisibilitycontroller.h,
	libs/widgets/graphicsview/previewlayout.cpp,
	libs/widgets/graphicsview/previewlayout.h,
	libs/widgets/graphicsview/regionframeitem.cpp,
	libs/widgets/graphicsview/regionframeitem.h: constify and polish

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/graphicsview/dimgpreviewitem.cpp: CR : refactoring
	dead code to prevent future warning

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/loaders/rawloader.cpp, libs/dimg/loaders/rawloader.h: CR
	: memory leak with image allocation done previously if user cancal
	RAW file loading

2013-02-13  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/nr/nrestimate.cpp: CR : not init array

2013-02-13  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/gpssearch/gpsmarkertiler.cpp: CR : non virtual
	destructor

2013-02-13  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/database/dbstatdlg.cpp, digikam/database/dbstatdlg.h,
	digikam/database/dio.cpp, digikam/database/dio.h,
	digikam/database/dio_p.h,
	digikam/database/imageattributeswatch.cpp,
	digikam/database/scancontroller.cpp,
	digikam/database/scancontroller.h, digikam/database/syncjob.cpp,
	digikam/database/syncjob.h: constify and polish

2013-02-13  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/database/databaseguierrorhandler.cpp,
	digikam/database/databaseguierrorhandler.h: DatabaseGUIErrorHandler
	declare re-implemented public methods where parent class
	DatabaseErrorHandler declare virtual methods as public Q_SLOTS.  I'm
	not sure if this can have any side-effects...  CCMAIL:
	marcel.wiesweg@gmx.de

2013-02-13  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 798ac78af9c9a5cc346e28eb506fea5f4036c7a7 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Wed Feb 13 13:22:00 2013
	+0100

2013-02-13  Veaceslav Munteanu <slavuttici@gmail.com>

	* NEWS, libs/dmetadata/dmetadata.cpp: BUG 314509 - Apply patch from
	Kristian Karl,read face tags from Picassa

2013-02-12  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 7aa199aa1e34e227c6f68d75841f8aa4f57cf17c Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Tue Feb 12 23:12:46 2013
	+0100

2013-02-12  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/dimg/dimg.cpp, libs/dimg/filters/curves/imagecurves.cpp: 
	Coverity: Remove unnecessary checks and clauses never reached

2013-02-12  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/database/albumdb.cpp: Coverity: Fix bug, must remove "else"s
	because all conditions can be true

2013-02-12  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/database/imagehistory/imagehistorygraph_boost.h,
	libs/database/imagehistory/imagehistorygraphmodel.cpp: Coverity: One
	full bug apparently introduced by a typo, one extra null pointer
	check

2013-02-12  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* digikam/tags/tageditdlg.cpp: Coverity: No need for dynamic_cast,
	type is guaranteed

2013-02-12  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/threadimageio/thumbnailtask.cpp: Coverity: No need for
	dynamic_cast, pointer must be thumbnail thread for this to work,
	will crash if not anyway

2013-02-12  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/widgets/common/visibilitycontroller.cpp,
	libs/widgets/common/visibilitycontroller.h: Coverity: leaked d
	pointer

2013-02-12  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* utilities/imageeditor/core/undomanager.cpp: Coverity: add null
	pointer check for dynamic_cast

2013-02-12  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/main/digikamapp.cpp: cancel all process in progress
	manager when application is closed.

2013-02-12  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/maintenance/maintenancedlg.cpp: polish

2013-02-12  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, digikam/CMakeLists.txt,
	utilities/facedetection/assignnamewidget.cpp,
	utilities/facedetection/assignnamewidget.h,
	utilities/facedetection/facegroup.cpp,
	utilities/facedetection/facegroup.h,
	utilities/facedetection/faceiface.cpp,
	utilities/facedetection/faceiface.h,
	utilities/facedetection/facepipeline.cpp,
	utilities/facedetection/facepipeline.h,
	utilities/facedetection/facepipeline_p.h,
	utilities/facedetection/facescandialog.cpp,
	utilities/facedetection/facescandialog.h,
	utilities/facedetection/facescansettings.h,
	utilities/facemanagement/assignnamewidget.cpp,
	utilities/facemanagement/assignnamewidget.h,
	utilities/facemanagement/facegroup.cpp,
	utilities/facemanagement/facegroup.h,
	utilities/facemanagement/faceiface.cpp,
	utilities/facemanagement/faceiface.h,
	utilities/facemanagement/facepipeline.cpp,
	utilities/facemanagement/facepipeline.h,
	utilities/facemanagement/facepipeline_p.h,
	utilities/facemanagement/facescandialog.cpp,
	utilities/facemanagement/facescandialog.h,
	utilities/facemanagement/facescansettings.h: rename facedetection as
	facemanagement, to be more universal, especially with future face
	detection feature. Aslo, face component in bugzilla is named
	FaceManagement.

2013-02-12  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/maintenance/facedetector.cpp: show face image first else
	full image, as thumb

2013-02-11  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/facedetection/assignnamewidget.cpp,
	utilities/facedetection/assignnamewidget.h,
	utilities/facedetection/facegroup.cpp,
	utilities/facedetection/facegroup.h,
	utilities/facedetection/faceiface.cpp,
	utilities/facedetection/faceiface.h,
	utilities/facedetection/facepipeline.cpp,
	utilities/facedetection/facepipeline.h,
	utilities/facedetection/facepipeline_p.h,
	utilities/facedetection/facescandialog.cpp,
	utilities/facedetection/facescandialog.h: constify and polish

2013-02-11  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/maintenance/facedetector.cpp: call slotCancel() when
	process running and when instance is deleted.

2013-02-11  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/mapwidgetview.cpp: Fix crash of map view in image
	import on images without coordinates.

2013-02-11  Michael Georg Hansen <mike@mghansen.de>

	* digikam/views/mapwidgetview.cpp: Coverity reports fixes.

2013-02-11  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/maintenance/duplicatesfinder.cpp,
	utilities/maintenance/duplicatesfinder.h,
	utilities/maintenance/fingerprintsgenerator.cpp,
	utilities/maintenance/fingerprintsgenerator.h,
	utilities/maintenance/imageinfoalbumsjob.cpp,
	utilities/maintenance/imageinfoalbumsjob.h,
	utilities/maintenance/imageinfojob.cpp,
	utilities/maintenance/imageinfojob.h,
	utilities/maintenance/maintenancedlg.cpp,
	utilities/maintenance/maintenancedlg.h,
	utilities/maintenance/maintenancemngr.cpp,
	utilities/maintenance/maintenancemngr.h,
	utilities/maintenance/maintenancesettings.h,
	utilities/maintenance/maintenancetool.cpp,
	utilities/maintenance/maintenancetool.h,
	utilities/maintenance/metadatasynchronizer.cpp,
	utilities/maintenance/metadatasynchronizer.h,
	utilities/maintenance/newitemsfinder.cpp,
	utilities/maintenance/newitemsfinder.h,
	utilities/maintenance/thumbsgenerator.cpp,
	utilities/maintenance/thumbsgenerator.h: constify and polish

2013-02-11  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-11  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/maintenance/facedetector.cpp,
	utilities/maintenance/facedetector.h: plug face detector item to
	progress manager to have user feedback on process.  BUGS: 301503
	FIXED-IN: 3.1.0

2013-02-09  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/workflowdlg.cpp,
	utilities/queuemanager/views/workflowdlg.h,
	utilities/queuemanager/views/workflowlist.cpp: constify

2013-02-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-09  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/queuesettingsview.cpp: RAW BQM
	settings: enable 16 bits support enable CM settings BUGS: 314726
	FIXED-IN: 3.1.0

2013-02-09  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/imageeditor/rawimport/rawsettingsbox.cpp,
	utilities/imageeditor/rawimport/rawsettingsbox.h: constify

2013-02-09  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/queuesettingsview.cpp,
	utilities/queuemanager/views/queuesettingsview.h: constify

2013-02-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-08  Victor Dodon <dodonvictor@gmail.com>

	* utilities/imageeditor/editor/editorwindow.cpp: Open print dialog
	when image is not null BUGS: 314697 FIXED-IN: 3.1.0

2013-02-08  Gilles Caulier <caulier.gilles@gmail.com>

	* : new Showfoto 3.1.0 splashscreen from Dmitri Popov CCMAIL:
	dmpop@linux.com

2013-02-08  Gilles Caulier <caulier.gilles@gmail.com>

	* AUTHORS: update

2013-02-08  Gilles Caulier <caulier.gilles@gmail.com>

	* : new digiKam 3.1.0 splashscreen from Martin Lubich CCMAIL:
	martin.lubich@gmx.at

2013-02-08  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt: set 3.1.0 release date CCMAIL:
	neoclust.kde@free.fr

2013-02-08  Script Kiddy <scripty@kde.org>

	* digikam/main/digikam.notifyrc: SVN_SILENT made messages (.desktop
	file)

2013-02-07  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-07  Nicolas Lécureuil <neoclust.kde@free.fr>

	* CMakeLists.txt: Open for new version

2013-02-07  Nicolas Lécureuil <neoclust.kde@free.fr>

	* NEWS: Open for new version

2013-02-07  Nicolas Lécureuil <neoclust.kde@free.fr>

	* ChangeLog, project/NEWS.3.0.0: Prepare for version 3.0.0

3.0.0 2013-02-06

2013-02-04  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-04  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-04  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-03  Ananta Palani <anantapalani@gmail.com>

	* digikam/album/albumwatch.cpp: Fix thumbnails not shown in Windows
	and excessive use of virtual memory / handles which may cause
	crashes and other unexpected behavior by removing file monitoring
	and only monitoring directories for changes. These problems might
	still occur with very large numbers of folders but could not be
	confirmed. However, medium to large collections should no longer
	cause a problem.  BUG: 290962 CCBUG: 297793 CCBUG: 308310 CCBUG: 310252 CCBUG: 310865
	CCBUG: 312422 CCBUG: 312999 CCBUG: 291917 CCBUG: 295445 CCBUG:
	297686 FIXED-IN: 3.0.0

2013-02-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/enhance/lensautofixtool.cpp: use right namespace

2013-02-01  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/3rdparty/kinotify/kinotify.cpp,
	libs/dimg/loaders/ppmloader.cpp, libs/jpegutils/jpegutils.cpp: 
	Coverity: unchecked return values of low-level functions

2013-02-01  Pino Toscano <pino@kde.org>

	* libs/threadimageio/thumbnailtask.cpp: add missing const&

2013-02-01  Script Kiddy <scripty@kde.org>

	* digikam/main/digikam.desktop, digikam/main/digikam.notifyrc,
	kioslave/digikamalbums.protocol, kioslave/digikamdates.protocol,
	kioslave/digikammapimages.protocol,
	kioslave/digikamsearch.protocol, kioslave/digikamtags.protocol,
	showfoto/main/showfoto.desktop,
	utilities/hotplug/digikam-download.desktop.cmake,
	utilities/hotplug/digikam-gphoto2-camera.desktop.cmake,
	utilities/hotplug/digikam-mount-and-download.desktop.cmake,
	utilities/hotplug/digikam-opencamera.desktop.cmake,
	utilities/imageeditor/plugin/digikamimageplugin.desktop,
	utilities/nepomuk/digikamnepomukservice.desktop: SVN_SILENT made
	messages (.desktop file)

2013-01-31  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/imageproperties/versionsdelegate.cpp,
	libs/models/albumfiltermodel.cpp,
	libs/widgets/common/imagefiltershistorymodel.cpp: Coverity:
	uninitialized members

2013-01-31  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/models/imagefiltermodel.cpp: Coverity: possible endless loop,
	or loop which never ran

2013-01-31  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/dimg/dimg.cpp, libs/dimg/dimg.h: Pass-By-Value, fix possible
	null pointer

2013-01-31  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/threadimageio/loadingcache.cpp,
	libs/threadimageio/loadingcache.h,
	libs/threadimageio/loadsavetask.cpp,
	libs/threadimageio/loadsavetask.h,
	libs/threadimageio/loadsavethread.cpp,
	libs/threadimageio/loadsavethread.h,
	libs/threadimageio/previewloadthread.cpp,
	libs/threadimageio/previewloadthread.h,
	libs/threadimageio/previewtask.h,
	libs/threadimageio/sharedloadsavethread.cpp,
	libs/threadimageio/sharedloadsavethread.h,
	libs/threadimageio/thumbnailloadthread.cpp,
	libs/threadimageio/thumbnailtask.h: Coverity: Dont pass large
	structure LoadingDescription by value

2013-01-31  Script Kiddy <scripty@kde.org>

	* digikam/main/digikam.notifyrc: SVN_SILENT made messages (.desktop
	file)

2013-01-29  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/ratingwidget.cpp,
	libs/widgets/common/ratingwidget.h,
	utilities/importui/backend/gpcamera.cpp,
	utilities/importui/backend/gpcamera.h,
	utilities/importui/backend/umscamera.cpp,
	utilities/importui/backend/umscamera.h,
	utilities/importui/items/importoverlays.cpp,
	utilities/importui/items/importoverlays.h,
	utilities/importui/views/importiconview_p.cpp,
	utilities/importui/views/importiconview_p.h,
	utilities/importui/views/importsettings.cpp,
	utilities/importui/widgets/freespacewidget.cpp,
	utilities/importui/widgets/freespacewidget.h: constify and polish

2013-01-29  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/importui/models/camitemsortsettings.cpp,
	utilities/importui/models/camitemsortsettings.h,
	utilities/importui/models/importimagemodel.cpp,
	utilities/importui/models/importimagemodel.h: init member in
	constructor constify and polish

2013-01-29  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/importui/models/importfiltermodel.cpp: constify and
	polish

2013-01-29  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/importui/dialogs/camerafolderdialog.cpp,
	utilities/importui/dialogs/camerafolderdialog.h,
	utilities/importui/dialogs/camerainfodialog.cpp,
	utilities/importui/dialogs/camerainfodialog.h,
	utilities/importui/dialogs/cameramessagebox.cpp,
	utilities/importui/dialogs/cameramessagebox.h,
	utilities/importui/dialogs/capturedlg.cpp,
	utilities/importui/dialogs/capturedlg.h: constify and polish

2013-01-29  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/imageeditor/printiface/printhelper.cpp,
	utilities/imageeditor/printiface/printoptionspage.cpp: constify and
	polish

2013-01-29  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-29  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/enhance/lensautofixtool.cpp: compile

2013-01-29  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/enhance/lensautofixtool.cpp,
	imageplugins/enhance/lensautofixtool.h: constify and polish

2013-01-29  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/lens/lensfunfilter.cpp,
	libs/dimg/filters/lens/lensfunfilter.h,
	libs/dimg/filters/lens/lensfuniface.cpp,
	libs/dimg/filters/lens/lensfuniface.h,
	libs/dimg/filters/lens/lensfunsettings.cpp,
	libs/dimg/filters/lens/lensfunsettings.h: constify and polish

2013-01-28  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/iccprofiles/cietonguewidget.cpp,
	libs/widgets/iccprofiles/cietonguewidget.h,
	libs/widgets/iccprofiles/iccpreviewwidget.cpp,
	libs/widgets/iccprofiles/iccpreviewwidget.h,
	libs/widgets/iccprofiles/iccprofilewidget.cpp,
	libs/widgets/iccprofiles/iccprofilewidget.h: polish

2013-01-28  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/database/core/databasecorebackend.cpp,
	libs/database/core/databasecorebackend.h,
	libs/database/core/databasecorebackend_p.h,
	libs/dimg/filters/curves/curveswidget.cpp,
	libs/dimg/filters/curves/curveswidget.h,
	libs/dimg/filters/hsl/hslfilter.cpp,
	libs/dimg/filters/hsl/hslfilter.h: init member in constructors
	constify and polish

2013-01-28  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/album/album.cpp, digikam/album/album.h: init m_pid to zero
	in constructor

2013-01-28  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/album/album.cpp, digikam/album/album.h,
	digikam/utils/albumsettings.cpp, digikam/utils/albumsettings.h,
	libs/widgets/common/colorgradientwidget.cpp,
	libs/widgets/common/colorgradientwidget.h,
	utilities/importui/views/importsettings.cpp: not init member in
	constructor unused members constify and polish

2013-01-28  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-28  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt: update release date

2013-01-28  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-28  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/album/albumwatch.cpp, digikam/album/albumwatch.h,
	libs/3rdparty/kinotify/kinotify.cpp,
	libs/database/core/databaseparameters.cpp,
	libs/database/core/databaseparameters.h: init members in constructor
	constify and polish

2013-01-27  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/album/albumtreeview.cpp, digikam/album/albumtreeview.h,
	digikam/views/mapwidgetview.cpp, libs/dimg/filters/wb/wbfilter.cpp,
	libs/dimg/filters/wb/wbfilter.h,
	libs/models/imagefiltersettings.cpp,
	libs/models/imagefiltersettings.h,
	libs/models/imagesortsettings.cpp, libs/models/imagesortsettings.h,
	libs/widgets/common/filtershistorywidget.cpp,
	libs/widgets/common/filtershistorywidget.h,
	libs/widgets/itemview/itemviewimagedelegate.cpp,
	libs/widgets/itemview/itemviewimagedelegate.h,
	libs/widgets/itemview/itemviewimagedelegatepriv.h: init members in
	constructor constify and polish

2013-01-27  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/album/albumselectiontreeview.cpp,
	digikam/album/albumselectiontreeview.h,
	libs/dimg/filters/bcg/bcgfilter.cpp,
	libs/dimg/filters/bcg/bcgfilter.h,
	libs/dimg/filters/levels/imagelevels.cpp,
	libs/dimg/filters/levels/imagelevels.h: init members in constructor
	constify and polish

2013-01-27  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/searchwindow/searchfieldgroup.cpp,
	utilities/searchwindow/searchfieldgroup.h,
	utilities/searchwindow/searchfields.cpp,
	utilities/searchwindow/searchfields.h: init members in constructor
	constify and polish

2013-01-27  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/greycstoration/greycstorationfilter.cpp,
	libs/dimg/filters/greycstoration/greycstorationfilter.h,
	libs/imageproperties/imagedescedittab.cpp,
	libs/imageproperties/imagedescedittab.h,
	libs/imageproperties/imagepropertiesversionstab.cpp,
	utilities/kipiiface/kipiimagecollection.cpp,
	utilities/kipiiface/kipiimagecollection.h: init members in
	constructor code polish and cleanup

2013-01-26  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/database/databaseconstants.cpp,
	libs/database/databaseconstants.h,
	libs/database/databasecopymanager.cpp,
	libs/database/imagelisterrecord.h: not initialized members code
	polish

2013-01-26  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/dimgthreadedfilter.cpp,
	libs/dimg/filters/dimgthreadedfilter.h: not initialized member in
	constructior

2013-01-26  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/database/core/thumbnaildb.cpp,
	libs/database/core/thumbnaildb.h,
	libs/dimg/filters/fx/filmgrainsettings.cpp,
	libs/dimg/filters/fx/filmgrainsettings.h: init internal members in
	constructor code polish

2013-01-26  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit d1e2c47fa212f6ffb0d5529c8347a0f73a4e2ea5 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Sat Jan 26 10:42:06 2013
	+0100

2013-01-26  Script Kiddy <scripty@kde.org>

	* kioslave/digikammapimages.protocol: SVN_SILENT made messages
	(.desktop file)

2013-01-25  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/fx/filmgrainfilter.cpp,
	libs/dimg/filters/fx/filmgrainfilter.h,
	libs/dimg/filters/fx/filmgrainsettings.cpp,
	libs/dimg/filters/lens/lensfuncameraselector.cpp,
	libs/dimg/filters/lens/lensfuncameraselector.h: not initalized
	members constify and polish

2013-01-25  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/filters/filtersidebarwidget.cpp,
	digikam/filters/filtersidebarwidget.h: init internal members
	constify and polish

2013-01-25  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/cb/cbfilter.cpp,
	libs/dimg/filters/cb/cbfilter.h: init internal members constify and
	polish

2013-01-25  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/views/digikamview.cpp, digikam/views/digikamview.h: init
	internal members constify polish

2013-01-25  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/color/filmtool.cpp: not initialized members code
	polish

2013-01-25  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/icc/iccsettings.cpp,
	libs/dimg/filters/icc/iccsettings.h: code polish. constify.

2013-01-25  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/dragdrop/importdragdrop.cpp,
	digikam/dragdrop/importdragdrop.h: fix compilation warnings constify
	and code polish

2013-01-25  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-25  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/workflowlist.cpp,
	utilities/queuemanager/views/workflowlist.h: check if list is empty
	before to try to get first item. This must prevent internal Qt crash
	BUGS: 313849

2013-01-21  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/views/welcomepageview.cpp,
	digikam/views/welcomepageview.h: update welcome page view with list
	of new features including in 3.0.0

2013-01-21  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/album/album.cpp, digikam/album/album.h: polish

2013-01-21  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/album/album.cpp, digikam/album/album.h: following Marcel
	tip, this constructor is never used and can be removed

2013-01-21  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-21  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/album/album.cpp: -1 is right default value to assign, not
	zero

2013-01-15  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/tags/tagspopupmenu.cpp, digikam/tags/tagspopupmenu.h,
	imageplugins/transform/freerotationtool.cpp,
	imageplugins/transform/freerotationtool.h,
	libs/dimg/filters/decorate/texturefilter.cpp,
	libs/dimg/filters/decorate/texturefilter.h,
	libs/dimg/filters/fx/blurfilter.cpp,
	libs/dimg/filters/fx/blurfilter.h,
	libs/dimg/filters/fx/blurfxfilter.cpp,
	libs/dimg/filters/fx/blurfxfilter.h,
	libs/dimg/filters/fx/charcoalfilter.cpp,
	libs/dimg/filters/fx/charcoalfilter.h,
	libs/dimg/filters/fx/distortionfxfilter.cpp,
	libs/dimg/filters/fx/distortionfxfilter.h,
	libs/dimg/filters/fx/embossfilter.cpp,
	libs/dimg/filters/fx/embossfilter.h,
	libs/dimg/filters/sharp/sharpenfilter.cpp,
	libs/dimg/filters/sharp/sharpenfilter.h,
	libs/dimg/filters/sharp/unsharpmaskfilter.cpp,
	libs/dimg/filters/sharp/unsharpmaskfilter.h,
	utilities/setup/setupfacetags.cpp: Coverty report fix : not
	initialized member, code polish

2013-01-15  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/database/collectionscannerhints.cpp,
	libs/database/collectionscannerhints.h: Coverty report fix : not
	initialized member, code polish

2013-01-15  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/album/album.cpp: Coverty Report : m_id is not initialized
	in this constructor. Assign zero as default value

2013-01-15  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/album/album.cpp, digikam/album/album.h,
	imageplugins/color/whitebalancetool.cpp,
	imageplugins/enhance/hotpixels/weights.cpp,
	imageplugins/enhance/hotpixels/weights.h,
	libs/dimg/filters/fx/oilpaintfilter.cpp,
	libs/dimg/filters/fx/oilpaintfilter.h,
	libs/dimg/filters/lens/lensdistortionfilter.cpp,
	libs/dimg/filters/lens/lensdistortionfilter.h,
	libs/widgets/graphicsview/itemvisibilitycontroller.cpp,
	libs/widgets/graphicsview/itemvisibilitycontroller.h,
	utilities/searchwindow/choicesearchutilities.cpp,
	utilities/searchwindow/searchgroup.cpp: Coverty Report :
	uninitialised members, constify, use const ref...

2013-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/loaders/jpegloader.cpp,
	libs/widgets/graphicsview/dimgpreviewitem.cpp,
	libs/widgets/itemview/digikamkcategorizedview.cpp,
	utilities/importui/models/importthumbnailmodel.cpp,
	utilities/setup/setuptooltip.cpp: Coverty Report : polish, constify,
	init members

2013-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dialogs/daboutdata.cpp, libs/dialogs/daboutdata.h: 2012 ->
	2013

2013-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/utils/componentsinfo.h: constify

2013-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/utils/globals.h: polish

2013-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/basetools/color/autocorrection.cpp,
	utilities/queuemanager/basetools/color/bcgcorrection.cpp,
	utilities/queuemanager/basetools/color/channelmixer.cpp,
	utilities/queuemanager/basetools/color/channelmixer.h,
	utilities/queuemanager/basetools/color/colorbalance.cpp,
	utilities/queuemanager/basetools/color/hslcorrection.cpp,
	utilities/queuemanager/basetools/color/whitebalance.cpp,
	utilities/queuemanager/basetools/convert/convert2jp2.cpp,
	utilities/queuemanager/basetools/convert/convert2jpeg.cpp,
	utilities/queuemanager/basetools/convert/convert2pgf.cpp,
	utilities/queuemanager/basetools/convert/convert2png.cpp,
	utilities/queuemanager/basetools/convert/convert2tiff.cpp,
	utilities/queuemanager/basetools/decorate/border.cpp,
	utilities/queuemanager/basetools/enhance/sharpen.cpp,
	utilities/queuemanager/basetools/filters/colorfx.cpp,
	utilities/queuemanager/basetools/filters/filmgrain.cpp,
	utilities/queuemanager/basetools/metadata/assigntemplate.cpp,
	utilities/queuemanager/basetools/metadata/removemetadata.cpp,
	utilities/queuemanager/basetools/transform/flip.cpp,
	utilities/queuemanager/manager/batchtoolutils.cpp,
	utilities/queuemanager/views/assignedlist.cpp,
	utilities/queuemanager/views/queuelist.cpp: Coverty Report fix :
	unitialised memeber, unused member, check for null pointers

2013-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/assignedlist.cpp: Coverty Report :
	check item validity

2013-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/queuelist.cpp: Coverty report :
	unused value

2013-01-14  Ananta Palani <anantapalani@gmail.com>

	* libs/dklcms/digikam-lcms.cpp, libs/dklcms/digikam-lcms.h,
	libs/widgets/iccprofiles/cietonguewidget.cpp: Fix some warnings
	related to LCMS2 code, remove some macros, and fix compilation
	errors

2013-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* cmake/modules/FindLensFun.cmake: Register in cmake cache and check
	all info that we need to found library properly in top level.

2013-01-12  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* NEWS, digikam/tags/tageditdlg.cpp: Do not keep shortcut of parent
	tag in New-Tag-Dialog: Would only create a conflict.  BUG: 309558 FIXED-IN: 3.0.0

2013-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-12  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* NEWS: wrong bug was listed

2013-01-12  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* NEWS, utilities/lighttable/lighttablethumbbar.cpp: Do not filter
	out grouped images in the filter model of the lighttable thumbbar BUG: 308948

2013-01-12  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/dimg/dimg.cpp: Use a read lock when computing the file hash

2013-01-12  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* digikam/items/digikamimageview.cpp: Rewrite algorithm for grouping
	by time: - sort list by date, dont take this state for granted - iterator-based on read-only list, less expensive than list editing
	Works for me, testing appreciated.  BUG: 307223

2013-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-11  Ananta Palani <anantapalani@gmail.com>

	* CMakeLists.txt, cmake/modules/FindLensFun.cmake: Add
	LF_VERSION_BUGFIX to required version (i.e. 0.2.6.0 instead of
	0.2.6) for detecting LensFun and fixed FindLensFun.cmake accordingly

2013-01-11  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/splashscreen.cpp: wrong logic

2013-01-11  Script Kiddy <scripty@kde.org>

	* utilities/hotplug/digikam-download.desktop.cmake,
	utilities/hotplug/digikam-mount-and-download.desktop.cmake,
	utilities/hotplug/digikam-opencamera.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2013-01-11  Andi Clemens <andi.clemens@googlemail.com>

	* libs/database/core/thumbnaildb.cpp,
	libs/database/core/thumbnaildb.h,
	utilities/maintenance/thumbsgenerator.cpp: Revert "speed up
	thumbnail generation maintenance tool." This reverts commit 27a139879193704673b21ea5b4de73e412b84b24.  Somehow it doesn't seem to work anymore, I'm pretty sure it did
	yesterday.  Since I don't have time to look into this, I'll revert
	it, before this gets committed to the final version.

2013-01-10  Andi Clemens <andi.clemens@googlemail.com>

	* libs/database/core/thumbnaildb.cpp,
	libs/database/core/thumbnaildb.h,
	utilities/maintenance/thumbsgenerator.cpp: speed up thumbnail
	generation maintenance tool.  Use a QSet for subtracting invalid filepaths, this is faster than
	using the iterator, it::erase and QStringList::contains.  Do not
	extract the image id, it is never used and querying for it only
	wastes time.  This will speed up the maintenance tool (in
	combination with the "scan for images without thumbnail" option)

2013-01-10  Andi Clemens <andi.clemens@googlemail.com>

	* libs/database/databasecopymanager.cpp: use a QStringList here

2013-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-10  Carsten Pfeiffer <pfeiffer@kde.org>

	* databaseserver/databaseserver.cpp: BUG: 307750 FIXED-IN: 3.0 Make internal mysql server work again.

2013-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/threadimageio/loadsavetask.cpp,
	libs/threadimageio/loadsavetask.h: Fix Windows warnings reported by
	Ananta

2013-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* data/pics/CMakeLists.txt, digikam/utils/version.h.cmake,
	libs/widgets/common/splashscreen.cpp: Print beta stamp pixmap over
	right top corner of splashscreen : - Linux : only beta version.  - Windows and MACOSX : always beta

2013-01-10  Burkhard Lück <lueck@hube-lueck.de>

	* utilities/firstrun/startscanpage.cpp: fix wrong menu description

2013-01-10  Ananta Palani <anantapalani@gmail.com>

	* cmake/modules/FindLensFun.cmake: Fix to support finding LensFun
	version from lensfun.h (necessary for MSVC / Windows builds) based
	loosely on FindLCMS2.cmake

2013-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/batchtool.cpp: Fix warning under
	Windows, reported by Ananta

2013-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dklcms/digikam-lcms.cpp, libs/dklcms/digikam-lcms.h: fix
	email

2013-01-09  Ananta Palani <anantapalani@gmail.com>

	* CMakeLists.txt: polish

2013-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-08  Smit Mehta <smit.meh@gmail.com>

	* digikam/album/albumpropsedit.cpp,
	digikam/album/albumselectiontreeview.cpp,
	digikam/views/digikamview.cpp: Polish.  Removed obselete actions
	from context menu in album tree view for Root and Parent
	collections.  Added KMessageBox showing error if someone tries to
	open Root in terminal or file manager.  BUGS:312627

2013-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/lens/lensfuniface.cpp: compile

2013-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dialogs/libsinfodlg.cpp,
	libs/dimg/filters/lens/lensfuniface.cpp,
	libs/dimg/filters/lens/lensfuniface.h: add lensfun version string
	extraction method to digiKam interface

2013-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, NEWS, cmake/modules/FindLensFun.cmake,
	data/CMakeLists.txt, data/lensfun/6x6.xml,
	data/lensfun/CMakeLists.txt, data/lensfun/README,
	data/lensfun/compact-canon.xml, data/lensfun/compact-casio.xml,
	data/lensfun/compact-fujifilm.xml, data/lensfun/compact-kodak.xml,
	data/lensfun/compact-konica-minolta.xml,
	data/lensfun/compact-leica.xml, data/lensfun/compact-nikon.xml,
	data/lensfun/compact-olympus.xml,
	data/lensfun/compact-panasonic.xml,
	data/lensfun/compact-pentax.xml, data/lensfun/compact-ricoh.xml,
	data/lensfun/compact-sigma.xml, data/lensfun/compact-sony.xml,
	data/lensfun/generic.xml, data/lensfun/mil-olympus.xml,
	data/lensfun/mil-panasonic.xml, data/lensfun/mil-samsung.xml,
	data/lensfun/mil-sony.xml, data/lensfun/rf-leica.xml,
	data/lensfun/slr-canon.xml, data/lensfun/slr-contax.xml,
	data/lensfun/slr-hasselblad.xml,
	data/lensfun/slr-konica-minolta.xml, data/lensfun/slr-nikon.xml,
	data/lensfun/slr-olympus.xml, data/lensfun/slr-panasonic.xml,
	data/lensfun/slr-pentax.xml, data/lensfun/slr-samsung.xml,
	data/lensfun/slr-schneider.xml, data/lensfun/slr-sigma.xml,
	data/lensfun/slr-sony.xml, data/lensfun/slr-tamron.xml,
	data/lensfun/slr-tokina.xml, data/lensfun/slr-ussr.xml,
	digikam/utils/config-digikam.h.cmake,
	imageplugins/enhance/CMakeLists.txt,
	imageplugins/enhance/imageplugin_enhance.cpp,
	libs/3rdparty/lensfun/README, libs/3rdparty/lensfun/auxfun.cpp,
	libs/3rdparty/lensfun/camera.cpp,
	libs/3rdparty/lensfun/config-lensfun.cpp,
	libs/3rdparty/lensfun/config-lensfun.h,
	libs/3rdparty/lensfun/cpuid.cpp,
	libs/3rdparty/lensfun/database.cpp, libs/3rdparty/lensfun/lens.cpp,
	libs/3rdparty/lensfun/lensfun.h,
	libs/3rdparty/lensfun/lensfunprv.h,
	libs/3rdparty/lensfun/mod-color.cpp,
	libs/3rdparty/lensfun/mod-coord.cpp,
	libs/3rdparty/lensfun/mod-subpix.cpp,
	libs/3rdparty/lensfun/modifier.cpp,
	libs/3rdparty/lensfun/mount.cpp, libs/dialogs/libsinfodlg.cpp,
	libs/dimg/filters/dimgfiltermanager.cpp,
	libs/dimg/filters/lens/lensfuniface.cpp,
	libs/dimg/filters/lens/lensfuniface.h, tests/CMakeLists.txt,
	utilities/queuemanager/CMakeLists.txt,
	utilities/queuemanager/manager/batchtoolsmanager.cpp: Remove
	internal LensFun library code and xml lens database. Set only an
	optional and external dependency to last 0.2.6 release.  This will
	spimply internal code and maintainance.  CCBUGS: 256466 CCBUGS:
	311295

2013-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* AUTHORS: update

2013-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* : new digiKam 3.0.0 splash-screen from Thomas Caswell CCMAIL:
	tcaswell@gmail.com

2013-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* : fix bottom frame visibility

2013-01-07  Gilles Caulier <caulier.gilles@gmail.com>

	* AUTHORS: new Showfoto 3.0.0 splash-screen from Asa Sourdiffe
	CCMAIL: asourdiffe@gmail.com

2013-01-07  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/nr/nrestimate.cpp,
	libs/dimg/filters/nr/nrfilter.cpp, libs/dimg/filters/nr/nrfilter.h,
	libs/dimg/filters/nr/nrsettings.cpp: polish

2013-01-07  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/jpegutils/jpegutils.cpp, libs/jpegutils/jpegutils.h: fix
	broken compilation under MSVC reported by Ananta

2013-01-07  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/icc/icctransformfilter.cpp,
	libs/dimg/filters/icc/icctransformfilter.h: polish

2013-01-07  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/icc/icctransformfilter.cpp,
	libs/dimg/filters/icc/icctransformfilter.h: fix MSVC warnings

2013-01-07  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/nr/nrestimate.cpp: fix GCC and MSVC warnings

2013-01-07  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/nr/nrestimate.cpp: fix compilation error under
	MSVC, report by Ananta...

2013-01-07  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, README: polish

2013-01-07  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-07  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-07  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, README: set minimal LensFun library version to
	0.2.6 BUGS: 261079 FIXED-IN: 3.0.0

2013-01-07  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-07  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/lens/lensfunfilter.cpp: Apply patch #76255 from
	Roman I Khimov to don't pass crop factor as scale factor to lensfun.  Sixth parameter to Initialize() is actually a scale factor which has
	nothing in common with crop factor. I think it's safe to assume that
	we want no scaling from lensfun and thus use the value of one.  Ref: http://lensfun.berlios.de/manual/structlfModifier.html BUGS:
	312765 FIXED-IN: 3.0.0 CCBUGS: 312764 CCBUGS: 253941 CCBUGS: 266204
	CCBUGS: 267613 CCBUGS: 281783 CCBUGS: 284708 CCMAIL: roman@khimov.ru

2013-01-07  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/lens/lensfuncameraselector.cpp,
	libs/dimg/filters/lens/lensfuniface.cpp: Apply patch #76256 from
	Roman I Khimov to use crop factor from camera, not from lens data.
	Lens crop factor in DB only tells us which crop factor was used for
	lens calibration data, but it has nothing to do with shots made on
	random user's camera. So the default behaviour should be to use
	camera's crop factor and only fallback to lens data if there in no
	data present for camera. As "this should not happen" it's
	appropriate to spit out some debug message in this case.  Ref: http://lensfun.berlios.de/manual/el_lens.html Ref:
	http://lensfun.berlios.de/manual/el_camera.html BUGS: 312766 FIXED-IN: 3.0.0 CCBUGS: 312764 CCBUGS: 253941 CCBUGS:
	266204 CCBUGS: 267613 CCBUGS: 281783 CCBUGS: 284708 CCMAIL:
	roman@khimov.ru

2013-01-07  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-07  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-07  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/lens/lensfuncameraselector.cpp: Apply patch
	#76254 from Roman I Khimov about lensfun interface which don't
	mangle cropFactor if it's set.  This behaviour was introduced by
	polish commit bebef401e147a00f859cb81774f8498a0623eee5.  With this
	branch present we always get cropFactor of -1.0 in
	LensFunFilter::filterImage() and given that lensfun library just
	uses crop factor of 1 which leads to obviously wrong calculations
	for cropped cameras.  BUGS: 312764 BUGS: 253941 BUGS: 266204 BUGS:
	267613 BUGS: 281783 BUGS: 284708 FIXED-IN: 3.0.0 CCMAIL:
	rik@osrc.info

2013-01-06  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/nr/nrestimate.cpp: patch from Sayantan Datta
	about softness parameter stayed constant CCMAIL:
	kenzo.zombie@gmail.com

2013-01-06  Smit Mehta <smit.meh@gmail.com>

	* NEWS: update

2013-01-05  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-05  Script Kiddy <scripty@kde.org>

	* imageplugins/color/digikamimageplugin_color.desktop,
	imageplugins/decorate/digikamimageplugin_decorate.desktop,
	imageplugins/enhance/digikamimageplugin_enhance.desktop,
	imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	imageplugins/transform/digikamimageplugin_transform.desktop: 
	SVN_SILENT made messages (.desktop file)

2012-12-31  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/importui/main/importui.cpp,
	utilities/importui/main/importui.h: refactor createSubAlbums()

2012-12-31  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/importui/main/importui.cpp: cleanup code

2012-12-31  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/importui/main/importui.cpp,
	utilities/importui/main/importui.h: refactor downloadCameraItems()

2012-12-31  Andi Clemens <andi.clemens@googlemail.com>

	* NEWS: update CCBUG:312433

2012-12-31  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/importui/main/importui.cpp: Make sure that a name is
	provided, if no downloadName is available (bug #307253?), use the
	file name instead BUG: 312433

2012-12-31  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/importui/main/importui.cpp,
	utilities/importui/main/importui.h: Refactor slotDownload(): Not
	perfect, but much better than before. Still slotDownload() and
	downloadCameraItems() can still be shortened

2012-12-31  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/importui/main/importui.cpp: change order

2012-12-31  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/importui/main/importui.cpp: add comment

2012-12-31  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/importui/main/importui.cpp,
	utilities/importui/main/importui.h: cleanup and refactor code: Maybe
	it would be even better to add the checkDiskSpace method to the
	PAlbum class

2012-12-31  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenamedialog.cpp: cleanup code

2012-12-31  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenamedialog.cpp: change order

2012-12-31  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenamedialog.cpp,
	utilities/advancedrename/advancedrenamedialog.h: cleanup code

2012-12-31  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenameinput.cpp,
	utilities/advancedrename/advancedrenameinput.h: cleanup code

2012-12-31  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenameinput.cpp,
	utilities/advancedrename/advancedrenameinput.h: cleanup code

2012-12-30  Andi Clemens <andi.clemens@googlemail.com>

	* NEWS: update

2012-12-30  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenameinput.cpp: Read pattern
	history before writing the new values.  The pattern history will not be saved correctly when the
	AdvancedRename tool is used, but the pattern history in the BQM is
	not updated.  Therefore closing digiKam will result in an empty
	pattern history in the config file because the BQM is the last
	instance that will be destroyed when closing the main application.  This does not fix the problem described in this bugreport, but it is
	somehow related.  CCBUG:312332

2012-12-29  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt: polish

2012-12-29  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, NEWS: final release date

2012-12-29  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/kipiiface/kipipluginloader.cpp: Recompress Batch Images
	KIPI tool is now obsolete with digiKam BQM

2012-12-29  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-29  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-29  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-29  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-29  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-29  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-29  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-29  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/CMakeLists.txt,
	utilities/queuemanager/basetools/transform/crop.cpp,
	utilities/queuemanager/basetools/transform/crop.h,
	utilities/queuemanager/manager/batchtoolsmanager.cpp: new Batch
	Queue Manager to crop image.  BUGS: 266395

2012-12-28  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/basetools/transform/resize.cpp,
	utilities/queuemanager/basetools/transform/resize.h: use d private
	internal container

2012-12-27  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-26  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-25  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-24  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 26f88f862aae891722f48571bbd5a40abafb2d48 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Mon Dec 24 19:00:01 2012
	+0100

2012-12-24  Pino Toscano <pino@kde.org>

	* libs/threadimageio/pgfutils.cpp: fix compilation with an external
	libpgf != 6.12.24

2012-12-24  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/workflowlist.cpp: polish

2012-12-24  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/workflowmanager.cpp: polish

2012-12-24  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/workflowlist.cpp: polish

2012-12-24  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/batchtool.cpp: polish

2012-12-24  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-24  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/batchtool.cpp,
	utilities/queuemanager/manager/task.cpp: fix queue tools management
	to support properly only one tool assigned. Index used to cound
	pending task is wrong here.  So only one tool in queue do not
	process item fine.  BUGS: 285237

2012-12-24  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-24  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/threadimageio/pgfutils.cpp: fix possible compilation problem
	reported by Andi

2012-12-24  Script Kiddy <scripty@kde.org>

	* digikam/main/digikam.desktop, digikam/main/digikam.notifyrc,
	imageplugins/color/digikamimageplugin_color.desktop,
	imageplugins/decorate/digikamimageplugin_decorate.desktop,
	imageplugins/enhance/digikamimageplugin_enhance.desktop,
	imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	imageplugins/transform/digikamimageplugin_transform.desktop,
	kioslave/digikamalbums.protocol, kioslave/digikamdates.protocol,
	kioslave/digikammapimages.protocol,
	kioslave/digikamsearch.protocol, kioslave/digikamtags.protocol,
	showfoto/main/showfoto.desktop,
	utilities/hotplug/digikam-download.desktop.cmake,
	utilities/hotplug/digikam-gphoto2-camera.desktop.cmake,
	utilities/hotplug/digikam-mount-and-download.desktop.cmake,
	utilities/hotplug/digikam-opencamera.desktop.cmake,
	utilities/imageeditor/plugin/digikamimageplugin.desktop,
	utilities/nepomuk/digikamnepomukservice.desktop: SVN_SILENT made
	messages (.desktop file)

2012-12-23  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/queuesettingsview.cpp: do not
	overwrite file by default

2012-12-23  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/queuesettings.h: do not overwrite
	file by default

2012-12-23  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-23  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-23  Script Kiddy <scripty@kde.org>

	* digikam/main/digikam.desktop, digikam/main/digikam.notifyrc,
	imageplugins/color/digikamimageplugin_color.desktop,
	imageplugins/decorate/digikamimageplugin_decorate.desktop,
	imageplugins/enhance/digikamimageplugin_enhance.desktop,
	imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	imageplugins/transform/digikamimageplugin_transform.desktop,
	kioslave/digikamalbums.protocol, kioslave/digikamdates.protocol,
	kioslave/digikammapimages.protocol,
	kioslave/digikamsearch.protocol, kioslave/digikamtags.protocol,
	showfoto/main/showfoto.desktop,
	utilities/hotplug/digikam-download.desktop.cmake,
	utilities/hotplug/digikam-gphoto2-camera.desktop.cmake,
	utilities/hotplug/digikam-mount-and-download.desktop.cmake,
	utilities/hotplug/digikam-opencamera.desktop.cmake,
	utilities/imageeditor/plugin/digikamimageplugin.desktop,
	utilities/nepomuk/digikamnepomukservice.desktop: SVN_SILENT made
	messages (.desktop file)

2012-12-22  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-22  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-22  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* utilities/importui/backend/cameracontroller.cpp,
	utilities/importui/models/importimagemodel.cpp: Dont crash trying to
	add an empty list: Filtering for mimetype is not appropriate in the
	core of the model.  As this seems to be about filtering out invalid
	entries, move it to the Controller.  BUG: 310163

2012-12-22  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/queuepool.cpp: Fix numbering issue
	with BQM tab ID when one queue is removed CCBUGS: 307482

2012-12-22  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/common/parser.cpp,
	utilities/advancedrename/common/parsesettings.h: simplify
	ParseSettings class

2012-12-22  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/common/parser.cpp: cleanup code

2012-12-22  Andi Clemens <andi.clemens@googlemail.com>

	* libs/threadimageio/pgfutils.cpp: add comment about possible
	compile error

2012-12-01  Andi Clemens <andi.clemens@googlemail.com>

	* libs/dimg/filters/nr/nrfilter.cpp: fix compile warning

2012-12-22  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-21  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-21  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/manager/queuesettings.h,
	utilities/queuemanager/manager/task.cpp,
	utilities/queuemanager/manager/workflowmanager.cpp,
	utilities/queuemanager/views/queuesettingsview.cpp: Batch Queue
	Manager : new Queue Settings option to put processed target files in
	file source folders.  BUGS: 282674

2012-12-21  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/basetools/transform/resize.cpp: polish

2012-12-21  Yuri Chornoivan <yurchor@ukr.net>

	* ChangeLog, libs/3rdparty/kmemoryinfo/kmemoryinfo_backend.cpp,
	libs/3rdparty/regex/tre-parse.c, libs/3rdparty/sqlite2/btree.c,
	libs/3rdparty/sqlite2/insert.c, libs/3rdparty/sqlite2/sqliteInt.h,
	libs/3rdparty/sqlite2/vdbe.c, libs/3rdparty/sqlite2/where.c,
	libs/widgets/common/buttonicondisabler.cpp,
	libs/widgets/common/buttonicondisabler.h: Fix some typos

2012-12-21  Yuri Chornoivan <yurchor@ukr.net>

	* ChangeLog, utilities/queuemanager/manager/workflowmanager.h,
	utilities/queuemanager/views/workflowlist.cpp: Fix some typos.
	Thanks to Freek de Kruijf for reporting.

2012-12-21  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/batchtool.cpp: polish

2012-12-21  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/task.cpp: polish

2012-12-21  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/task.cpp,
	utilities/queuemanager/views/assignedlist.cpp,
	utilities/queuemanager/views/workflowlist.cpp: polish

2012-12-21  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/kipiiface/kipipluginloader.cpp: As digiKam Batch Queue
	Manager now include all RawDecoding Settings in Queu properties,
	Batch Raw Converter KIPI plugins become obsolete for digiKam.
	CCMAIL: dodonvictor@gmail.com

2012-12-21  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/task.cpp,
	utilities/queuemanager/manager/task.h: move private container to cpp

2012-12-20  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/CMakeLists.txt,
	utilities/queuemanager/manager/workflowdlg.cpp,
	utilities/queuemanager/manager/workflowdlg.h,
	utilities/queuemanager/views/workflowdlg.cpp,
	utilities/queuemanager/views/workflowdlg.h: dialog on views dir

2012-12-20  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/workflowlist.cpp: fix logic. Remove
	item from list view

2012-12-20  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-20  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-20  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/drawdecoding.cpp, libs/dimg/drawdecoding.h,
	utilities/queuemanager/CMakeLists.txt,
	utilities/queuemanager/basetools/color/bcgcorrection.cpp,
	utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/main/queuemgrwindow.h,
	utilities/queuemanager/main/queuemgrwindow_p.h,
	utilities/queuemanager/main/queuemgrwindowui.rc,
	utilities/queuemanager/manager/batchtool.h,
	utilities/queuemanager/manager/batchtoolutils.cpp,
	utilities/queuemanager/manager/batchtoolutils.h,
	utilities/queuemanager/manager/queuesettings.h,
	utilities/queuemanager/manager/workflowdlg.cpp,
	utilities/queuemanager/manager/workflowdlg.h,
	utilities/queuemanager/manager/workflowmanager.cpp,
	utilities/queuemanager/manager/workflowmanager.h,
	utilities/queuemanager/views/assignedlist.cpp,
	utilities/queuemanager/views/queuelist.cpp,
	utilities/queuemanager/views/queuepool.cpp,
	utilities/queuemanager/views/queuepool.h,
	utilities/queuemanager/views/toolsview.cpp,
	utilities/queuemanager/views/toolsview.h,
	utilities/queuemanager/views/workflowlist.cpp,
	utilities/queuemanager/views/workflowlist.h: Batch Queue Manager
	improvement : add Queue settings included Assigned Batch Tools list
	save and restore feature. Concept is named Workflow in GUI.  By this
	way, end users is able to apply prefered and fully customized
	settings already used in previous queues processed in BQM. A control
	panel dedicated to manage worflow list have been add to main BQM
	window. Workflow settings are saved in dedicated xml files from your
	home directory (into KDE config dir) BUGS: 251126 FIXED-IN: 3.0.0

2012-12-18  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/album/albumpropsedit.cpp, digikam/album/albumpropsedit.h: 
	polish

2012-12-18  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt: apply patch #75892 from Johannes Zarl BUGS: 311310
	FIXED-IN: 3.0.0

2012-12-17  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/template/templatemanager.cpp,
	libs/template/templatemanager.h, libs/template/templatepanel.cpp,
	libs/template/templatepanel.h, libs/template/templateselector.cpp,
	libs/template/templateselector.h, libs/template/templateviewer.cpp,
	libs/template/templateviewer.h: polish

2012-12-17  Script Kiddy <scripty@kde.org>

	* digikam/main/digikam.desktop, digikam/main/digikam.notifyrc,
	imageplugins/color/digikamimageplugin_color.desktop,
	imageplugins/decorate/digikamimageplugin_decorate.desktop,
	imageplugins/enhance/digikamimageplugin_enhance.desktop,
	imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	imageplugins/transform/digikamimageplugin_transform.desktop,
	kioslave/digikamalbums.protocol, kioslave/digikamdates.protocol,
	kioslave/digikammapimages.protocol,
	kioslave/digikamsearch.protocol, kioslave/digikamtags.protocol,
	showfoto/main/showfoto.desktop,
	utilities/hotplug/digikam-download.desktop.cmake,
	utilities/hotplug/digikam-gphoto2-camera.desktop.cmake,
	utilities/hotplug/digikam-mount-and-download.desktop.cmake,
	utilities/hotplug/digikam-opencamera.desktop.cmake,
	utilities/imageeditor/plugin/digikamimageplugin.desktop,
	utilities/nepomuk/digikamnepomukservice.desktop: SVN_SILENT made
	messages (.desktop file)

2012-12-15  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-14  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/imagehistory/dimagehistory.cpp,
	libs/dimg/imagehistory/dimagehistory.h,
	libs/dimg/imagehistory/filteraction.h: polish

2012-12-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-13  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/assignedlist.cpp: Batch Queue Manager
	: add the capability to assign more than one time the same tool to a
	queu to process BUGS: 256901

2012-12-13  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/manager/batchtool.cpp,
	utilities/queuemanager/manager/batchtoolutils.cpp,
	utilities/queuemanager/manager/batchtoolutils.h,
	utilities/queuemanager/manager/task.cpp,
	utilities/queuemanager/views/assignedlist.cpp,
	utilities/queuemanager/views/assignedlist.h,
	utilities/queuemanager/views/queuelist.cpp,
	utilities/queuemanager/views/queuepool.cpp,
	utilities/queuemanager/views/toolsettingsview.cpp: Do not use a map
	of tool with indexed list to process. include index in BatchToolSet
	container as well.  In Task class, clone tool without to use Qthread
	instance as parent and delete it when processing is done.  Remove
	unused methods into AssignedList class.  Prepare code to aceept more
	than one tool instance in list to process.

2012-12-12  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/queuesettingsview.cpp: polish

2012-12-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-12  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/main/queuemgrwindow.h,
	utilities/queuemanager/manager/actionthread.h,
	utilities/queuemanager/manager/batchtool.cpp,
	utilities/queuemanager/manager/batchtool.h,
	utilities/queuemanager/manager/batchtoolsmanager.cpp,
	utilities/queuemanager/manager/batchtoolsmanager.h,
	utilities/queuemanager/manager/batchtoolutils.cpp,
	utilities/queuemanager/manager/batchtoolutils.h,
	utilities/queuemanager/manager/task.cpp,
	utilities/queuemanager/views/assignedlist.cpp,
	utilities/queuemanager/views/assignedlist.h,
	utilities/queuemanager/views/queuelist.h,
	utilities/queuemanager/views/toolsettingsview.cpp,
	utilities/queuemanager/views/toolsettingsview.h: Make
	BatchToolsManager as singleton class In BatchToolSet constainer, do
	not store tool instance, but tool name and tool group properties Use
	everywhere BatchToolManager find method to get tool instance from
	name and group properties.  Call old unregisterTool implementation
	in BatchToolManager destructor.

2012-12-11  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 5055d5188f03a329d8837a41174ad82f1d12aa19 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Tue Dec 11 21:08:49 2012
	+0100

2012-12-11  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/queuesettingsview.cpp: polish

2012-12-11  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/queuesettingsview.cpp: typo, order,
	polish

2012-12-11  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-11  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/batchtool.cpp,
	utilities/queuemanager/manager/batchtool.h,
	utilities/queuemanager/manager/queuesettings.h,
	utilities/queuemanager/manager/task.cpp,
	utilities/queuemanager/views/queuesettingsview.cpp: add new Batch
	Queue Manager Behavior option to handle RAW file in workflow :
	extract embeded JPEG or perform demosaicing BUGS: 295316 FIXED-IN:
	3.0.0

2012-12-11  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/queuesettingsview.cpp: move rename
	widget before behavior settings.

2012-12-11  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/queuesettingsview.cpp: missing to
	manage RAW decoding settings with dedicated widget when cuurent
	queue is changed

2012-12-11  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/actionthread.cpp,
	utilities/queuemanager/manager/actionthread.h,
	utilities/queuemanager/manager/task.cpp,
	utilities/queuemanager/manager/task.h: TaskSettings = QueueSettings

2012-12-11  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/task.cpp,
	utilities/queuemanager/manager/task.h: Marcel, this settings must be
	always true... isn't it ? CCMAIL: marcel.wiesweg@gmx.de

2012-12-11  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/queuesettingsview.cpp: missing
	signal/slot connection

2012-12-11  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-11  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/manager/actionthread.cpp,
	utilities/queuemanager/manager/actionthread.h,
	utilities/queuemanager/manager/batchtool.cpp,
	utilities/queuemanager/manager/batchtool.h,
	utilities/queuemanager/manager/queuesettings.h,
	utilities/queuemanager/manager/task.cpp,
	utilities/queuemanager/manager/task.h,
	utilities/queuemanager/views/queuepool.cpp,
	utilities/queuemanager/views/queuepool.h,
	utilities/queuemanager/views/queuesettingsview.cpp: Add Raw decoding
	settings in Queue Settings View to customize Raw Demosaicing
	parameters by Queue.  Move Reset exif orientation setting to
	QueueSetttins container BUS: 195784 FIXED-IN: 3.0.0

2012-12-11  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/CMakeLists.txt,
	utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/manager/actionthread.cpp,
	utilities/queuemanager/manager/actionthread.h,
	utilities/queuemanager/manager/task.cpp,
	utilities/queuemanager/manager/task.h: separate Task class
	implementation from ActionThread for better visility

2012-12-10  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/manager/actions.h,
	utilities/queuemanager/manager/actionthread.cpp: polish and simplify
	logic between ActionThread notification to sent to main GUI

2012-12-10  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/actionthread.cpp,
	utilities/queuemanager/manager/actionthread.h: factoring

2012-12-10  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/main/queuemgrwindow.h,
	utilities/queuemanager/manager/actionthread.cpp: move all QFileInfo,
	File renaming, and DB properties copy code from main thread to
	dedicated separated thread.  By this way, this limit GUI freeze
	during long file access and DB query

2012-12-10  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/manager/batchtoolutils.h: pass set target
	file name to ActionThread

2012-12-10  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/main/queuemgrwindow.h: factoring and
	simplification

2012-12-10  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/queuepool.h: this method can be
	private

2012-12-10  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/manager/actionthread.cpp,
	utilities/queuemanager/manager/actionthread.h,
	utilities/queuemanager/views/queuepool.cpp,
	utilities/queuemanager/views/queuepool.h: factoring : use
	QueueSettings in ActionThread task as common parameters constainer.

2012-12-10  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/manager/queuesettings.h,
	utilities/queuemanager/views/queuesettingsview.cpp: use same naming
	convension

2012-11-04  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/jpegutils/jpegutils.cpp: Copy file permissions to a rotated
	JPEG file CCBUG: 308373

2012-10-26  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/dmetadata/dmetadata.cpp: cosmetics

2012-12-09  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 934b8d7baf4cce86c6900aff029b4c67ec34785e Author: Pino
	Toscano <pino@kde.org> Date:   Sat Dec 8 12:05:28 2012 +0100

2012-12-08  Pino Toscano <pino@kde.org>

	* cmake/modules/FindLensFun.cmake: FindLensFun.cmake: work even with
	no lensfun.pc provided

2012-12-08  Pino Toscano <pino@kde.org>

	* cmake/modules/FindLensFun.cmake: FindLensFun.cmake: improve with
	newer pkg-config way - use the better way to search and query pkg-config - respect (with pkg-config) the minimum version eventually specified
	to find_package

2012-12-08  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/manager/queuesettings.h,
	utilities/queuemanager/views/queuelist.cpp,
	utilities/queuemanager/views/queuepool.cpp,
	utilities/queuemanager/views/queuesettingsview.cpp,
	utilities/queuemanager/views/queuesettingsview.h: separate
	queuesettings from view implementation. The goal is to be able to
	use it in ActionThread to remove bootleneck in
	QueueManagerWindow::processed.  In fact, al this code located in GUI
	must be moved into separated thread.

2012-12-07  Pino Toscano <pino@kde.org>

	* cmake/modules/FindPGF.cmake: FindPGF.cmake: properly look for
	pkg-config

2012-12-07  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp: polish

2012-12-07  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp: polish

2012-12-07  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-06  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/assignedlist.cpp: Increase size of
	Assigned List tools icon to 32 pixels for better visibility

2012-12-06  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/actions.h,
	utilities/queuemanager/manager/actionthread.cpp: index is not used
	anymore

2012-12-06  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/actionthread.cpp: polish

2012-12-05  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-05  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-05  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/CMakeLists.txt,
	utilities/queuemanager/basetools/color/autocorrection.cpp,
	utilities/queuemanager/basetools/color/autocorrection.h,
	utilities/queuemanager/basetools/color/bcgcorrection.cpp,
	utilities/queuemanager/basetools/color/bcgcorrection.h,
	utilities/queuemanager/basetools/color/bwconvert.cpp,
	utilities/queuemanager/basetools/color/bwconvert.h,
	utilities/queuemanager/basetools/color/channelmixer.cpp,
	utilities/queuemanager/basetools/color/channelmixer.h,
	utilities/queuemanager/basetools/color/colorbalance.cpp,
	utilities/queuemanager/basetools/color/colorbalance.h,
	utilities/queuemanager/basetools/color/convert16to8.cpp,
	utilities/queuemanager/basetools/color/convert16to8.h,
	utilities/queuemanager/basetools/color/convert8to16.cpp,
	utilities/queuemanager/basetools/color/convert8to16.h,
	utilities/queuemanager/basetools/color/curvesadjust.cpp,
	utilities/queuemanager/basetools/color/curvesadjust.h,
	utilities/queuemanager/basetools/color/hslcorrection.cpp,
	utilities/queuemanager/basetools/color/hslcorrection.h,
	utilities/queuemanager/basetools/color/iccconvert.cpp,
	utilities/queuemanager/basetools/color/iccconvert.h,
	utilities/queuemanager/basetools/color/invert.cpp,
	utilities/queuemanager/basetools/color/invert.h,
	utilities/queuemanager/basetools/color/whitebalance.cpp,
	utilities/queuemanager/basetools/color/whitebalance.h,
	utilities/queuemanager/basetools/convert/convert2jp2.cpp,
	utilities/queuemanager/basetools/convert/convert2jp2.h,
	utilities/queuemanager/basetools/convert/convert2jpeg.cpp,
	utilities/queuemanager/basetools/convert/convert2jpeg.h,
	utilities/queuemanager/basetools/convert/convert2pgf.cpp,
	utilities/queuemanager/basetools/convert/convert2pgf.h,
	utilities/queuemanager/basetools/convert/convert2png.cpp,
	utilities/queuemanager/basetools/convert/convert2png.h,
	utilities/queuemanager/basetools/convert/convert2tiff.cpp,
	utilities/queuemanager/basetools/convert/convert2tiff.h,
	utilities/queuemanager/basetools/decorate/border.cpp,
	utilities/queuemanager/basetools/decorate/border.h,
	utilities/queuemanager/basetools/decorate/watermark.cpp,
	utilities/queuemanager/basetools/decorate/watermark.h,
	utilities/queuemanager/basetools/enhance/antivignetting.cpp,
	utilities/queuemanager/basetools/enhance/antivignetting.h,
	utilities/queuemanager/basetools/enhance/blur.cpp,
	utilities/queuemanager/basetools/enhance/blur.h,
	utilities/queuemanager/basetools/enhance/lensautofix.cpp,
	utilities/queuemanager/basetools/enhance/lensautofix.h,
	utilities/queuemanager/basetools/enhance/localcontrast.cpp,
	utilities/queuemanager/basetools/enhance/localcontrast.h,
	utilities/queuemanager/basetools/enhance/noisereduction.cpp,
	utilities/queuemanager/basetools/enhance/noisereduction.h,
	utilities/queuemanager/basetools/enhance/restoration.cpp,
	utilities/queuemanager/basetools/enhance/restoration.h,
	utilities/queuemanager/basetools/enhance/sharpen.cpp,
	utilities/queuemanager/basetools/enhance/sharpen.h,
	utilities/queuemanager/basetools/filters/colorfx.cpp,
	utilities/queuemanager/basetools/filters/colorfx.h,
	utilities/queuemanager/basetools/filters/filmgrain.cpp,
	utilities/queuemanager/basetools/filters/filmgrain.h,
	utilities/queuemanager/basetools/metadata/assigntemplate.cpp,
	utilities/queuemanager/basetools/metadata/assigntemplate.h,
	utilities/queuemanager/basetools/metadata/removemetadata.cpp,
	utilities/queuemanager/basetools/metadata/removemetadata.h,
	utilities/queuemanager/basetools/transform/flip.cpp,
	utilities/queuemanager/basetools/transform/flip.h,
	utilities/queuemanager/basetools/transform/resize.cpp,
	utilities/queuemanager/basetools/transform/resize.h,
	utilities/queuemanager/basetools/transform/rotate.cpp,
	utilities/queuemanager/basetools/transform/rotate.h,
	utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/manager/actionthread.cpp,
	utilities/queuemanager/manager/actionthread.h,
	utilities/queuemanager/manager/batchtool.cpp,
	utilities/queuemanager/manager/batchtool.h,
	utilities/queuemanager/manager/batchtoolsmanager.cpp,
	utilities/queuemanager/manager/batchtoolsmanager.h,
	utilities/queuemanager/manager/batchtoolutils.cpp,
	utilities/queuemanager/manager/batchtoolutils.h,
	utilities/queuemanager/views/assignedlist.cpp: Add support multicore
	CPU in Batch Queue Manager to process items from queues in parallel.
	This will speed up items processing depending of cores available in
	your computer.  Detection of core suitable is done through
	KDE::Solid API.  Registration of items properties is not
	paralellized yet and still in main thread.  It can be a bottleneck
	in the workflow. This point must be analyzed later with core
	Database interface.  BUGS: 254033 FIXED-IN: 3.0.0

2012-12-05  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/nr/nrestimate.cpp,
	libs/dimg/filters/nr/nrestimate.h,
	libs/dimg/filters/nr/nrsettings.cpp,
	libs/dimg/filters/nr/nrsettings.h: polish

2012-12-02  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-11-30  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/batchtoolsmanager.cpp: polish

2012-11-30  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/batchtoolsmanager.cpp,
	utilities/queuemanager/manager/batchtoolsmanager.h: Prepare
	BatchToolManager to host BatchTool Settings Widget to separate GUI
	from BQM tool

2012-11-30  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/basetools/color/autocorrection.cpp,
	utilities/queuemanager/basetools/color/bcgcorrection.cpp,
	utilities/queuemanager/basetools/color/bwconvert.cpp,
	utilities/queuemanager/basetools/color/channelmixer.cpp,
	utilities/queuemanager/basetools/color/colorbalance.cpp,
	utilities/queuemanager/basetools/color/convert16to8.cpp,
	utilities/queuemanager/basetools/color/convert8to16.cpp,
	utilities/queuemanager/basetools/color/curvesadjust.cpp,
	utilities/queuemanager/basetools/color/hslcorrection.cpp,
	utilities/queuemanager/basetools/color/iccconvert.cpp,
	utilities/queuemanager/basetools/color/invert.cpp,
	utilities/queuemanager/basetools/color/whitebalance.cpp,
	utilities/queuemanager/basetools/convert/convert2jp2.cpp,
	utilities/queuemanager/basetools/convert/convert2jpeg.cpp,
	utilities/queuemanager/basetools/convert/convert2pgf.cpp,
	utilities/queuemanager/basetools/convert/convert2png.cpp,
	utilities/queuemanager/basetools/convert/convert2tiff.cpp,
	utilities/queuemanager/basetools/decorate/border.cpp,
	utilities/queuemanager/basetools/decorate/watermark.cpp,
	utilities/queuemanager/basetools/enhance/antivignetting.cpp,
	utilities/queuemanager/basetools/enhance/blur.cpp,
	utilities/queuemanager/basetools/enhance/lensautofix.cpp,
	utilities/queuemanager/basetools/enhance/localcontrast.cpp,
	utilities/queuemanager/basetools/enhance/noisereduction.cpp,
	utilities/queuemanager/basetools/enhance/restoration.cpp,
	utilities/queuemanager/basetools/enhance/sharpen.cpp,
	utilities/queuemanager/basetools/filters/colorfx.cpp,
	utilities/queuemanager/basetools/filters/filmgrain.cpp,
	utilities/queuemanager/basetools/metadata/assigntemplate.cpp,
	utilities/queuemanager/basetools/metadata/removemetadata.cpp,
	utilities/queuemanager/basetools/transform/flip.cpp,
	utilities/queuemanager/basetools/transform/resize.cpp,
	utilities/queuemanager/basetools/transform/rotate.cpp,
	utilities/queuemanager/manager/batchtool.cpp,
	utilities/queuemanager/manager/batchtool.h,
	utilities/queuemanager/views/assignedlist.cpp,
	utilities/queuemanager/views/toolsettingsview.cpp,
	utilities/queuemanager/views/toolslistview.cpp: First step to
	separate BatchTool implementation from GUI classes : do not host
	KIcon data in BatchTool

2012-11-29  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/threadimageio/filereadwritelock.cpp,
	libs/threadimageio/filereadwritelock.h: polish

2012-11-29  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/actionthread.cpp,
	utilities/queuemanager/manager/actionthread.h: clean all code to
	preapare to parallelization support in Action Thread and created sub
	tasks.  Never shared data between ActionThread and Tasks. This is
	not thread safe. All data must have an unique instance created in
	Task as well.

2012-11-29  Script Kiddy <scripty@kde.org>

	* digikam/main/digikam.notifyrc, kioslave/digikammapimages.protocol: 
	SVN_SILENT made messages (.desktop file)

2012-11-28  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/actionthread.h: polish

2012-11-28  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/actionthread.cpp: not used

2012-11-27  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/main/queuemgrwindow.h,
	utilities/queuemanager/main/queuemgrwindow_p.h,
	utilities/queuemanager/views/queuepool.cpp,
	utilities/queuemanager/views/queuepool.h: BQM : add parallelization
	support between GUI and thread manager. Currently paralelization is
	disabled due to a re-entrancy bug with database...  CCMAIL:
	marcel.wiesweg@gmx.de

2012-11-27  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/actionthread.cpp: foreach iterator

2012-11-27  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/views/queuesettingsview.cpp,
	utilities/queuemanager/views/queuesettingsview.h: Batch Queue
	Manager improvements : To speedup workflow, change behavor to ask to
	user to rename file if target exist to an automatic renaming using
	number prefix append to base file name.  This behavor is the same
	than DNG and RAW Converter tools introduced in kipi-plugins 3.0

2012-11-27  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/manager/actionthread.cpp,
	utilities/queuemanager/manager/actionthread.h: rename method new
	signal from ActionThread to emit when a queue have been fully
	processed

2012-11-27  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/manager/actionthread.cpp,
	utilities/queuemanager/manager/actionthread.h,
	utilities/queuemanager/manager/iteminfoset.h: change BQM thread
	methos to be able to process more than one file at the same time.
	Prepare for parallelization of items queue.  Remove unused template

2012-11-22  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/dcolor.cpp, libs/dimg/dcolor.h,
	libs/dimg/dcolorblend.h, libs/dimg/dimg.cpp, libs/dimg/dimg.h,
	libs/dimg/dimg_p.h, libs/dimg/dimgscale.cpp: polish

2012-11-20  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/manager/actionthread.cpp,
	utilities/queuemanager/manager/batchtool.cpp,
	utilities/queuemanager/manager/batchtool.h: constify

2012-11-20  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/views/assignedlist.cpp,
	utilities/queuemanager/views/queuelist.cpp,
	utilities/queuemanager/views/queuepool.cpp,
	utilities/queuemanager/views/toolslistview.cpp: constify

2012-11-19  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/main/queuemgrwindow.h,
	utilities/queuemanager/main/queuemgrwindow_p.h,
	utilities/queuemanager/views/queuelist.cpp,
	utilities/queuemanager/views/queuelist.h: remove currentProcessItem
	instance to be able to run more than one item at the same time with
	multicore computer

2012-11-19  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/views/queuepool.cpp,
	utilities/queuemanager/views/queuepool.h: polish API

2012-11-19  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp: add TODO list

2012-11-19  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/main/queuemgrwindow.h,
	utilities/queuemanager/views/assignedlist.cpp,
	utilities/queuemanager/views/assignedlist.h: constify and polish

2012-11-16  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-11-16  Gilles Caulier <caulier.gilles@gmail.com>

	* AUTHORS: new Showfoto 3.0.0 RC splashscreen from Mohamed Malik
	CCMAIL: i@mohamedmalik.com

2012-11-16  Gilles Caulier <caulier.gilles@gmail.com>

	* AUTHORS: new digiKam 3.0.0 RC splashscreen from Andreas K. Huettel
	CCMAIL : dilfridge@gentoo.org

2012-11-16  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/TODO, imageplugins/filters/colorfxtool.cpp: use
	ImageRegionWidget into ColorFX tool to provide a zoomable preview
	area.  CCMAIL: adymo@kdevelop.org

2012-11-16  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/filters/colorfxtool.cpp,
	imageplugins/filters/colorfxtool.h,
	libs/dimg/filters/fx/colorfxfilter.cpp,
	libs/dimg/filters/fx/colorfxfilter.h,
	libs/dimg/filters/fx/colorfxsettings.cpp,
	libs/dimg/filters/fx/colorfxsettings.h,
	utilities/queuemanager/basetools/filters/colorfx.cpp,
	utilities/queuemanager/basetools/filters/colorfx.h,
	utilities/queuemanager/manager/batchtoolsmanager.cpp: polish

2012-11-16  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/TODO: using EditorToolThreaded class in ColorFX tool
	add multithreading support.  CCMAIL: adymo@kdevelop.org

2012-11-16  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 2da26700d0dd0afc32252e087d0eae48ed9af733 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Fri Nov 16 08:58:18 2012
	+0100

2012-11-08  Alexander Dymo <adymo@kdevelop.org>

	* CMakeLists.txt, imageplugins/TODO,
	imageplugins/filters/colorfxtool.cpp,
	imageplugins/filters/colorfxtool.h,
	libs/dimg/filters/fx/colorfxfilter.cpp,
	libs/dimg/filters/fx/colorfxfilter.h,
	libs/dimg/filters/fx/colorfxsettings.cpp,
	libs/dimg/filters/fx/colorfxsettings.h,
	utilities/queuemanager/CMakeLists.txt,
	utilities/queuemanager/basetools/filters/colorfx.cpp,
	utilities/queuemanager/basetools/filters/colorfx.h,
	utilities/queuemanager/manager/batchtoolsmanager.cpp: Add "Color
	Effects" (solarize, vivid, neon, find edges) to the list of batch
	queue manager tools.  Refactor the code to extract color effects
	settings widget into its own class and use that in both color
	effects tool and queuemanager filter.

2012-11-15  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/utils/globals.h,
	libs/dimg/filters/transform/contentawarefilter.cpp,
	libs/dimg/filters/transform/contentawarefilter.h,
	libs/dimg/filters/transform/freerotationfilter.cpp,
	libs/dimg/filters/transform/freerotationfilter.h,
	libs/dimg/filters/transform/freerotationsettings.cpp,
	libs/dimg/filters/transform/freerotationsettings.h,
	libs/dimg/filters/transform/shearfilter.cpp,
	libs/dimg/filters/transform/shearfilter.h: constify, polish more
	private internal container,

2012-11-15  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-11-15  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt: adjust mysql _install_db path for mariadb >=
	5.5.28 BUGS: 309856

2012-11-14  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/dimgthreadedanalyser.h,
	libs/dimg/filters/nr/nrestimate.cpp,
	libs/dimg/filters/nr/nrestimate.h: polish API

2012-11-14  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/nr/nrestimate.cpp: polish

2012-11-14  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/dimgbuiltinfilter.cpp,
	libs/dimg/filters/dimgbuiltinfilter.h,
	libs/dimg/filters/dimgfiltergenerator.h,
	libs/dimg/filters/filteractionfilter.cpp,
	libs/dimg/filters/filteractionfilter.h,
	libs/dimg/filters/randomnumbergenerator.cpp,
	libs/dimg/filters/randomnumbergenerator.h,
	libs/dimg/filters/rawprocessingfilter.cpp,
	libs/dimg/filters/rawprocessingfilter.h,
	utilities/imageeditor/editor/editortool.cpp,
	utilities/imageeditor/editor/editortool.h: constify and polish

2012-11-13  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/dimgfiltermanager.cpp,
	libs/dimg/filters/dimgfiltermanager.h: polish

2012-11-13  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/dimgthreadedanalyser.h: polish

2012-11-13  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/nr/nrestimate.cpp,
	libs/dimg/filters/nr/nrestimate.h: polish

2012-11-13  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/dimgthreadedanalyser.cpp,
	libs/dimg/filters/dimgthreadedanalyser.h,
	libs/dimg/filters/dimgthreadedfilter.h,
	libs/dimg/filters/nr/nrestimate.cpp: Optimize NREstimate computation
	speed to only perform Noise analys on top/left corner of image
	(512x512 pixels) CCMAIL: kenzo.zombie@gmail.com

2012-11-13  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/nr/nrestimate.cpp: factorize using DImg API

2012-11-13  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/nr/nrestimate.cpp: make NREstimate analyser
	cancelable

2012-11-13  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, imageplugins/enhance/noisereductiontool.cpp,
	imageplugins/enhance/noisereductiontool.h,
	libs/dimg/filters/dimgthreadedanalyser.cpp,
	libs/dimg/filters/dimgthreadedanalyser.h,
	libs/dimg/filters/dimgthreadedfilter.h,
	libs/dimg/filters/nr/nrestimate.cpp,
	libs/dimg/filters/nr/nrestimate.h, tests/testnrestimate.cpp,
	utilities/imageeditor/editor/editortool.cpp,
	utilities/imageeditor/editor/editortool.h,
	utilities/queuemanager/basetools/enhance/noisereduction.cpp: 
	Introduce a new class based on DImgThreadedFilter to run Image
	contents Analyser This class is a simpleied wrapper of
	DImgThreadedFilter. It do not support versionning, parameters
	registration, and target image.  The goal is to be able to run in a
	separated thread a computation code to analys image and give
	suitable information, to adjust filter settings for ex.  In oposit,
	this class take benfits of DImgThreadedFilter, as progress, chained
	thread, etc...  We use this class now in Noise Reduction tool, to
	run Noise Estimate algorithm.  TODO : Use this class into WB and
	Levels Tools, which has image analys features.  CCMAIL:
	kenzo.zombie@gmail.com

2012-11-13  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/dimgthreadedfilter.cpp,
	libs/dimg/filters/dimgthreadedfilter.h: constify and polish

2012-11-09  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/enhance/noisereductiontool.cpp,
	imageplugins/enhance/noisereductiontool.h,
	libs/dimg/filters/nr/nrestimate.cpp,
	libs/dimg/filters/nr/nrestimate.h, tests/testnrestimate.cpp,
	utilities/queuemanager/basetools/enhance/noisereduction.cpp: first
	version of NREstimate multithreaded using DynamicThread.  TODO :
	progress management in editor and cancelization CCMAIL:
	kenzo.zombie@gmail.com

2012-11-08  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/enhance/noisereductiontool.cpp,
	imageplugins/enhance/noisereductiontool.h,
	libs/dimg/filters/nr/nrsettings.cpp,
	libs/dimg/filters/nr/nrsettings.h,
	utilities/queuemanager/basetools/enhance/noisereduction.cpp: 
	Implement estimate noise GUI handling in editor and BQM Noise
	Reduction tools TODO : In Image editor, run Estimate Noise algorithm
	through DynamicThread class and report progress to status-bar
	CCMAIL: kenzo.zombie@gmail.com

2012-11-06  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/nr/nrestimate.cpp,
	libs/dimg/filters/nr/nrestimate.h, tests/testnrestimate.cpp: only
	create log files to hack NREstimate algorithm, only if log files
	path is set.  Use this behavior with testnrestimate command line
	test program.  CCMAIL: sayantan.knz@gmail.com

2012-11-06  Nicolas Lécureuil <neoclust.kde@free.fr>

	* CMakeLists.txt, NEWS: Open for Rc

2012-11-06  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/nr/nrestimate.cpp,
	libs/dimg/filters/nr/nrestimate.h: new method to set log file path
	for hacking purpose

2012-11-06  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/nr/nrestimate.cpp: polish

2012-11-05  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, cmake/modules/modules_opencv/FindOpenCV.cmake,
	digikam/CMakeLists.txt, libs/dimg/filters/nr/libopencv.h,
	libs/dimg/filters/nr/nrestimate.cpp,
	libs/dimg/filters/nr/nrestimate.h,
	libs/dimg/filters/nr/nrfilter.cpp, libs/dimg/filters/nr/nrfilter.h,
	tests/CMakeLists.txt, tests/testnrestimate.cpp: New wavelets noise
	reduction estimation algorithm from Sayantan Datta using OpenCV
	library, to compute automatically NR settings.  For more details,
	see this wiki page :
	http://community.kde.org/Digikam/GSoC2012#Auto_Noise_Reduction
	CCMAIL: kenzo.zombie@gmail.com

2012-11-04  Gilles Caulier <caulier.gilles@gmail.com>

	* AUTHORS: new Showfoto 3.0.0-beta3 splash-screen from Matthew Fulgo
	CCMAIL: matthew.fulgo@gmail.com

2012-11-04  Gilles Caulier <caulier.gilles@gmail.com>

	* AUTHORS: new digiKam 3.0.0-beta3 splash from Theodor Fruendt
	CCMAIL: frundt@gmail.com

2012-10-31  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/lc/localcontrastcontainer.cpp,
	libs/dimg/filters/lc/localcontrastcontainer.h,
	libs/dimg/filters/lc/localcontrastfilter.cpp,
	libs/dimg/filters/lc/localcontrastfilter.h,
	libs/dimg/filters/lc/localcontrastsettings.cpp,
	libs/dimg/filters/lc/localcontrastsettings.h,
	utilities/queuemanager/basetools/enhance/localcontrast.cpp: polish

2012-10-31  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, libs/dimg/filters/wb/wbcontainer.cpp,
	libs/dimg/filters/wb/wbcontainer.h,
	libs/dimg/filters/wb/wbfilter.cpp, libs/dimg/filters/wb/wbfilter.h,
	libs/dimg/filters/wb/wbsettings.cpp,
	libs/dimg/filters/wb/wbsettings.h: export WBContainer implementation
	to a dedicated cpp file polish

2012-10-31  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, libs/database/imageinfo.cpp,
	libs/dmetadata/dmetadata.h, libs/dmetadata/infocontainer.cpp,
	libs/dmetadata/infocontainer.h,
	libs/dmetadata/photoinfocontainer.cpp,
	libs/dmetadata/photoinfocontainer.h,
	utilities/imageeditor/plugin/imageiface.h,
	utilities/importui/backend/camiteminfo.h,
	utilities/slideshow/slideshowsettings.h: rename this file as it
	include 2 cointainers

2012-10-31  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dialogs/dbusydlg.cpp, libs/dialogs/dbusydlg.h,
	libs/dialogs/deletedialog.cpp, libs/dialogs/deletedialog.h,
	libs/dialogs/dprogressdlg.cpp, libs/dialogs/dprogressdlg.h,
	libs/dialogs/filesaveoptionsdlg.cpp,
	libs/dialogs/filesaveoptionsdlg.h,
	libs/dialogs/iccprofileinfodlg.cpp,
	libs/dialogs/iccprofileinfodlg.h, libs/dialogs/imagedialog.h,
	libs/dialogs/infodlg.cpp, libs/dialogs/infodlg.h,
	libs/dialogs/migrationdlg.cpp, libs/dialogs/migrationdlg.h,
	libs/dialogs/rawcameradlg.cpp, libs/dialogs/rawcameradlg.h,
	libs/dialogs/triplechoicedialog.cpp,
	libs/dialogs/triplechoicedialog.h: polish

2012-10-31  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/imageproperties/imagepropertiessidebar.cpp: special case with
	showfoto which do not be able to load video. No need to show video
	properties here.

2012-10-31  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/common/splashscreen.cpp,
	libs/widgets/common/splashscreen.h: polish

2012-10-31  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/imageproperties/imagepropertiessidebar.cpp: polish

2012-10-30  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dialogs/imagedialog.cpp, libs/dialogs/imagedialog.h: if video
	info container is empty, do not show these information in metadata
	view

2012-10-29  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-29  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-26  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-24  Burkhard Lück <lueck@hube-lueck.de>

	* digikam/album/albumpropsedit.cpp: add missing i18n calls

2012-10-24  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 8196de3263bbb57da4c170f6ba1897aa5a807d2c Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Wed Oct 24 00:28:32 2012
	+0200

2012-10-24  Victor Dodon <dodonvictor@gmail.com>

	* utilities/kipiiface/kipipluginloader.cpp: Add advancedslideshow
	action to the Slideshow menu. BUGS: 307467 FIXED-IN: 3.0.0

2012-10-24  Gilles Caulier <caulier.gilles@gmail.com>

	* tests/CMakeLists.txt, tests/loadsavethreadtest.cpp,
	tests/loadsavethreadtest.h, tests/testdimgloader.cpp: more
	simplified load save thread test application

2012-10-23  Gilles Caulier <caulier.gilles@gmail.com>

	* tests/CMakeLists.txt, tests/loadsavethreadtest.cpp,
	tests/loadsavethreadtest.h, tests/testdimgloader.cpp: new test
	program to check DImg image loader and load save thread

2012-10-23  Gilles Caulier <caulier.gilles@gmail.com>

	* tests/CMakeLists.txt, tests/testdimgloader.cpp: new test command
	line application to check DImg image loader

2012-10-23  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/importui/backend/umscamera.cpp: fix libkdcraw API calls

2012-10-22  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-20  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-20  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-20  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenamedialog.cpp,
	utilities/advancedrename/advancedrenamedialog.h,
	utilities/advancedrename/advancedrenameinput.cpp,
	utilities/advancedrename/advancedrenameinput.h,
	utilities/advancedrename/advancedrenamemanager.cpp,
	utilities/advancedrename/advancedrenamemanager.h,
	utilities/advancedrename/advancedrenameprocessdialog.cpp,
	utilities/advancedrename/advancedrenameprocessdialog.h,
	utilities/advancedrename/advancedrenamewidget.cpp,
	utilities/advancedrename/advancedrenamewidget.h,
	utilities/advancedrename/common/dynamiclayout.cpp,
	utilities/advancedrename/common/dynamiclayout.h,
	utilities/advancedrename/common/modifier.cpp,
	utilities/advancedrename/common/modifier.h,
	utilities/advancedrename/common/option.cpp,
	utilities/advancedrename/common/option.h,
	utilities/advancedrename/common/parser.cpp,
	utilities/advancedrename/common/parser.h,
	utilities/advancedrename/common/rule.cpp,
	utilities/advancedrename/common/rule.h,
	utilities/advancedrename/common/ruledialog.cpp,
	utilities/advancedrename/common/ruledialog.h,
	utilities/advancedrename/common/tooltipdialog.cpp,
	utilities/advancedrename/common/tooltipdialog.h,
	utilities/advancedrename/parser/options/database/dbkeyselector.cpp,
	utilities/advancedrename/parser/options/database/dbkeyselector.h: be
	consistent with the new Private class naming

2012-10-18  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/dimg/imagehistory/historyimageid.cpp: Fix uninitialized
	variable

2012-10-18  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* NEWS, libs/dimg/loaders/dimgloader.cpp,
	libs/dimg/loaders/dimgloader.h, libs/dimg/loaders/jp2kloader.cpp,
	libs/dimg/loaders/jpegloader.cpp, libs/dimg/loaders/pgfloader.cpp,
	libs/dimg/loaders/pngloader.cpp,
	libs/dimg/loaders/qimageloader.cpp,
	libs/dimg/loaders/rawloader.cpp, libs/dimg/loaders/tiffloader.cpp: 
	Prevent integer overflows when calculating the memory necessary for
	loading an image.  This can happen particularly for images requiring chunks of >4GB and
	when using a 32 bit variable to store width and height. Worst case,
	a smaller chunk of memory was allocated, resulting in a crash.  BUG: 307602 FIXED-IN: 3.0.0

2012-10-17  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-17  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* CMakeLists.txt, utilities/nepomuk/digikamnepomukservice.cpp,
	utilities/nepomuk/digikamnepomukservice.h: Disable the current
	implementation of a digikam-nepomuk integration.  By information from the Nepomuk maintainer, the relevant API have
	been replaced.  Essentially, the current code is at best not
	functional, at worst polluting your Nepomuk db.  A new
	implementation needs to be written based on current APIs.  BUG: 258837 BUG: 264124 BUG: 276457 CCBUG: 279404 BUG: 282918 BUG:
	283168 BUG: 304052 CCBUG: 305079

2012-10-16  Andi Clemens <andi.clemens@googlemail.com>

	* NEWS: update

2012-10-13  Andi Clemens <andi.clemens@googlemail.com>

	* digikam/album/albumthumbnailloader.cpp,
	digikam/album/albumthumbnailloader.h, digikam/database/syncjob.cpp,
	digikam/tags/tagspopupmenu.cpp, libs/models/albummodel.cpp: display
	custom tag icons like in the album folder view BUG:308344

2012-10-15  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-14  Pankaj Kumar <me@panks.me>

	* utilities/queuemanager/manager/actionthread.cpp: Fix crash in bqm
	due to ActionThread

2012-10-13  Andi Clemens <andi.clemens@googlemail.com>

	* digikam/items/digikamimageview.cpp,
	digikam/utils/contextmenuhelper.cpp,
	digikam/utils/contextmenuhelper.h,
	digikam/views/imagepreviewview.cpp: No need to duplicate actions
	here, they have already been added to the global action collection.  CCBUG:302740

2012-10-11  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/main/queuemgrwindow.h,
	utilities/queuemanager/main/queuemgrwindow_p.h,
	utilities/queuemanager/views/queuelist.cpp,
	utilities/queuemanager/views/queuelist.h: move progress timer to
	queue list view.  prepare queue list to manage busy state of more
	that one item processed at the same time

2012-10-11  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/views/queuelist.cpp,
	utilities/queuemanager/views/queuelist.h,
	utilities/queuemanager/views/queuepool.cpp,
	utilities/queuemanager/views/queuepool.h: polish API

2012-10-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-10  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/manager/actionthread.cpp,
	utilities/queuemanager/manager/actionthread.h: rename signals with
	right prefix constify pointers

2012-10-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-09  Islam Wazery <wazery@ubuntu.com>

	* libs/widgets/graphicsview/dimgpreviewitem.cpp,
	libs/widgets/graphicsview/dimgpreviewitem.h,
	utilities/importui/views/importpreviewview.cpp,
	utilities/importui/views/importstackedview.cpp: Fix loading preview
	for the same clicked item Before this commit if you tried to preview any item and go back to
	thumbnails mode then try to preview the same item again it didn't
	loaded.  Andi, is this what you meant by point 4 in comment#8?

2012-10-09  Nicolas Lécureuil <neoclust.kde@free.fr>

	* CMakeLists.txt, NEWS: Open for beta3

2012-10-09  Andi Clemens <andi.clemens@googlemail.com>

	* digikam/utils/contextmenuhelper.cpp,
	digikam/utils/contextmenuhelper.h: use const ref

2012-10-09  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/imagehistory/dimagehistory.cpp,
	libs/dimg/imagehistory/dimagehistory.h,
	libs/dimg/imagehistory/filteraction.cpp,
	libs/dimg/imagehistory/filteraction.h,
	libs/dimg/imagehistory/historyimageid.cpp,
	libs/dimg/imagehistory/historyimageid.h,
	libs/dimg/loaders/dimgloader.h,
	libs/dimg/loaders/dimgloaderobserver.h: constify and polish

2012-10-09  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/dcolor.cpp, libs/dimg/dcolor.h,
	libs/dimg/dcolorblend.h, libs/dimg/dcolorcomposer.h,
	libs/dimg/dcolorpixelaccess.h, libs/dimg/dimg.cpp,
	libs/dimg/dimg.h, libs/dimg/dimg_p.h, libs/dimg/dimgscale.cpp,
	libs/dimg/drawdecoding.cpp, libs/dimg/drawdecoding.h,
	libs/dimg/dshareddata.h, libs/dimg/exposurecontainer.h: constify,
	use const ref and polish

2012-10-08  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* NEWS, utilities/imageeditor/editor/editortooliface.cpp,
	utilities/imageeditor/editor/editorwindow.cpp,
	utilities/imageeditor/editor/editorwindow.h: Iron out some bugs
	related to image editor full screen mode: - fix showing the exit full screen action in tool bar - fix accepting Escape to exit full screen - fix hiding side bar again when a tool in full screen mode was
	closed BUG: 241637 FIXED-IN: 3.0.0

2012-10-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-07  Andi Clemens <andi.clemens@googlemail.com>

	* databaseserver/databaseserver.h, databaseserver/pollthread.h,
	digikam/album/album.h, digikam/album/albummanager.cpp,
	digikam/album/albummanager.h, digikam/album/albumpropsedit.cpp,
	digikam/album/albumselectcombobox.cpp,
	digikam/album/albumselectcombobox.h,
	digikam/album/albumselectiontreeview.cpp,
	digikam/album/albumtreeview.cpp, digikam/album/albumwatch.cpp,
	digikam/album/albumwatch.h,
	digikam/database/databaseguierrorhandler.h,
	digikam/database/dbstatdlg.h, digikam/database/dio_p.h,
	digikam/database/scancontroller.cpp,
	digikam/database/scancontroller.h, digikam/date/monthwidget.h,
	digikam/date/timelinewidget.h, digikam/dragdrop/albumdragdrop.h,
	digikam/dragdrop/ddragobjects.h, digikam/dragdrop/imagedragdrop.h,
	digikam/dragdrop/importdragdrop.h, digikam/dragdrop/tagdragdrop.h,
	digikam/fileaction/databaseworkeriface.h,
	digikam/fileaction/fileactionmngr_p.h,
	digikam/fileaction/fileactionprogress.h,
	digikam/fileaction/fileworkeriface.h,
	digikam/fileaction/imageinfotasksplitter.h,
	digikam/fileaction/metadatahub.h,
	digikam/filters/colorlabelfilter.h,
	digikam/filters/filterstatusbar.h,
	digikam/filters/geolocationfilter.h, digikam/filters/mimefilter.h,
	digikam/filters/picklabelfilter.h, digikam/filters/ratingfilter.h,
	digikam/filters/textfilter.h, digikam/items/assignnameoverlay.h,
	digikam/items/digikamimagedelegate.h,
	digikam/items/digikamimagefacedelegate.h,
	digikam/items/digikamimageview.h,
	digikam/items/digikamimageview_p.h,
	digikam/items/facerejectionoverlay.h,
	digikam/items/groupindicatoroverlay.h,
	digikam/items/imagecategorizedview.cpp,
	digikam/items/imagecategorizedview.h,
	digikam/items/imagecategorydrawer.h, digikam/items/imagedelegate.h,
	digikam/items/imageratingoverlay.h,
	digikam/items/imageselectionoverlay.h,
	digikam/items/imagethumbnailbar.h,
	digikam/items/imagethumbnaildelegate.h,
	digikam/items/imageviewutilities.h, digikam/tags/addtagscombobox.h,
	digikam/tags/addtagscompletionbox.h,
	digikam/tags/addtagslineedit.h, digikam/tags/taggingaction.h,
	digikam/tags/tagsactionmngr.h, digikam/tags/tagslineeditoverlay.h,
	digikam/utils/contextmenuhelper.cpp, digikam/utils/sidebarwidget.h,
	digikam/utils/slideshowbuilder.h,
	digikam/utils/uifilevalidator.cpp, digikam/utils/uifilevalidator.h,
	digikam/views/imagepreviewview.cpp,
	digikam/views/mediaplayerview.h, digikam/views/stackedview.h,
	digikam/views/welcomepageview.h,
	imageplugins/color/adjustcurvestool.h,
	imageplugins/color/adjustlevelstool.h,
	imageplugins/color/autocorrectiontool.h,
	imageplugins/color/bcgtool.h, imageplugins/color/bwsepiatool.h,
	imageplugins/color/cbtool.h, imageplugins/color/channelmixertool.h,
	imageplugins/color/filmtool.h, imageplugins/color/hsltool.h,
	imageplugins/color/profileconversiontool.h,
	imageplugins/color/whitebalancetool.h,
	imageplugins/decorate/bordertool.h,
	imageplugins/decorate/inserttexttool.h,
	imageplugins/decorate/texturetool.h,
	imageplugins/enhance/antivignettingtool.h,
	imageplugins/enhance/blurtool.h,
	imageplugins/enhance/hotpixels/blackframelistview.h,
	imageplugins/enhance/hotpixels/blackframeparser.h,
	imageplugins/enhance/hotpixels/hotpixelstool.h,
	imageplugins/enhance/imageplugin_enhance.cpp,
	imageplugins/enhance/inpaintingtool.h,
	imageplugins/enhance/lensautofixtool.h,
	imageplugins/enhance/lensdistortiontool.h,
	imageplugins/enhance/localcontrasttool.h,
	imageplugins/enhance/noisereductiontool.h,
	imageplugins/enhance/redeyetool.h,
	imageplugins/enhance/restorationtool.h,
	imageplugins/enhance/sharpentool.h,
	imageplugins/filters/blurfxtool.h,
	imageplugins/filters/charcoaltool.h,
	imageplugins/filters/colorfxtool.h,
	imageplugins/filters/embosstool.h,
	imageplugins/filters/filmgraintool.h,
	imageplugins/filters/oilpainttool.h,
	imageplugins/filters/raindroptool.h,
	imageplugins/transform/contentawareresizetool.h,
	imageplugins/transform/freerotationtool.h,
	imageplugins/transform/perspectivetool.h,
	imageplugins/transform/ratiocroptool.h,
	imageplugins/transform/resizetool.h, kioslave/digikamsearch.cpp,
	libs/3rdparty/cimg/CImg.h, libs/3rdparty/kinotify/kinotify.cpp,
	libs/3rdparty/kinotify/kinotify.h, libs/3rdparty/libpgf/Decoder.h,
	libs/3rdparty/libpgf/Encoder.h, libs/3rdparty/libpgf/PGFstream.h,
	libs/3rdparty/libpgf/PGFtypes.h, libs/database/albumdb.h,
	libs/database/collectionmanager.cpp,
	libs/database/collectionscannerhints.h,
	libs/database/core/databasecorebackend_p.h,
	libs/database/core/sqlquery.h,
	libs/database/core/thumbnaildatabaseaccess.cpp,
	libs/database/core/thumbnaildatabaseaccess.h,
	libs/database/core/thumbnaildb.h,
	libs/database/core/thumbnailschemaupdater.h,
	libs/database/databaseaccess.cpp, libs/database/databaseaccess.h,
	libs/database/databasebackend_p.h, libs/database/databasechecker.h,
	libs/database/databaseoperationgroup.h,
	libs/database/databaseserverstarter.h,
	libs/database/databasetransaction.h,
	libs/database/databasewatchadaptor.h, libs/database/haar/haar.h,
	libs/database/imagecomments.h, libs/database/imagecopyright.cpp,
	libs/database/imageextendedproperties.h,
	libs/database/imagehistory/imagehistorygraph_boost.h,
	libs/database/imagehistory/imagehistorygraphmodel.cpp,
	libs/database/imagehistory/imagehistorygraphmodel.h,
	libs/database/imageinfo.h, libs/database/imagelisterreceiver.h,
	libs/database/imagelisterrecord.h, libs/database/imageposition.h,
	libs/database/imagescanner.cpp, libs/database/imagescanner.h,
	libs/database/namefilter.h, libs/database/searchxml.h,
	libs/database/tagproperties.h, libs/database/tagscache.cpp,
	libs/dialogs/daboutdata.h, libs/dialogs/dbusydlg.h,
	libs/dialogs/deletedialog.h, libs/dialogs/imagedialog.h,
	libs/dialogs/infodlg.h, libs/dialogs/libsinfodlg.h,
	libs/dialogs/migrationdlg.h, libs/dialogs/rawcameradlg.h,
	libs/dialogs/triplechoicedialog.h, libs/dimg/drawdecoding.h,
	libs/dimg/filters/auto/autoexpofilter.h,
	libs/dimg/filters/auto/autolevelsfilter.h,
	libs/dimg/filters/auto/equalizefilter.h,
	libs/dimg/filters/auto/normalizefilter.h,
	libs/dimg/filters/auto/stretchfilter.h,
	libs/dimg/filters/bcg/bcgsettings.h,
	libs/dimg/filters/bw/bwsepiafilter.h,
	libs/dimg/filters/bw/mixersettings.h,
	libs/dimg/filters/cb/cbsettings.h,
	libs/dimg/filters/curves/curveswidget.cpp,
	libs/dimg/filters/curves/imagecurves.h,
	libs/dimg/filters/decorate/bordersettings.h,
	libs/dimg/filters/dimgbuiltinfilter.h,
	libs/dimg/filters/dimgthreadedfilter.h,
	libs/dimg/filters/filteractionfilter.h,
	libs/dimg/filters/fx/filmgrainsettings.h,
	libs/dimg/filters/greycstoration/greycstorationfilter.h,
	libs/dimg/filters/greycstoration/greycstorationsettings.h,
	libs/dimg/filters/hsl/hslsettings.h,
	libs/dimg/filters/icc/iccprofilesettings.h,
	libs/dimg/filters/lc/localcontrastsettings.h,
	libs/dimg/filters/lens/antivignettingsettings.h,
	libs/dimg/filters/lens/lensfuncameraselector.h,
	libs/dimg/filters/lens/lensfunsettings.h,
	libs/dimg/filters/lens/pixelaccess.h,
	libs/dimg/filters/levels/histogrampainter.cpp,
	libs/dimg/filters/levels/histogrampainter.h,
	libs/dimg/filters/levels/imagelevels.h,
	libs/dimg/filters/nr/nrsettings.h,
	libs/dimg/filters/randomnumbergenerator.h,
	libs/dimg/filters/rawprocessingfilter.h,
	libs/dimg/filters/sharp/sharpsettings.h,
	libs/dimg/filters/transform/freerotationsettings.h,
	libs/dimg/filters/wb/wbsettings.h, libs/dimg/loaders/dimgloader.h,
	libs/dimg/loaders/jp2kloader.h, libs/dimg/loaders/jp2ksettings.h,
	libs/dimg/loaders/jpegloader.h, libs/dimg/loaders/jpegsettings.h,
	libs/dimg/loaders/pgfloader.h, libs/dimg/loaders/pgfsettings.h,
	libs/dimg/loaders/pngloader.h, libs/dimg/loaders/pngsettings.h,
	libs/dimg/loaders/ppmloader.h, libs/dimg/loaders/qimageloader.h,
	libs/dimg/loaders/tiffloader.h, libs/dimg/loaders/tiffsettings.h,
	libs/dmetadata/dmetadata.h,
	libs/imageproperties/cameraitempropertiestab.h,
	libs/imageproperties/captionedit.h,
	libs/imageproperties/imagedescedittab.h,
	libs/imageproperties/imagepropertiescolorstab.h,
	libs/imageproperties/imagepropertiesgpstab.h,
	libs/imageproperties/imagepropertieshistorytab.h,
	libs/imageproperties/imagepropertiesmetadatatab.h,
	libs/imageproperties/imagepropertiestab.h,
	libs/imageproperties/imagepropertiesversionstab.h,
	libs/imageproperties/versionsdelegate.h,
	libs/imageproperties/versionsoverlays.cpp,
	libs/imageproperties/versionsoverlays.h,
	libs/imageproperties/versionstreeview.cpp,
	libs/imageproperties/versionstreeview.h,
	libs/jpegutils/jpegutils.h, libs/kgeomaphelper/digikam2kgeomap.h,
	libs/models/albumfiltermodel.h, libs/models/albummodel.h,
	libs/models/albummodeldragdrophandler.h,
	libs/models/categorizeditemmodel.cpp,
	libs/models/categorizeditemmodel.h,
	libs/models/imagealbumfiltermodel.h, libs/models/imagealbummodel.h,
	libs/models/imagefiltermodel.h,
	libs/models/imagefiltermodelthreads.h,
	libs/models/imagefiltersettings.h, libs/models/imagelistmodel.h,
	libs/models/imagemodel.cpp, libs/models/imagemodel.h,
	libs/models/imagethumbnailmodel.h,
	libs/models/imageversionsmodel.h, libs/template/subjectedit.h,
	libs/template/templatelist.h, libs/template/templatepanel.h,
	libs/template/templateselector.h, libs/template/templateviewer.h,
	libs/threadimageio/filereadwritelock.cpp,
	libs/threadimageio/filereadwritelock.h,
	libs/threadimageio/loadingcache.cpp,
	libs/threadimageio/loadingcache.h,
	libs/threadimageio/loadingdescription.h,
	libs/threadimageio/loadsavetask.h,
	libs/threadimageio/loadsavethread.h,
	libs/threadimageio/managedloadsavethread.h,
	libs/threadimageio/previewloadthread.h,
	libs/threadimageio/sharedloadsavethread.h,
	libs/threadimageio/thumbnailcreator.h,
	libs/threadimageio/thumbnailloadthread.h,
	libs/threads/dynamicthread.cpp, libs/threads/dynamicthread.h,
	libs/threads/threadmanager.cpp,
	libs/widgets/common/abstractitemdragdrophandler.h,
	libs/widgets/common/buttonicondisabler.h,
	libs/widgets/common/colorlabelwidget.h,
	libs/widgets/common/comboboxutilities.cpp,
	libs/widgets/common/comboboxutilities.h,
	libs/widgets/common/databasewidget.h,
	libs/widgets/common/dgradientslider.h,
	libs/widgets/common/dhistoryview.h,
	libs/widgets/common/ditemtooltip.h, libs/widgets/common/dzoombar.h,
	libs/widgets/common/filesaveoptionsbox.h,
	libs/widgets/common/filtershistorywidget.h,
	libs/widgets/common/imagefiltershistoryitemdelegate.h,
	libs/widgets/common/imagehistoryview.h,
	libs/widgets/common/knotificationwrapper.cpp,
	libs/widgets/common/picklabelwidget.h,
	libs/widgets/common/ratingwidget.h,
	libs/widgets/common/statesavingobject.h,
	libs/widgets/common/statusnavigatebar.h,
	libs/widgets/common/statusprogressbar.h,
	libs/widgets/common/thumbbardock.h,
	libs/widgets/common/versionswidget.h,
	libs/widgets/common/visibilitycontroller.h,
	libs/widgets/common/workingwidget.h,
	libs/widgets/graphicsview/clickdragreleaseitem.h,
	libs/widgets/graphicsview/dimgchilditem.cpp,
	libs/widgets/graphicsview/dimgchilditem.h,
	libs/widgets/graphicsview/dimgitemspriv.h,
	libs/widgets/graphicsview/dimgpreviewitem.h,
	libs/widgets/graphicsview/graphicsdimgitem.h,
	libs/widgets/graphicsview/graphicsdimgview.h,
	libs/widgets/graphicsview/itemvisibilitycontroller.cpp,
	libs/widgets/graphicsview/itemvisibilitycontroller.h,
	libs/widgets/graphicsview/previewlayout.h,
	libs/widgets/graphicsview/regionframeitem.cpp,
	libs/widgets/graphicsview/regionframeitem.h,
	libs/widgets/iccprofiles/iccpreviewwidget.h,
	libs/widgets/iccprofiles/iccprofilescombobox.h,
	libs/widgets/itemview/dcategorizedview.cpp,
	libs/widgets/itemview/dcategorizedview.h,
	libs/widgets/itemview/digikamkcategorizedview.h,
	libs/widgets/itemview/digikamkcategorizedview_p.h,
	libs/widgets/itemview/ditemdelegate.h,
	libs/widgets/itemview/imagedelegateoverlay.h,
	libs/widgets/itemview/itemviewhoverbutton.h,
	libs/widgets/itemview/itemviewimagedelegate.h,
	libs/widgets/itemview/itemviewtooltip.h,
	libs/widgets/metadata/metadatalistview.h,
	libs/widgets/metadata/metadatapanel.h,
	libs/widgets/metadata/metadataselector.h,
	libs/widgets/q3support/thumbbar.h, showfoto/main/showfoto.h,
	showfoto/setup/setupmetadata.h, showfoto/setup/setupmisc.h,
	showfoto/setup/setuptooltip.h, tests/statesavingobjecttest.h,
	utilities/advancedrename/advancedrenamedialog.h,
	utilities/advancedrename/advancedrenameinput.h,
	utilities/advancedrename/advancedrenamewidget.h,
	utilities/advancedrename/common/parsesettings.h,
	utilities/advancedrename/common/rule.h,
	utilities/advancedrename/common/ruledialog.h,
	utilities/advancedrename/common/tooltipdialog.h,
	utilities/advancedrename/parser/modifiers/defaultvaluemodifier.h,
	utilities/advancedrename/parser/modifiers/rangemodifier.h,
	utilities/advancedrename/parser/modifiers/replacemodifier.h,
	utilities/advancedrename/parser/options/database/databaseoption.h,
	utilities/advancedrename/parser/options/database/dbkeyscollection.h
	, utilities/advancedrename/parser/options/database/dbkeyselector.h,
	utilities/advancedrename/parser/options/dateoption.h,
	utilities/advancedrename/parser/options/metadataoption.h,
	utilities/advancedrename/parser/options/sequencenumberoption.h,
	utilities/facedetection/assignnamewidget.cpp,
	utilities/facedetection/assignnamewidget.h,
	utilities/facedetection/facegroup.cpp,
	utilities/facedetection/facegroup.h,
	utilities/facedetection/facepipeline_p.h,
	utilities/facedetection/facescandialog.cpp,
	utilities/facedetection/facescandialog.h,
	utilities/firstrun/assistantdlg.h,
	utilities/firstrun/collectionpage.h,
	utilities/firstrun/metadatapage.h,
	utilities/firstrun/openfilepage.h,
	utilities/firstrun/previewpage.h, utilities/firstrun/rawpage.h,
	utilities/firstrun/startscanpage.h,
	utilities/firstrun/tooltipspage.h,
	utilities/firstrun/welcomepage.h,
	utilities/fuzzysearch/findduplicatesview.h,
	utilities/fuzzysearch/sketchwidget.h,
	utilities/imageeditor/core/undomanager.h,
	utilities/imageeditor/dialogs/softproofdialog.h,
	utilities/imageeditor/editor/actioncategorizedview.h,
	utilities/imageeditor/editor/editorstackview.h,
	utilities/imageeditor/editor/editortool.h,
	utilities/imageeditor/editor/editortooliface.h,
	utilities/imageeditor/editor/editortoolsettings.h,
	utilities/imageeditor/editor/editorwindow.h,
	utilities/imageeditor/printiface/printhelper.h,
	utilities/imageeditor/printiface/signalblocker.h,
	utilities/imageeditor/q3support/canvas.h,
	utilities/imageeditor/q3support/drubberband.h,
	utilities/imageeditor/q3support/imageregionwidget.h,
	utilities/imageeditor/q3support/previewwidget.h,
	utilities/imageeditor/widgets/previewlist.h,
	utilities/imageeditor/widgets/previewtoolbar.h,
	utilities/importui/backend/camerahistoryupdater.h,
	utilities/importui/dialogs/cameramessagebox.h,
	utilities/importui/items/importcategorydrawer.h,
	utilities/importui/items/importdelegate.h,
	utilities/importui/items/importoverlays.h,
	utilities/importui/items/itemviewimportdelegate.h,
	utilities/importui/models/importfiltermodel.h,
	utilities/importui/models/importimagemodel.cpp,
	utilities/importui/models/importimagemodel.h,
	utilities/importui/models/importmodel.h,
	utilities/importui/models/importthumbnailmodel.h,
	utilities/importui/views/camerafolderview.h,
	utilities/importui/views/freespacetooltip.h,
	utilities/importui/views/importcategorizedview.cpp,
	utilities/importui/views/importcategorizedview.h,
	utilities/importui/views/importcategorizedview_p.h,
	utilities/importui/views/importiconview.h,
	utilities/importui/views/importiconview_p.h,
	utilities/importui/views/importpreviewview.cpp,
	utilities/importui/views/importthumbnailbar.h,
	utilities/importui/widgets/advancedsettings.h,
	utilities/importui/widgets/albumcustomizer.h,
	utilities/importui/widgets/capturewidget.h,
	utilities/importui/widgets/filtercombo.h,
	utilities/importui/widgets/importcontextmenu.cpp,
	utilities/importui/widgets/scriptingsettings.h,
	utilities/kipiiface/kipiinterface.cpp,
	utilities/kipiiface/kipipluginloader.cpp,
	utilities/lighttable/lighttablepreview.h,
	utilities/lighttable/lighttablethumbbar.cpp,
	utilities/lighttable/lighttableview.h,
	utilities/maintenance/facedetector.cpp,
	utilities/maintenance/maintenancemngr.h,
	utilities/nepomuk/digikamnepomukservice.cpp,
	utilities/queuemanager/basetools/color/autocorrection.h,
	utilities/queuemanager/basetools/color/bcgcorrection.h,
	utilities/queuemanager/basetools/color/bwconvert.h,
	utilities/queuemanager/basetools/color/channelmixer.h,
	utilities/queuemanager/basetools/color/colorbalance.h,
	utilities/queuemanager/basetools/color/convert16to8.h,
	utilities/queuemanager/basetools/color/convert8to16.h,
	utilities/queuemanager/basetools/color/curvesadjust.h,
	utilities/queuemanager/basetools/color/hslcorrection.h,
	utilities/queuemanager/basetools/color/iccconvert.h,
	utilities/queuemanager/basetools/color/invert.h,
	utilities/queuemanager/basetools/color/whitebalance.h,
	utilities/queuemanager/basetools/convert/convert2jp2.h,
	utilities/queuemanager/basetools/convert/convert2jpeg.h,
	utilities/queuemanager/basetools/convert/convert2pgf.h,
	utilities/queuemanager/basetools/convert/convert2png.h,
	utilities/queuemanager/basetools/convert/convert2tiff.h,
	utilities/queuemanager/basetools/decorate/border.h,
	utilities/queuemanager/basetools/decorate/watermark.h,
	utilities/queuemanager/basetools/enhance/antivignetting.h,
	utilities/queuemanager/basetools/enhance/blur.h,
	utilities/queuemanager/basetools/enhance/lensautofix.h,
	utilities/queuemanager/basetools/enhance/localcontrast.h,
	utilities/queuemanager/basetools/enhance/noisereduction.h,
	utilities/queuemanager/basetools/enhance/restoration.h,
	utilities/queuemanager/basetools/enhance/sharpen.h,
	utilities/queuemanager/basetools/filters/filmgrain.h,
	utilities/queuemanager/basetools/metadata/assigntemplate.h,
	utilities/queuemanager/basetools/metadata/removemetadata.h,
	utilities/queuemanager/basetools/transform/flip.h,
	utilities/queuemanager/basetools/transform/resize.h,
	utilities/queuemanager/basetools/transform/rotate.h,
	utilities/queuemanager/manager/actionthread.h,
	utilities/queuemanager/manager/batchtool.cpp,
	utilities/queuemanager/manager/batchtoolsmanager.h,
	utilities/queuemanager/views/assignedlist.h,
	utilities/queuemanager/views/queuelist.h,
	utilities/queuemanager/views/queuepool.h,
	utilities/queuemanager/views/queuesettingsview.h,
	utilities/queuemanager/views/queuetooltip.h,
	utilities/queuemanager/views/toolsettingsview.h,
	utilities/queuemanager/views/toolslistview.h,
	utilities/queuemanager/views/toolsview.h,
	utilities/scriptiface/scriptiface.h,
	utilities/scriptiface/setupscriptmanager.h,
	utilities/searchwindow/choicesearchutilities.h,
	utilities/searchwindow/ratingsearchutilities.h,
	utilities/searchwindow/searchfieldgroup.h,
	utilities/searchwindow/searchfields.h,
	utilities/searchwindow/searchgroup.h,
	utilities/searchwindow/searchtabheader.cpp,
	utilities/searchwindow/searchtabheader.h,
	utilities/searchwindow/searchutilities.cpp,
	utilities/searchwindow/searchutilities.h,
	utilities/searchwindow/searchview.h,
	utilities/setup/cameraselection.h, utilities/setup/importfilters.h,
	utilities/setup/setup.h, utilities/setup/setupalbumview.h,
	utilities/setup/setupcamera.h, utilities/setup/setupcategory.h,
	utilities/setup/setupcollectionview.h,
	utilities/setup/setupeditor.h, utilities/setup/setupfacetags.h,
	utilities/setup/setupiofiles.h, utilities/setup/setuplighttable.h,
	utilities/setup/setupmetadata.h, utilities/setup/setupmime.h,
	utilities/setup/setupmisc.h, utilities/setup/setupraw.h,
	utilities/setup/setupslideshow.h, utilities/setup/setuptemplate.h,
	utilities/setup/setuptooltip.h, utilities/setup/setupversioning.h,
	utilities/slideshow/slideshow.h, utilities/slideshow/toolbar.h: 
	Single-argument constructors should be marked explicit.

2012-10-07  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenameinput.cpp,
	utilities/advancedrename/common/parseresults.cpp: use quint8

2012-10-07  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenamemanager.cpp,
	utilities/advancedrename/advancedrenamemanager.h,
	utilities/advancedrename/advancedrenamewidget.cpp,
	utilities/advancedrename/advancedrenamewidget.h,
	utilities/advancedrename/common/parseresults.cpp,
	utilities/advancedrename/common/parseresults.h: fix warning: Is this
	a non-const reference? If so, make const or use a pointer.

2012-10-07  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/sharp/matrix.cpp,
	libs/dimg/filters/sharp/matrix.h,
	libs/dimg/filters/sharp/refocusfilter.cpp,
	libs/dimg/filters/sharp/refocusfilter.h,
	libs/dimg/filters/sharp/sharpenfilter.cpp,
	libs/dimg/filters/sharp/sharpenfilter.h,
	libs/dimg/filters/sharp/sharpsettings.cpp,
	libs/dimg/filters/sharp/sharpsettings.h,
	libs/dimg/filters/sharp/unsharpmaskfilter.cpp,
	libs/dimg/filters/sharp/unsharpmaskfilter.h: constify and polish

2012-10-07  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/bw/bwsepiasettings.cpp,
	libs/dimg/filters/bw/bwsepiasettings.h,
	libs/dimg/filters/curves/curvesbox.cpp,
	libs/dimg/filters/curves/curvesbox.h,
	libs/dimg/filters/curves/curvessettings.cpp,
	libs/dimg/filters/curves/curveswidget.cpp,
	libs/dimg/filters/curves/curveswidget.h,
	utilities/imageeditor/rawimport/rawimport.cpp,
	utilities/imageeditor/rawimport/rawsettingsbox.cpp: use DImg
	constructor instead pointer based image data arguments CCBUGS:
	274555

2012-10-07  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/curves/curvesbox.cpp,
	libs/dimg/filters/curves/curveswidget.cpp,
	libs/dimg/filters/curves/curveswidget.h: remove deprecated
	constructor

2012-10-07  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/curves/curvesbox.cpp,
	libs/dimg/filters/curves/curvesbox.h,
	libs/dimg/filters/curves/curvescontainer.cpp,
	libs/dimg/filters/curves/curvescontainer.h,
	libs/dimg/filters/curves/curvesfilter.cpp,
	libs/dimg/filters/curves/curvesfilter.h,
	libs/dimg/filters/curves/curvessettings.cpp,
	libs/dimg/filters/curves/curvessettings.h,
	libs/dimg/filters/curves/curveswidget.cpp,
	libs/dimg/filters/curves/curveswidget.h,
	libs/dimg/filters/curves/imagecurves.cpp,
	libs/dimg/filters/curves/imagecurves.h: constify and polish

2012-10-07  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/levels/histogrampainter.cpp: polish

2012-10-07  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-07  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-07  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-07  Victor Dodon <dodonvictor@gmail.com>

	* : commit 12accac7b17035a0e34b8d77579f7910622e2a1b Author: Victor
	Dodon <dodonvictor@gmail.com> Date:   Sun Oct 7 01:08:30 2012 +0300

2012-10-06  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* NEWS, utilities/imageeditor/main/imagewindow.cpp,
	utilities/imageeditor/main/imagewindow_p.h: Sort filter model when
	an image is synchronously added to the editor's image model.  Navigation was broken because in the immediate event loop scope, the
	new image was the last, so forward was disabled.  When the
	asynchronous operation in the model finished shortly afterwards, the
	filter model is resorted, so we never saw the problem.  BUG: 306815 FIXED-IN: 3.0

2012-10-06  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* digikam/utils/slideshowbuilder.cpp,
	utilities/slideshow/slideshow.cpp,
	utilities/slideshow/slideshowsettings.cpp,
	utilities/slideshow/slideshowsettings.h: Apply the "load high
	quality preview" for the preview view to the slideshow as well,
	rather than always loading a recduced version.

2012-10-03  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/dimg/filters/icc/iccsettings.cpp: Add null pointer check
	because of reported crash here.  BUG: 304609 FIXED-IN: 3.0

2012-10-04  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/importui/views/cameranamehelper.cpp: fix
	cameraNameAutoDetected() method, avoid adding multiple
	"auto-detected" strings

2012-10-04  Andi Clemens <andi.clemens@googlemail.com>

	* digikam/main/digikamapp.cpp, tests/cameranamehelpertest.cpp,
	tests/cameranamehelpertest.h,
	utilities/importui/views/cameranamehelper.cpp,
	utilities/importui/views/cameranamehelper.h: rename
	CameraNameHelper::formattedFullCameraName() =>
	CameraNameHelper::cameraNameAutoDetected() to better match its
	purpose, add unit tests. The unit tests are still failing, due to
	bugs in cameraNameAutoDetected(). This will be fixed with the next
	commit.

2012-10-04  Andi Clemens <andi.clemens@googlemail.com>

	* tests/cameranamehelpertest.cpp, tests/cameranamehelpertest.h,
	utilities/importui/main/importui.cpp,
	utilities/importui/views/cameranamehelper.cpp,
	utilities/importui/views/cameranamehelper.h: rename
	CameraNameHelper::formattedCameraName() =>
	CameraNameHelper::cameraName() to better match its purpose

2012-10-04  Andi Clemens <andi.clemens@googlemail.com>

	* tests/cameranamehelpertest.cpp,
	utilities/importui/views/cameranamehelper.cpp,
	utilities/importui/views/cameranamehelper.h: change the purpose of
	the formattedCameraName() method: it should only return the camera
	name without the additional mode (if correctly detected), it should
	not be possible to add the "auto-detected" string here

2012-10-04  Andi Clemens <andi.clemens@googlemail.com>

	* tests/cameranamehelpertest.cpp, tests/cameranamehelpertest.h,
	utilities/importui/views/cameranamehelper.cpp: Fix
	formattedCameraName method: it has been broken with the last
	bugfixes and was not detected due to missing unit tests for the
	public methods. Add the missing unit tests...

2012-10-04  Andi Clemens <andi.clemens@googlemail.com>

	* tests/cameranamehelpertest.cpp, tests/cameranamehelpertest.h: 
	rename methods to match their tested counterparts

2012-10-04  Andi Clemens <andi.clemens@googlemail.com>

	* tests/cameranamehelpertest.h: cleanup code

2012-10-04  Andi Clemens <andi.clemens@googlemail.com>

	* tests/cameranamehelpertest.cpp, tests/cameranamehelpertest.h: 
	rename test methods to match the public methods of the tested class

2012-10-04  Andi Clemens <andi.clemens@googlemail.com>

	* tests/cameranamehelpertest.cpp: add more test data

2012-10-04  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-03  Andi Clemens <andi.clemens@googlemail.com>

	* tests/cameranamehelpertest.cpp: add more unittests

2012-10-03  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/importui/views/cameranamehelper.cpp,
	utilities/importui/views/cameranamehelper.h: fix CameraNameHelper:
	the unittests were failing due to changes in GPhoto2. Cleanup code,
	simplify code We have a lot more unittests that are currently failing, we should
	fix the issues!! CCMAIL:digikam-devel@kde.org

2012-10-03  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/importui/views/cameranamehelper.cpp,
	utilities/importui/views/cameranamehelper.h: fix copyright headers

2012-10-03  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/importui/views/cameranamehelper.cpp,
	utilities/importui/views/cameranamehelper.h: use the enum "Token"
	instead of "int" in method parameters

2012-10-03  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/importui/views/cameranamehelper.cpp,
	utilities/importui/views/cameranamehelper.h: cleanup code

2012-10-03  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenameinput.cpp,
	utilities/advancedrename/advancedrenameinput.h,
	utilities/advancedrename/common/highlighter.cpp,
	utilities/advancedrename/common/highlighter.h: use a QPlainTextEdit
	instead of a QTextEdit

2012-10-03  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-03  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/levels/imagehistogram.cpp: make a simple copy of
	reference instead a deep copy. This must be enough and optimum for
	memory allocation.  BUGS: 274555 FIXED-IN: 3.0.0

2012-10-02  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/album/albumthumbnailloader.cpp,
	digikam/album/albumthumbnailloader.h, digikam/album/albumwatch.cpp,
	digikam/album/albumwatch.h, digikam/database/scancontroller.cpp,
	digikam/database/scancontroller.h, digikam/database/syncjob.cpp,
	digikam/database/syncjob.h,
	digikam/fileaction/databaseworkeriface.cpp,
	digikam/fileaction/databaseworkeriface.h,
	digikam/fileaction/fileactionimageinfolist.cpp,
	digikam/fileaction/fileactionimageinfolist.h,
	digikam/fileaction/fileactionmngr.cpp,
	digikam/fileaction/fileactionmngr.h,
	digikam/fileaction/fileactionmngr_p.cpp,
	digikam/fileaction/fileactionmngr_p.h,
	digikam/fileaction/fileworkeriface.cpp,
	digikam/fileaction/fileworkeriface.h,
	digikam/fileaction/imageinfotasksplitter.cpp,
	digikam/fileaction/imageinfotasksplitter.h,
	digikam/fileaction/metadatahub.cpp,
	digikam/fileaction/metadatahub.h,
	digikam/items/imagethumbnaildelegatepriv.h,
	digikam/items/imageviewutilities.h,
	imageplugins/color/profileconversiontool.cpp,
	imageplugins/color/profileconversiontool.h,
	libs/3rdparty/kinotify/kinotify.cpp,
	libs/3rdparty/kinotify/kinotify.h,
	libs/3rdparty/kmemoryinfo/kmemoryinfo.cpp,
	libs/3rdparty/kmemoryinfo/kmemoryinfo.h,
	libs/database/core/tagregion.cpp, libs/database/core/tagregion.h,
	libs/dimg/dcolorblend.h, libs/dimg/dcolorcomposer.cpp,
	libs/dimg/dcolorcomposer.h, libs/dimg/dimg.cpp, libs/dimg/dimg.h,
	libs/dimg/filters/icc/iccmanager.cpp,
	libs/dimg/filters/icc/iccmanager.h,
	libs/dimg/filters/icc/iccprofile.cpp,
	libs/dimg/filters/icc/iccprofile.h,
	libs/dimg/filters/icc/iccsettings.cpp,
	libs/dimg/filters/icc/iccsettings.h,
	libs/dimg/filters/icc/iccsettingscontainer.cpp,
	libs/dimg/filters/icc/iccsettingscontainer.h,
	libs/dimg/filters/icc/icctransform.cpp,
	libs/dimg/filters/icc/icctransform.h,
	libs/dimg/imagehistory/dimagehistory.cpp,
	libs/dimg/imagehistory/dimagehistory.h,
	libs/dimg/imagehistory/filteraction.cpp,
	libs/dimg/imagehistory/filteraction.h,
	libs/dimg/imagehistory/historyimageid.cpp,
	libs/dimg/imagehistory/historyimageid.h,
	libs/dimg/loaders/dimgloaderobserver.h,
	libs/dimg/loaders/rawloader.cpp, libs/dimg/loaders/rawloader.h,
	libs/jpegutils/jpegutils.cpp, libs/jpegutils/jpegutils.h,
	libs/progressmanager/progressmanager.cpp,
	libs/progressmanager/progressmanager.h,
	libs/progressmanager/progressview.cpp,
	libs/progressmanager/progressview.h,
	libs/threadimageio/filereadwritelock.cpp,
	libs/threadimageio/filereadwritelock.h,
	libs/threadimageio/loadingcache.cpp,
	libs/threadimageio/loadingcache.h,
	libs/threadimageio/loadingcacheinterface.cpp,
	libs/threadimageio/loadingcacheinterface.h,
	libs/threadimageio/loadingdescription.cpp,
	libs/threadimageio/loadingdescription.h,
	libs/threadimageio/loadsavetask.cpp,
	libs/threadimageio/loadsavetask.h,
	libs/threadimageio/loadsavethread.cpp,
	libs/threadimageio/loadsavethread.h,
	libs/threadimageio/managedloadsavethread.cpp,
	libs/threadimageio/managedloadsavethread.h,
	libs/threadimageio/previewloadthread.cpp,
	libs/threadimageio/previewloadthread.h,
	libs/threadimageio/previewtask.cpp,
	libs/threadimageio/previewtask.h,
	libs/threadimageio/sharedloadsavethread.cpp,
	libs/threadimageio/sharedloadsavethread.h,
	libs/threadimageio/thumbnailbasic.cpp,
	libs/threadimageio/thumbnailloadthread.cpp,
	libs/threadimageio/thumbnailloadthread.h,
	libs/threadimageio/thumbnailtask.cpp,
	libs/threadimageio/thumbnailtask.h,
	libs/versionmanager/versionfileoperation.h,
	libs/versionmanager/versionmanager.cpp,
	libs/versionmanager/versionmanager.h,
	libs/versionmanager/versionmanagersettings.h,
	libs/versionmanager/versionnamingscheme.h,
	libs/widgets/graphicsview/regionframeitem.cpp,
	libs/widgets/graphicsview/regionframeitem.h,
	libs/widgets/iccprofiles/iccpreviewwidget.cpp,
	libs/widgets/iccprofiles/iccpreviewwidget.h,
	libs/widgets/iccprofiles/iccprofilescombobox.cpp,
	libs/widgets/iccprofiles/iccprofilescombobox.h,
	libs/widgets/itemview/digikamkcategorizedview.cpp,
	utilities/imageeditor/core/iccpostloadingmanager.cpp,
	utilities/imageeditor/core/iccpostloadingmanager.h,
	utilities/imageeditor/core/savingcontext.h,
	utilities/setup/setupicc.cpp, utilities/setup/setupicc.h: anti-spam

2012-10-02  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/widgets/iccprofiles/cietonguewidget.cpp,
	libs/widgets/iccprofiles/cietonguewidget.h,
	libs/widgets/iccprofiles/iccpreviewwidget.cpp,
	libs/widgets/iccprofiles/iccpreviewwidget.h,
	libs/widgets/iccprofiles/iccprofilescombobox.cpp,
	libs/widgets/iccprofiles/iccprofilescombobox.h,
	libs/widgets/iccprofiles/iccprofilewidget.cpp,
	libs/widgets/iccprofiles/iccprofilewidget.h: constify and polish

2012-10-02  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/color/adjustcurvestool.cpp,
	imageplugins/color/adjustlevelstool.cpp,
	imageplugins/color/autocorrectiontool.cpp,
	imageplugins/color/bcgtool.cpp, imageplugins/color/bwsepiatool.cpp,
	imageplugins/color/cbtool.cpp,
	imageplugins/color/channelmixertool.cpp,
	imageplugins/color/filmtool.cpp, imageplugins/color/hsltool.cpp,
	imageplugins/color/profileconversiontool.cpp,
	imageplugins/color/whitebalancetool.cpp,
	imageplugins/enhance/localcontrasttool.cpp,
	imageplugins/enhance/redeyetool.cpp,
	imageplugins/filters/colorfxtool.cpp,
	imageplugins/transform/ratiocroptool.cpp,
	libs/dimg/filters/levels/histogramwidget.cpp,
	libs/dimg/filters/levels/histogramwidget.h,
	libs/imageproperties/imagepropertiescolorstab.cpp,
	utilities/imageeditor/rawimport/rawsettingsbox.cpp,
	utilities/setup/setupeditor.cpp: remove all methods to update image
	data based on ucher pointers.  Used DImg container instead.  API
	polish and simplification.  CCBUGS: 274555

2012-10-02  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 445c84557a943a281856cdf2451d7e4ddc78b9bf Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Tue Oct 2 12:59:32 2012
	+0200

2012-10-02  Andi Clemens <andi.clemens@googlemail.com>

	* digikam/tags/tageditdlg.cpp: remove useless check

2012-10-02  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/importui/widgets/freespacewidget.cpp: remove useless
	check

2012-10-02  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/parser/options/sequencenumberoption.cpp: 
	simplify code (the scope of the variables can be reduced)

2012-10-02  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/common/rule.cpp,
	utilities/advancedrename/common/rule.h: cleanup code: remove
	tokenAtPosition from Rule class

2012-10-02  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenameinput.cpp,
	utilities/advancedrename/common/modifier.cpp,
	utilities/advancedrename/common/modifier.h,
	utilities/advancedrename/common/option.cpp,
	utilities/advancedrename/common/option.h,
	utilities/advancedrename/common/parser.cpp,
	utilities/advancedrename/common/parser.h,
	utilities/advancedrename/common/rule.cpp,
	utilities/advancedrename/common/rule.h: simplify API: remove
	duplicate method calls, remove enum TokenType, remove virtual
	parse() method from Option and Modifier class

2012-10-02  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/common/modifier.cpp: cleanup code

2012-10-02  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/levels/histogrambox.cpp,
	libs/dimg/filters/levels/histogrambox.h,
	libs/dimg/filters/levels/histogrampainter.cpp,
	libs/dimg/filters/levels/histogrampainter.h,
	libs/dimg/filters/levels/histogramwidget.cpp,
	libs/dimg/filters/levels/histogramwidget.h,
	libs/dimg/filters/levels/imagelevels.cpp,
	libs/dimg/filters/levels/imagelevels.h,
	libs/dimg/filters/levels/levelsfilter.cpp,
	libs/dimg/filters/levels/levelsfilter.h: constify and polish

2012-10-02  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/levels/imagehistogram.cpp,
	libs/dimg/filters/levels/imagehistogram.h: store internal image data
	in DImg Container.  CCBUGS: 274555

2012-10-02  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/common/parser.cpp: cleanup code, use
	better variable names

2012-10-02  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenamewidget.cpp,
	utilities/advancedrename/advancedrenamewidget.h: No need for a
	template method, use the RulesList typedef as a parameter

2012-10-02  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenamewidget.cpp: simplify logic

2012-10-01  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/auto/autolevelsfilter.cpp,
	libs/dimg/filters/auto/equalizefilter.cpp,
	libs/dimg/filters/auto/stretchfilter.cpp,
	libs/dimg/filters/curves/curveswidget.cpp,
	libs/dimg/filters/levels/histogramwidget.cpp,
	libs/dimg/filters/levels/imagehistogram.cpp,
	libs/dimg/filters/levels/imagehistogram.h,
	libs/dimg/filters/wb/wbfilter.cpp: use DImg image histogram
	constructor everywhere CCBUGS: 274555

2012-10-01  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/levels/imagehistogram.cpp,
	libs/dimg/filters/levels/imagehistogram.h: more private methods

2012-10-01  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/levels/imagehistogram.cpp,
	libs/dimg/filters/levels/imagehistogram.h: constify and polish

2012-10-01  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/imageproperties/captionedit.cpp,
	libs/imageproperties/captionedit.h,
	libs/imageproperties/imagedescedittab.cpp,
	libs/imageproperties/imagedescedittab.h,
	libs/imageproperties/imagegpsmodelhelper.cpp,
	libs/imageproperties/imagegpsmodelhelper.h,
	libs/imageproperties/imagepropertiescolorstab.cpp,
	libs/imageproperties/imagepropertiescolorstab.h,
	libs/imageproperties/imagepropertiesgpstab.cpp,
	libs/imageproperties/imagepropertiesgpstab.h,
	libs/imageproperties/imagepropertieshistorytab.cpp,
	libs/imageproperties/imagepropertieshistorytab.h,
	libs/imageproperties/imagepropertiesmetadatatab.cpp,
	libs/imageproperties/imagepropertiesmetadatatab.h,
	libs/imageproperties/imagepropertiessidebar.cpp,
	libs/imageproperties/imagepropertiessidebar.h,
	libs/imageproperties/imagepropertiessidebardb.cpp,
	libs/imageproperties/imagepropertiessidebardb.h,
	libs/imageproperties/imagepropertiesversionstab.cpp,
	libs/imageproperties/imagepropertiesversionstab.h,
	libs/imageproperties/versionsdelegate.cpp,
	libs/imageproperties/versionsdelegate.h,
	libs/imageproperties/versionsoverlays.cpp,
	libs/imageproperties/versionsoverlays.h,
	libs/imageproperties/versionstreeview.cpp,
	libs/imageproperties/versionstreeview.h: constify and polish

2012-09-30  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/importui/models/importthumbnailmodel.cpp: fix compile
	warnings

2012-09-28  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenameinput.cpp: cleanup code

2012-09-28  Andi Clemens <andi.clemens@googlemail.com>

	* libs/widgets/common/comboboxutilities.cpp,
	libs/widgets/common/comboboxutilities.h: set layout margins when the
	clear button is shown

2012-09-28  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenameinput.cpp: cleanup code

2012-09-28  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenameinput.cpp,
	utilities/advancedrename/advancedrenameinput.h: remove
	AdvancedRenameLineEditProxy, it was only used to display the
	clearButton. But this should be fixed in the parent class
	(ProxyLineEdit)

2012-09-29  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/basetools/enhance/blur.h: polish

2012-09-29  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/basetools/convert/convert2jp2.cpp,
	utilities/queuemanager/basetools/convert/convert2jp2.h,
	utilities/queuemanager/basetools/convert/convert2jpeg.cpp,
	utilities/queuemanager/basetools/convert/convert2jpeg.h,
	utilities/queuemanager/basetools/convert/convert2pgf.cpp,
	utilities/queuemanager/basetools/convert/convert2pgf.h,
	utilities/queuemanager/basetools/convert/convert2png.cpp,
	utilities/queuemanager/basetools/convert/convert2png.h,
	utilities/queuemanager/basetools/convert/convert2tiff.cpp,
	utilities/queuemanager/basetools/convert/convert2tiff.h,
	utilities/queuemanager/basetools/decorate/border.cpp,
	utilities/queuemanager/basetools/decorate/border.h,
	utilities/queuemanager/basetools/decorate/watermark.cpp,
	utilities/queuemanager/basetools/decorate/watermark.h,
	utilities/queuemanager/basetools/enhance/antivignetting.cpp,
	utilities/queuemanager/basetools/enhance/antivignetting.h,
	utilities/queuemanager/basetools/enhance/blur.cpp,
	utilities/queuemanager/basetools/enhance/lensautofix.cpp,
	utilities/queuemanager/basetools/enhance/lensautofix.h,
	utilities/queuemanager/basetools/enhance/localcontrast.cpp,
	utilities/queuemanager/basetools/enhance/localcontrast.h,
	utilities/queuemanager/basetools/enhance/noisereduction.cpp,
	utilities/queuemanager/basetools/enhance/noisereduction.h,
	utilities/queuemanager/basetools/enhance/restoration.cpp,
	utilities/queuemanager/basetools/enhance/restoration.h,
	utilities/queuemanager/basetools/enhance/sharpen.cpp,
	utilities/queuemanager/basetools/enhance/sharpen.h: constify and
	polish

2012-09-29  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/database/collectionscanner.cpp,
	libs/database/imagescanner.cpp, libs/database/imagescanner.h: Split
	ImageScanner in two parts: information gathering and database
	writing.  The first part handles all disk and metadata access. The second part
	only writes compiled information to the database.  This allows to
	perform the database commit in one group, which is always a great
	speed improvement for SQLite.

2012-09-29  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-29  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/dimg/loaders/tiffloader.cpp: Apply patch by pochini@shiny.it
	to fix TIFF loading on big endian, and attempt to fix saving as well
	by using ushort instead of messing with single bytes. Untested due
	to lack of hardware to test.  BUG: 269846 FIXED-IN: 3.0

2012-09-29  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-29  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-28  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/main/queuemgrwindow_p.h,
	utilities/queuemanager/views/queuelist.cpp,
	utilities/queuemanager/views/queuelist.h,
	utilities/queuemanager/views/queuepool.cpp,
	utilities/queuemanager/views/queuepool.h: move queu item progress
	management from main GUI to queue implementation

2012-09-28  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/basetools/color/autocorrection.cpp,
	utilities/queuemanager/basetools/color/autocorrection.h,
	utilities/queuemanager/basetools/color/bcgcorrection.cpp,
	utilities/queuemanager/basetools/color/bcgcorrection.h,
	utilities/queuemanager/basetools/color/bwconvert.cpp,
	utilities/queuemanager/basetools/color/bwconvert.h,
	utilities/queuemanager/basetools/color/channelmixer.cpp,
	utilities/queuemanager/basetools/color/channelmixer.h,
	utilities/queuemanager/basetools/color/colorbalance.cpp,
	utilities/queuemanager/basetools/color/colorbalance.h,
	utilities/queuemanager/basetools/color/convert16to8.cpp,
	utilities/queuemanager/basetools/color/convert16to8.h,
	utilities/queuemanager/basetools/color/convert8to16.cpp,
	utilities/queuemanager/basetools/color/convert8to16.h,
	utilities/queuemanager/basetools/color/curvesadjust.cpp,
	utilities/queuemanager/basetools/color/curvesadjust.h,
	utilities/queuemanager/basetools/color/hslcorrection.cpp,
	utilities/queuemanager/basetools/color/hslcorrection.h,
	utilities/queuemanager/basetools/color/iccconvert.cpp,
	utilities/queuemanager/basetools/color/iccconvert.h,
	utilities/queuemanager/basetools/color/invert.cpp,
	utilities/queuemanager/basetools/color/invert.h,
	utilities/queuemanager/basetools/color/whitebalance.cpp,
	utilities/queuemanager/basetools/color/whitebalance.h,
	utilities/queuemanager/manager/batchtool.cpp,
	utilities/queuemanager/manager/batchtool.h,
	utilities/queuemanager/manager/batchtoolsmanager.cpp,
	utilities/queuemanager/manager/batchtoolsmanager.h: constify and
	polish

2012-09-28  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/queuemanager/main/queuemgrwindow.cpp,
	utilities/queuemanager/main/queuemgrwindow.h,
	utilities/queuemanager/main/queuemgrwindow_p.h,
	utilities/queuemanager/views/queuelist.cpp,
	utilities/queuemanager/views/queuelist.h,
	utilities/queuemanager/views/queuepool.cpp,
	utilities/queuemanager/views/queuepool.h,
	utilities/queuemanager/views/queuesettingsview.cpp,
	utilities/queuemanager/views/queuesettingsview.h,
	utilities/queuemanager/views/queuetooltip.cpp,
	utilities/queuemanager/views/queuetooltip.h,
	utilities/queuemanager/views/toolsettingsview.cpp,
	utilities/queuemanager/views/toolsettingsview.h,
	utilities/queuemanager/views/toolslistview.cpp,
	utilities/queuemanager/views/toolslistview.h,
	utilities/queuemanager/views/toolsview.cpp,
	utilities/queuemanager/views/toolsview.h: constify and polish

2012-09-28  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt: pass required libkipi version as argument

2012-09-27  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, README, libs/threads/dactionthreadbase.cpp,
	libs/threads/dactionthreadbase.h, libs/threads/dweaverobserver.cpp,
	libs/threads/dweaverobserver.h,
	utilities/queuemanager/manager/actionthread.cpp,
	utilities/queuemanager/manager/actionthread.h: use RActionThreadBase
	from libkdcraw Fix dependency to libkdcraw 2.2.0 Remove duplicate
	check of libkdcraw version through lead CMake script

2012-09-27  Gilles Caulier <caulier.gilles@gmail.com>

	* showfoto/main/showfotoui.rc,
	utilities/imageeditor/main/digikamimagewindowui.rc: polish Help menu

2012-09-27  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 5e26c0eeed71f70420e19977a65531d2d10627b5 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Thu Sep 27 14:42:01 2012
	+0200

2012-09-27  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenamewidget.cpp,
	utilities/advancedrename/common/highlighter.cpp,
	utilities/advancedrename/common/modifier.h,
	utilities/advancedrename/common/option.h,
	utilities/advancedrename/common/parser.cpp,
	utilities/advancedrename/common/parser.h,
	utilities/advancedrename/common/rule.h,
	utilities/advancedrename/common/tooltipcreator.cpp,
	utilities/advancedrename/common/tooltipcreator.h,
	utilities/advancedrename/parser/importrenameparser.cpp: simplify
	interfaces: Remove ModifiersList and OptionsList typedefs, add
	RulesList typedef, remove template functions and replace them with
	RulesList arguments

2012-09-27  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/common/tooltipcreator.cpp,
	utilities/advancedrename/common/tooltipcreator.h: rename parameter

2012-09-26  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 79545bdade2bbd34f18ab836bd710cfe8427cbdd Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Wed Sep 26 17:27:53 2012
	+0200

2012-09-25  Andi Clemens <andi.clemens@googlemail.com>

	* imageplugins/color/autocorrectiontool.cpp,
	utilities/imageeditor/widgets/previewlist.cpp: fix previewlist
	layout: the list is too high and will display a vertical scrollbar
	of the whole gboxsettings area, which will push the OK and CANCEL
	button out of the editor window.  We do not need to set a minimum
	height here. Also the widget becomes too wide, it fills up more than
	half the screen on my laptop.

2012-09-25  Script Kiddy <scripty@kde.org>

	* digikam/main/digikam.notifyrc,
	imageplugins/color/digikamimageplugin_color.desktop,
	imageplugins/decorate/digikamimageplugin_decorate.desktop,
	imageplugins/enhance/digikamimageplugin_enhance.desktop,
	imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	imageplugins/transform/digikamimageplugin_transform.desktop,
	kioslave/digikammapimages.protocol,
	utilities/hotplug/digikam-download.desktop.cmake,
	utilities/hotplug/digikam-gphoto2-camera.desktop.cmake,
	utilities/hotplug/digikam-mount-and-download.desktop.cmake,
	utilities/hotplug/digikam-opencamera.desktop.cmake,
	utilities/nepomuk/digikamnepomukservice.desktop: SVN_SILENT made
	messages (.desktop file)

2012-09-25  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-25  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/jpegutils/jpegutils.cpp: no needs point here. Add ref to
	bugzilla entry

2012-09-25  Smit Mehta <smit.meh@gmail.com>

	* NEWS: update

2012-09-25  Smit Mehta <smit.meh@gmail.com>

	* libs/jpegutils/jpegutils.cpp: Adding MPO format as an exception.
	It is a 3D extension of jpeg which is not supposed to be rotated.
	BUGS:307277

2012-09-25  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-25  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-24  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenameinput.cpp: this sizePolicy
	is not used anymore

2012-09-24  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenameinput.cpp: fix alignment of
	the QTextEdit widget in the combobox

2012-09-24  Andi Clemens <andi.clemens@googlemail.com>

	* utilities/advancedrename/advancedrenameinput.cpp: cleanup code, no
	need to have duplicate connections

2012-09-25  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/nr/nrfilter.cpp,
	libs/dimg/filters/nr/nrfilter.h: comment not used methods

2012-09-24  Islam Wazery <wazery@ubuntu.com>

	* utilities/importui/models/importimagemodel.cpp: Don't add unknown
	file types to import tool view Gilles, can you test import tool and
	tell me if it is fine now? CCMAIL:caulier.gilles@gmail.com

2012-09-24  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-23  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-23  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* libs/widgets/graphicsview/previewlayout.cpp,
	libs/widgets/graphicsview/previewlayout.h: Always default to image
	center as anchor for zooming.  The method which implements anchoring becomes the actual
	implementation method, which means there's not zooming without
	anchoring anymore, and default is QPoint() which is the image
	center.  CCBUG: 296786

2012-09-23  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-23  Islam Wazery <wazery@ubuntu.com>

	* utilities/importui/main/importui.cpp,
	utilities/importui/main/importui_p.h: Fixed import tool crash Andi,
	can you please test it and let me know if the bug still exist?
	CCBUGS:307257

2012-09-23  Andi Clemens <andi.clemens@googlemail.com>

	* libs/dimg/loaders/jp2kloader.cpp,
	libs/dimg/loaders/jpegloader.cpp, libs/dimg/loaders/pgfloader.cpp,
	libs/dimg/loaders/pngloader.cpp, libs/dimg/loaders/ppmloader.cpp: 
	fix compile warnings (pedantic)

2012-09-22  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-22  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-22  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-21  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/loaders/dimgloader.cpp, libs/dimg/loaders/dimgloader.h,
	libs/dimg/loaders/dimgloaderobserver.h,
	libs/dimg/loaders/jp2kloader.cpp, libs/dimg/loaders/jp2kloader.h,
	libs/dimg/loaders/jp2ksettings.cpp,
	libs/dimg/loaders/jp2ksettings.h, libs/dimg/loaders/jpegloader.cpp,
	libs/dimg/loaders/jpegloader.h, libs/dimg/loaders/jpegsettings.cpp,
	libs/dimg/loaders/jpegsettings.h, libs/dimg/loaders/pgfloader.cpp,
	libs/dimg/loaders/pgfloader.h, libs/dimg/loaders/pgfsettings.cpp,
	libs/dimg/loaders/pgfsettings.h, libs/dimg/loaders/pngloader.cpp,
	libs/dimg/loaders/pngloader.h, libs/dimg/loaders/pngsettings.cpp,
	libs/dimg/loaders/pngsettings.h, libs/dimg/loaders/ppmloader.cpp,
	libs/dimg/loaders/ppmloader.h, libs/dimg/loaders/qimageloader.cpp,
	libs/dimg/loaders/qimageloader.h, libs/dimg/loaders/rawloader.cpp,
	libs/dimg/loaders/rawloader.h, libs/dimg/loaders/tiffloader.cpp,
	libs/dimg/loaders/tiffloader.h, libs/dimg/loaders/tiffsettings.cpp,
	libs/dimg/loaders/tiffsettings.h: fix warnings under M$ Visual C++
	2012 use const ref remove unused methods and declaration constify
	and polish

2012-09-20  Islam Wazery <wazery@ubuntu.com>

	* utilities/importui/main/importui.cpp: Fixed zoombar actions in
	import tool

2012-09-20  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dialogs/libsinfodlg.cpp: repport RawSpeed codec support to
	Components Info Dialog

2012-09-18  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/dimg/filters/nr/nrfilter.cpp,
	libs/dimg/filters/nr/nrfilter.h,
	libs/dimg/filters/nr/nrsettings.cpp,
	libs/dimg/filters/nr/nrsettings.h: constify and polish

2012-09-17  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/album/albumhistory.cpp, digikam/album/albumhistory.h,
	digikam/dragdrop/albumdragdrop.cpp, digikam/tags/tagfolderview.cpp,
	digikam/tags/tagfolderview.h, libs/widgets/common/sidebar.cpp,
	libs/widgets/common/sidebar.h,
	utilities/imageeditor/core/undoaction.cpp,
	utilities/imageeditor/core/undoaction.h,
	utilities/imageeditor/core/undocache.cpp,
	utilities/imageeditor/core/undocache.h,
	utilities/imageeditor/core/undomanager.cpp,
	utilities/imageeditor/core/undomanager.h: anti-spam

2012-09-17  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 71af51e2a75e3c7527735b87d1bfcec52d854605 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Mon Sep 17 23:14:52 2012
	+0200

2012-09-17  Andi Clemens <andi.clemens@googlemail.com>

	* libs/dimg/filters/fx/raindropfilter.cpp: cleanup code

2012-09-17  Andi Clemens <andi.clemens@googlemail.com>

	* libs/dimg/filters/fx/raindropfilter.cpp: fix compile warnings
	(pedantic)

2012-09-17  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/imageeditor/rawimport/rawimport.cpp,
	utilities/imageeditor/rawimport/rawpostprocessing.h,
	utilities/imageeditor/rawimport/rawpreview.cpp,
	utilities/imageeditor/rawimport/rawpreview.h,
	utilities/imageeditor/rawimport/rawsettingsbox.cpp,
	utilities/imageeditor/rawimport/rawsettingsbox.h: polish

2012-09-17  Smit Mehta <smit.meh@gmail.com>

	* .gitignore, NEWS, digikam/filters/filtersidebarwidget.cpp,
	digikam/filters/filtersidebarwidget.h: fixed typo in
	filtersiderbarwidget.cpp added enum for more readibility BUGS:306879

2012-09-17  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/setup/setuptooltip.cpp: fix layout to plug checkbox in
	right section fix setup section to turn on/off at first time.
	constify and polish

2012-09-17  Gilles Caulier <caulier.gilles@gmail.com>

	* libs/imageproperties/imagepropertiestab.cpp: using "Item"
	properties here instead "Image" properties is more generic as
	digiKam manage video files as image files

2012-09-16  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-16  Nicolas Lécureuil <neoclust.kde@free.fr>

	* CMakeLists.txt, NEWS: Open beta2

2012-09-15  Pino Toscano <pino@kde.org>

	* utilities/imageeditor/editor/editorwindow.cpp: i18n: "Ok" -> "OK"

2012-09-14  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/kipiiface/kipipluginloader.cpp: fix check about validity
	of plugin pointer accordingly with KDE XML GUI cast.

2012-09-14  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/transform/contentawareresizetool.cpp,
	imageplugins/transform/contentawareresizetool.h,
	imageplugins/transform/freerotationtool.cpp,
	imageplugins/transform/freerotationtool.h,
	imageplugins/transform/imageplugin_transform.cpp,
	imageplugins/transform/imageplugin_transform.h,
	imageplugins/transform/imageselectionwidget.cpp,
	imageplugins/transform/imageselectionwidget.h,
	imageplugins/transform/matrix.cpp, imageplugins/transform/matrix.h,
	imageplugins/transform/perspectivetool.cpp,
	imageplugins/transform/perspectivetool.h,
	imageplugins/transform/perspectivewidget.cpp,
	imageplugins/transform/perspectivewidget.h,
	imageplugins/transform/ratiocroptool.cpp,
	imageplugins/transform/ratiocroptool.h,
	imageplugins/transform/resizetool.cpp,
	imageplugins/transform/resizetool.h,
	imageplugins/transform/sheartool.cpp,
	imageplugins/transform/sheartool.h,
	imageplugins/transform/triangle.cpp,
	imageplugins/transform/triangle.h: constify and polish

2012-09-14  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/color/imageplugin_color.cpp,
	imageplugins/decorate/imageplugin_decorate.cpp,
	imageplugins/enhance/imageplugin_enhance.cpp: constify and polish

2012-09-14  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/filters/blurfxtool.cpp,
	imageplugins/filters/blurfxtool.h,
	imageplugins/filters/charcoaltool.cpp,
	imageplugins/filters/charcoaltool.h,
	imageplugins/filters/colorfxtool.cpp,
	imageplugins/filters/colorfxtool.h,
	imageplugins/filters/distortionfxtool.cpp,
	imageplugins/filters/distortionfxtool.h,
	imageplugins/filters/embosstool.cpp,
	imageplugins/filters/embosstool.h,
	imageplugins/filters/filmgraintool.cpp,
	imageplugins/filters/filmgraintool.h,
	imageplugins/filters/imageplugin_fxfilters.cpp,
	imageplugins/filters/imageplugin_fxfilters.h,
	imageplugins/filters/oilpainttool.cpp,
	imageplugins/filters/oilpainttool.h,
	imageplugins/filters/raindroptool.cpp,
	imageplugins/filters/raindroptool.h: constify and polish

2012-09-14  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/imageeditor/plugin/imageiface.cpp: check if pointer are
	null or not to prevent crash

2012-09-14  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/enhance/redeyetool.cpp,
	utilities/imageeditor/plugin/imageiface.cpp: bug fix in Red Eyes
	tool. We must to restore alpha channel property to selection image
	after to apply alpha mask.

2012-09-14  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/enhance/redeyetool.cpp: polish

2012-09-13  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/enhance/antivignettingtool.cpp,
	imageplugins/enhance/antivignettingtool.h,
	imageplugins/enhance/blurtool.cpp, imageplugins/enhance/blurtool.h,
	imageplugins/enhance/hotpixels/blackframelistview.cpp,
	imageplugins/enhance/hotpixels/blackframelistview.h,
	imageplugins/enhance/hotpixels/blackframeparser.cpp,
	imageplugins/enhance/hotpixels/blackframeparser.h,
	imageplugins/enhance/hotpixels/hotpixel.h,
	imageplugins/enhance/hotpixels/hotpixelfixer.cpp,
	imageplugins/enhance/hotpixels/hotpixelfixer.h,
	imageplugins/enhance/hotpixels/hotpixelstool.cpp,
	imageplugins/enhance/hotpixels/hotpixelstool.h,
	imageplugins/enhance/hotpixels/weights.cpp,
	imageplugins/enhance/hotpixels/weights.h,
	imageplugins/enhance/inpaintingtool.cpp,
	imageplugins/enhance/lensautofixtool.cpp,
	imageplugins/enhance/lensautofixtool.h,
	imageplugins/enhance/lensdistortiontool.cpp,
	imageplugins/enhance/lensdistortiontool.h,
	imageplugins/enhance/noisereductiontool.cpp,
	imageplugins/enhance/noisereductiontool.h,
	imageplugins/enhance/restorationtool.cpp,
	imageplugins/enhance/restorationtool.h,
	imageplugins/enhance/sharpentool.cpp,
	imageplugins/enhance/sharpentool.h: constify and polish

2012-09-13  Gilles Caulier <caulier.gilles@gmail.com>

	* AUTHORS, digikam/main/main.cpp, utilities/setup/setup.cpp,
	utilities/setup/setup.h: anti spam

2012-09-13  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/album/album.cpp, digikam/album/album.h,
	digikam/album/albummanager.cpp, digikam/album/albummanager.h,
	digikam/album/albumpropsedit.cpp, digikam/album/albumpropsedit.h,
	digikam/album/albumselectdialog.cpp,
	digikam/album/albumselectdialog.h, digikam/database/dio.cpp,
	digikam/database/dio.h, digikam/database/syncjob.cpp,
	digikam/database/syncjob.h, digikam/date/datefolderview.cpp,
	digikam/date/datefolderview.h, digikam/date/monthwidget.cpp,
	digikam/date/monthwidget.h,
	digikam/items/imagethumbnaildelegate.cpp,
	digikam/tags/tagcheckview.cpp, digikam/tags/tagcheckview.h,
	digikam/tags/tageditdlg.cpp, digikam/tags/tageditdlg.h,
	digikam/tags/tagspopupmenu.cpp, digikam/tags/tagspopupmenu.h,
	digikam/views/digikamview.cpp, digikam/views/digikamview.h,
	imageplugins/color/bcgtool.cpp, imageplugins/color/bcgtool.h,
	imageplugins/color/bwsepiatool.cpp,
	imageplugins/color/bwsepiatool.h,
	imageplugins/color/imageplugin_color.cpp,
	imageplugins/color/imageplugin_color.h,
	imageplugins/filters/colorfxtool.cpp,
	imageplugins/filters/colorfxtool.h, kioslave/digikamalbums.cpp,
	kioslave/digikamalbums.h, kioslave/digikamdates.cpp,
	kioslave/digikamdates.h, kioslave/digikamsearch.cpp,
	kioslave/digikamsearch.h, kioslave/digikamtags.cpp,
	kioslave/digikamtags.h, libs/database/albumdb_sqlite2.cpp,
	libs/database/albumdb_sqlite2.h, libs/database/albuminfo.h,
	libs/database/collectionscanner.cpp,
	libs/database/collectionscanner.h,
	libs/database/imagelisterreceiver.h,
	libs/database/imagelisterrecord.h,
	libs/database/upgradedb_sqlite2tosqlite3.cpp,
	libs/database/upgradedb_sqlite2tosqlite3.h, libs/dimg/dimg.cpp,
	libs/dimg/dimg.h, libs/dimg/dimg_p.h, libs/dimg/dimgscale.cpp,
	libs/dimg/filters/bcg/bcgcontainer.h,
	libs/dimg/filters/bcg/bcgfilter.cpp,
	libs/dimg/filters/bcg/bcgfilter.h,
	libs/dimg/loaders/dimgloader.cpp, libs/dimg/loaders/jpegloader.cpp,
	libs/dimg/loaders/jpegloader.h, libs/dimg/loaders/ppmloader.cpp,
	libs/dimg/loaders/ppmloader.h, libs/dimg/loaders/qimageloader.cpp,
	libs/dimg/loaders/qimageloader.h, libs/dimg/loaders/tiffloader.cpp,
	libs/dimg/loaders/tiffloader.h, libs/jpegutils/jpegutils.cpp,
	libs/jpegutils/jpegutils.h, libs/threadimageio/thumbnailbasic.cpp,
	libs/threadimageio/thumbnailcreator.cpp,
	libs/threadimageio/thumbnailcreator.h,
	libs/threadimageio/thumbnailcreator_p.h,
	libs/threadimageio/thumbnailsize.h,
	libs/widgets/common/splashscreen.cpp,
	libs/widgets/common/splashscreen.h,
	libs/widgets/q3support/thumbbar.cpp,
	libs/widgets/q3support/thumbbar.h, showfoto/main/main.cpp,
	utilities/imageeditor/core/editorcore.cpp,
	utilities/imageeditor/core/editorcore.h,
	utilities/imageeditor/core/undoaction.cpp,
	utilities/imageeditor/core/undoaction.h,
	utilities/imageeditor/core/undocache.cpp,
	utilities/imageeditor/core/undocache.h,
	utilities/imageeditor/core/undomanager.cpp,
	utilities/imageeditor/core/undomanager.h,
	utilities/imageeditor/main/imagewindow.cpp,
	utilities/imageeditor/main/imagewindow.h,
	utilities/imageeditor/main/imagewindow_p.h,
	utilities/imageeditor/plugin/imageplugin.cpp,
	utilities/imageeditor/plugin/imageplugin.h,
	utilities/imageeditor/plugin/imagepluginloader.cpp,
	utilities/imageeditor/plugin/imagepluginloader.h,
	utilities/imageeditor/q3support/canvas.cpp,
	utilities/imageeditor/q3support/canvas.h,
	utilities/setup/setupcamera.h, utilities/slideshow/toolbar.cpp,
	utilities/slideshow/toolbar.h: anti-spam

2012-09-13  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/decorate/bordertool.cpp,
	imageplugins/decorate/bordertool.h,
	imageplugins/decorate/imageplugin_decorate.cpp,
	imageplugins/decorate/imageplugin_decorate.h,
	imageplugins/decorate/inserttexttool.cpp,
	imageplugins/decorate/inserttexttool.h,
	imageplugins/decorate/inserttextwidget.cpp,
	imageplugins/decorate/inserttextwidget.h,
	imageplugins/decorate/texturetool.cpp,
	imageplugins/decorate/texturetool.h: constify and polish

2012-09-13  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/color/CMakeLists.txt,
	imageplugins/decorate/CMakeLists.txt,
	imageplugins/enhance/CMakeLists.txt,
	imageplugins/filters/CMakeLists.txt,
	imageplugins/transform/CMakeLists.txt: polish

2012-09-13  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/color/adjustcurvestool.cpp,
	imageplugins/color/adjustcurvestool.h,
	imageplugins/color/adjustlevelstool.cpp,
	imageplugins/color/adjustlevelstool.h,
	imageplugins/color/bcgtool.cpp, imageplugins/color/bcgtool.h,
	imageplugins/color/bwsepiatool.cpp,
	imageplugins/color/bwsepiatool.h, imageplugins/color/cbtool.cpp,
	imageplugins/color/cbtool.h,
	imageplugins/color/channelmixertool.cpp,
	imageplugins/color/channelmixertool.h,
	imageplugins/color/filmtool.cpp, imageplugins/color/filmtool.h,
	imageplugins/color/hsltool.cpp, imageplugins/color/hsltool.h,
	imageplugins/color/imageplugin_color.cpp,
	imageplugins/color/imageplugin_color.h,
	imageplugins/color/profileconversiontool.cpp,
	imageplugins/color/profileconversiontool.h,
	imageplugins/color/whitebalancetool.cpp,
	imageplugins/color/whitebalancetool.h: constify and polish

2012-09-13  Gilles Caulier <caulier.gilles@gmail.com>

	* imageplugins/color/adjustcurvestool.cpp,
	imageplugins/color/adjustcurvestool.h,
	imageplugins/color/adjustlevelstool.cpp,
	imageplugins/color/adjustlevelstool.h,
	imageplugins/color/autocorrectiontool.cpp,
	imageplugins/color/autocorrectiontool.h,
	imageplugins/color/bcgtool.cpp, imageplugins/color/bcgtool.h,
	imageplugins/color/bwsepiatool.cpp,
	imageplugins/color/bwsepiatool.h, imageplugins/color/cbtool.cpp,
	imageplugins/color/cbtool.h,
	imageplugins/color/channelmixertool.cpp,
	imageplugins/color/channelmixertool.h,
	imageplugins/color/filmtool.cpp, imageplugins/color/filmtool.h,
	imageplugins/color/hsltool.cpp, imageplugins/color/hsltool.h,
	imageplugins/color/imageplugin_color.cpp,
	imageplugins/color/profileconversiontool.cpp,
	imageplugins/color/profileconversiontool.h,
	imageplugins/color/whitebalancetool.cpp,
	imageplugins/color/whitebalancetool.h,
	imageplugins/decorate/bordertool.cpp,
	imageplugins/decorate/bordertool.h,
	imageplugins/decorate/inserttexttool.cpp,
	imageplugins/decorate/texturetool.cpp,
	imageplugins/decorate/texturetool.h,
	imageplugins/enhance/antivignettingtool.cpp,
	imageplugins/enhance/antivignettingtool.h,
	imageplugins/enhance/blurtool.cpp, imageplugins/enhance/blurtool.h,
	imageplugins/enhance/hotpixels/hotpixelstool.cpp,
	imageplugins/enhance/hotpixels/hotpixelstool.h,
	imageplugins/enhance/inpaintingtool.cpp,
	imageplugins/enhance/inpaintingtool.h,
	imageplugins/enhance/lensautofixtool.cpp,
	imageplugins/enhance/lensautofixtool.h,
	imageplugins/enhance/lensdistortiontool.cpp,
	imageplugins/enhance/lensdistortiontool.h,
	imageplugins/enhance/localcontrasttool.cpp,
	imageplugins/enhance/localcontrasttool.h,
	imageplugins/enhance/noisereductiontool.cpp,
	imageplugins/enhance/noisereductiontool.h,
	imageplugins/enhance/redeyetool.cpp,
	imageplugins/enhance/redeyetool.h,
	imageplugins/enhance/restorationtool.cpp,
	imageplugins/enhance/restorationtool.h,
	imageplugins/enhance/sharpentool.cpp,
	imageplugins/enhance/sharpentool.h,
	imageplugins/filters/blurfxtool.cpp,
	imageplugins/filters/blurfxtool.h,
	imageplugins/filters/charcoaltool.cpp,
	imageplugins/filters/charcoaltool.h,
	imageplugins/filters/colorfxtool.cpp,
	imageplugins/filters/colorfxtool.h,
	imageplugins/filters/distortionfxtool.cpp,
	imageplugins/filters/distortionfxtool.h,
	imageplugins/filters/embosstool.cpp,
	imageplugins/filters/embosstool.h,
	imageplugins/filters/filmgraintool.cpp,
	imageplugins/filters/filmgraintool.h,
	imageplugins/filters/oilpainttool.cpp,
	imageplugins/filters/oilpainttool.h,
	imageplugins/filters/raindroptool.cpp,
	imageplugins/filters/raindroptool.h,
	imageplugins/transform/contentawareresizetool.cpp,
	imageplugins/transform/contentawareresizetool.h,
	imageplugins/transform/freerotationtool.cpp,
	imageplugins/transform/freerotationtool.h,
	imageplugins/transform/perspectivewidget.cpp,
	imageplugins/transform/ratiocroptool.cpp,
	imageplugins/transform/resizetool.cpp,
	imageplugins/transform/resizetool.h,
	imageplugins/transform/sheartool.cpp,
	imageplugins/transform/sheartool.h,
	tests/abstractdimagehistorytest.cpp,
	utilities/imageeditor/editor/editortool.cpp,
	utilities/imageeditor/editor/editortool.h,
	utilities/imageeditor/plugin/imageiface.cpp,
	utilities/imageeditor/plugin/imageiface.h,
	utilities/imageeditor/rawimport/rawimport.cpp,
	utilities/imageeditor/rawimport/rawimport.h,
	utilities/imageeditor/widgets/imageguidewidget.cpp,
	utilities/imageeditor/widgets/imageguidewidget.h: polish Image
	Editor API again. replace put*() to set*() methods

2012-09-13  Martin Klapetek <martin.klapetek@gmail.com>

	* showfoto/main/showfoto.cpp,
	utilities/imageeditor/main/imagewindow.cpp,
	utilities/importui/main/importui.cpp,
	utilities/queuemanager/main/queuemgrwindow.cpp: Update notification
	strings Reviewed-by: Gilles Caulier

2012-09-13  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/importui/views/importstackedview.cpp,
	utilities/importui/views/importstackedview.h: constify and polish

2012-09-13  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/views/mapwidgetview.cpp, digikam/views/mapwidgetview.h: 
	constify and polish

2012-09-13  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, showfoto/setup/setup.cpp, showfoto/setup/setup.h,
	showfoto/setup/setupmetadata.cpp, showfoto/setup/setupmetadata.h,
	showfoto/setup/setupmisc.cpp, showfoto/setup/setupmisc.h,
	showfoto/setup/setuptooltip.cpp, showfoto/setup/setuptooltip.h: 
	constify and polish fix 3.0.0-beta1 release date to 16 september

2012-09-13  Gilles Caulier <caulier.gilles@gmail.com>

	* digikam/main/main.cpp: constify

2012-09-13  Islam Wazery <wazery@ubuntu.com>

	* digikam/views/digikamview.cpp, digikam/views/mapwidgetview.cpp,
	digikam/views/mapwidgetview.h,
	utilities/importui/main/importui.cpp,
	utilities/importui/main/importui.h,
	utilities/importui/views/importiconview_p.cpp,
	utilities/importui/views/importstackedview.cpp,
	utilities/importui/views/importstackedview.h,
	utilities/importui/views/importview.cpp: Added map view to import
	tool

2012-09-12  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 641e5ca9b462abaa3bd09e9245a578910e9f646f Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Wed Sep 12 23:25:12 2012
	+0200

2012-09-12  Marcel Wiesweg <marcel.wiesweg@gmx.de>

	* data/database/dbconfig.xml.cmake, libs/database/schemaupdater.cpp: 
	Add SQL for schema update step to v7, adding the VideoMetadata
	table.  CCMAIL: mail.abu.to@gmail.com

2012-09-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-12  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/setup/cameralist.cpp, utilities/setup/cameralist.h,
	utilities/setup/cameraselection.cpp,
	utilities/setup/cameraselection.h, utilities/setup/cameratype.cpp,
	utilities/setup/cameratype.h, utilities/setup/importfilters.cpp,
	utilities/setup/importfilters.h, utilities/setup/setupcategory.cpp,
	utilities/setup/setupcategory.h,
	utilities/setup/setupcollections.cpp,
	utilities/setup/setupcollections.h,
	utilities/setup/setupcollectionview.cpp,
	utilities/setup/setupcollectionview.h,
	utilities/setup/setupdatabase.cpp, utilities/setup/setupdatabase.h,
	utilities/setup/setupfacetags.cpp, utilities/setup/setupfacetags.h,
	utilities/setup/setuplighttable.cpp,
	utilities/setup/setuplighttable.h,
	utilities/setup/setupmetadata.cpp, utilities/setup/setupmetadata.h,
	utilities/setup/setupmime.cpp, utilities/setup/setupmime.h,
	utilities/setup/setupmisc.cpp, utilities/setup/setupmisc.h,
	utilities/setup/setupslideshow.cpp,
	utilities/setup/setupslideshow.h,
	utilities/setup/setuptemplate.cpp, utilities/setup/setuptemplate.h: 
	constify and polish

2012-09-12  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/setup/setupversioning.cpp,
	utilities/setup/setupversioning.h: constify and polish

2012-09-12  Gilles Caulier <caulier.gilles@gmail.com>

	* utilities/setup/setupicc.cpp, utilities/setup/setupicc.h,
	utilities/setup/setupiofiles.cpp, utilities/setup/setupiofiles.h: 
